GNU bug report logs - #32722
26.1; Org-publish depend on non-free platform ?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: Nicolas Floquet <n@HIDDEN>; dated Wed, 12 Sep 2018 15:24:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 9 Jun 2019 16:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 12:54:22 2019
Received: from localhost ([127.0.0.1]:55289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ha15K-0005mt-2r
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2019 12:54:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1ha15H-0005mf-Pi
 for 32722 <at> debbugs.gnu.org; Sun, 09 Jun 2019 12:54:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33786)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bandali@HIDDEN>)
 id 1ha159-0001ft-Mn; Sun, 09 Jun 2019 12:54:13 -0400
Received: from [2607:fea8:3b80:184::c] (port=34420 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <bandali@HIDDEN>)
 id 1ha150-0008PL-PE; Sun, 09 Jun 2019 12:54:03 -0400
From: Amin Bandali <bandali@HIDDEN>
To: Nicolas Floquet <n@HIDDEN>
Subject: Re: [O] bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <E1g2TLB-000734-Os@HIDDEN> <83zhwedl2v.fsf@HIDDEN>
 <E1g2o79-0008S6-UV@HIDDEN> <83lg7wer1z.fsf@HIDDEN>
 <E1g3B16-0004U1-2g@HIDDEN>
 <c20679912a5c2644bf6e62a65b7c4da118d988f5.camel@HIDDEN>
 <3554abc2df1167f5b052b021670bbd09fae6dd6f.camel@HIDDEN>
Date: Sun, 09 Jun 2019 12:54:00 -0400
In-Reply-To: <3554abc2df1167f5b052b021670bbd09fae6dd6f.camel@HIDDEN>
Message-ID: <87ef42wvh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32722
Cc: rms@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN, kaushal.modi@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Nicolas Floquet <n@HIDDEN> writes:

> Le jeudi 16 mai 2019 =C3=A0 17:16 +0200, Nicolas Floquet a =C3=A9crit :
>> The problem is not solved on emacs 26.2.
>
> I have just humbly made a little commit wich is not the best solution,
> take in consideration that I am not a programmer=E2=80=A6 I can not curre=
ntly
> do better ! :-)
> https://code.orgmode.org/nflqt/org-mode/commit/11206b40781b9f04912cb1c538=
a6b936c8dadc21
>

I set that mirror up last year around when the bug report was submitted.
I see in 50aca8422b [0] on the org-mode repo @ngz removed references to
the GitHub repo from lisp/ox-html.el, as I believe there was some talk
to use Emacs=E2=80=99s htmlfontify instead of htmlize.  But I=E2=80=99m not=
 aware of any
progress on that front.  Further, references to the GitHub repo still
remain in lisp/ox-org.el, lisp/org-agenda.el, and lisp/org-manual.org;
the first two of which were addressed by @nflqt=E2=80=99s commit above.

[0]: https://code.orgmode.org/bzg/org-mode/commit/50aca8422b0afd4a2173ac932=
25fa9b39a94d8dd

@ngz, until such time as htmlfontify fully replaces org-mode=E2=80=99s uses=
 of
htmlize, what do you think about (partially) reverting your 50aca8422b
and instead of linking to the htmlize repo on GitHub or no link at all,
link to https://code.orgmode.org/mirrors/emacs-htmlize instead?

>
>
>> Thank you for all the work done.
>
> Again.

Best,
amin




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 16 May 2019 15:25:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 16 11:25:53 2019
Received: from localhost ([127.0.0.1]:56102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRIGW-0001PG-In
	for submit <at> debbugs.gnu.org; Thu, 16 May 2019 11:25:52 -0400
Received: from numethik.fr ([80.67.190.202]:36426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1hRIGU-0001P0-FH
 for 32722 <at> debbugs.gnu.org; Thu, 16 May 2019 11:25:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1558020343; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=45wfLqujrI+FTQ1qkbcWCfAbfzy84uzn02rUdqSUBsU=;
 b=L+dMxEc+l7h3B+ELZAIqeskPOOJS2DaCx/izQJR63wkPEm85bpDR+DU1XWPHVlU0waObq+
 +d08jGVJ4odFAWEndjKLm8LCb93vCnFSYYsQ89+cR2yvmGXV8Ses4KaJGAR7GEtbLTPUKA
 VopPiV4aA6pPvq0Eg8oQedU3y2r5oQw=
Message-ID: <3554abc2df1167f5b052b021670bbd09fae6dd6f.camel@HIDDEN>
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
From: Nicolas Floquet <n@HIDDEN>
To: rms@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 16 May 2019 17:25:41 +0200
In-Reply-To: <c20679912a5c2644bf6e62a65b7c4da118d988f5.camel@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <E1g2TLB-000734-Os@HIDDEN>
 <83zhwedl2v.fsf@HIDDEN> <E1g2o79-0008S6-UV@HIDDEN>
 <83lg7wer1z.fsf@HIDDEN> <E1g3B16-0004U1-2g@HIDDEN>
 <c20679912a5c2644bf6e62a65b7c4da118d988f5.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-/h8QPuoWc/j3NNA0n+tD"
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: mail@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-/h8QPuoWc/j3NNA0n+tD
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Le jeudi 16 mai 2019 =C3=A0 17:16 +0200, Nicolas Floquet a =C3=A9crit :
> The problem is not solved on emacs 26.2.

I have just humbly made a little commit wich is not the best solution,
take in consideration that I am not a programmer=E2=80=A6 I can not current=
ly
do better ! :-)
https://code.orgmode.org/nflqt/org-mode/commit/11206b40781b9f04912cb1c538a6=
b936c8dadc21


> Thank you for all the work done.

Again.

--=20
Nicolas Floquet
06.32.93.03.51
http://syntax61.fr/
https://deontobox.org/
http://www.pharmanerd.flqt.fr/
https://forum.normandie-libre.fr/

--=-/h8QPuoWc/j3NNA0n+tD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEElMdkG3GesGr0BnqzNwnHAOVI+ZYFAlzdgPUACgkQNwnHAOVI
+ZYJZg/9EnOWUJOaugA8KjisslMowocHTosZcJGQtgpgrlXoRlSSLxTEmzg7Q49X
Bqmdn5JexnuLc7EpgL/4MjUq50p/Ak4koFeWBzHcy+2VBq9UqgLx6zX3CLPcuutj
KszyDgWkITfGQXKs1iv+XDrrhxS79v2i24JWsl4NnzztPkUR0ZC4i7xr/tPFON7h
rKHc/c2OZGDjWoYr8Vqjo44E1fLxWoLTnN3Cbso4D/ydKQJINGtve/JL5Km8SPJU
wMZk1S0PU0ElBDk4lqrSKZBe8pT8ZzuxqjHf6XluhFpQ0etdhMxDJkdrAzQi3dbB
/A1YgGPjoKPNIJ/I1hxpVelMxqn/LXUlyEJvxxkjwy3Yy9heqNtq8nR8bNnHWKMi
oiuTnAipyQdIOINGqiVkE4gVSCdN16vfZy2CJaFuqUh8021DL+3RGmAak7eqnypF
II4jJoc6STjW7Ox4DrvgJdH+b860BOp4WKgWxLafmD08VpZGjWua+1bY51OV5UNI
WnfowD5bv3ay0MVnNFa2tc7gsFG2SzHeHgNFY7/Qg/raMwg31mhmvqYy2Sl+4LpD
NmeYJjsBIAbW/p9SE2tPwPI1B2TXRByvt1MCYHe2mW2ZnggokcZ/dW9jS9uffDX9
3/Ri/eETDUBEqqrvjzl9RXlk/WoAlo0GyerdGYKG6d9CXmUclvI=
=DVxv
-----END PGP SIGNATURE-----

--=-/h8QPuoWc/j3NNA0n+tD--





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 16 May 2019 15:16:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 16 11:16:15 2019
Received: from localhost ([127.0.0.1]:56084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRI7D-0001A7-F3
	for submit <at> debbugs.gnu.org; Thu, 16 May 2019 11:16:15 -0400
Received: from numethik.fr ([80.67.190.202]:36180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1hRI78-00019t-HA
 for 32722 <at> debbugs.gnu.org; Thu, 16 May 2019 11:16:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1558019764; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=1b1T4fjh/judUa0v+SsT5k/6QAcYbXwqiPTEhNownjo=;
 b=iuYnnvyqobFBTuJ7p+AQXbELSB+gC5oI7kPvVh5DWUF8QXr5qF4QyMmLD0wi5UP1QceTMO
 7Z6McmCw8ztjZC4Y3ipH5T3VhF6j5M9HbH1jNFjsv4KBa40J23dWdQikql6a0OdKRCtcxy
 z3a+rqmnPevSDvPCkzcaZ4HUJo/m1pg=
Message-ID: <c20679912a5c2644bf6e62a65b7c4da118d988f5.camel@HIDDEN>
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
From: Nicolas Floquet <n@HIDDEN>
To: rms@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 16 May 2019 17:16:02 +0200
In-Reply-To: <E1g3B16-0004U1-2g@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <E1g2TLB-000734-Os@HIDDEN>
 <83zhwedl2v.fsf@HIDDEN> <E1g2o79-0008S6-UV@HIDDEN>
 <83lg7wer1z.fsf@HIDDEN> <E1g3B16-0004U1-2g@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-GMTXIvNjvXt8Ze4CbrHE"
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: mail@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-GMTXIvNjvXt8Ze4CbrHE
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello.

Le jeudi 20 septembre 2018 =C3=A0 22:18 -0400, Richard Stallman a =C3=A9cri=
t :
> The real problem is that Emacs depends on something that ought to be
> part of Emacs but isn't.  This change makes the problem less blatant,
> but doesn't really fix it.
>=20
> The change that has been made is good enough temporarily. =20
> if people are going to implement replacement code soon,
> we can leave it this way in the mean time.
>=20

The problem is not solved on emacs 26.2.

$ git clone https://code.orgmode.org/bzg/org-mode.git
$ cd org-mode
$ grep github ./lisp/*el
./lisp/ob-clojure.el:;; For Cider, see https://github.com/clojure-emacs/cid=
er
 * ./lisp/ob-groovy.el:;;=C2=A0=C2=A0=C2=A0https://github.com/russel/Emacs-=
Groovy-Mode
./lisp/ob-io.el:;;  https://github.com/stevedekorte/io/blob/master/extras/S=
yntaxHighlighters/Emacs/io-mode.el
./lisp/ob-js.el:;;   or mozrepl http://wiki.github.com/bard/mozrepl/
./lisp/ob-js.el:;;   http://wiki.github.com/bard/mozrepl/emacs-integration =
for
./lisp/ob-lisp.el:;; - https://github.com/capitaomorte/sly
./lisp/ob-lua.el:;; https://github.com/immerrr/lua-mode
./lisp/ob-processing.el:;; - processing2-emacs mode :: https://github.com/p=
trv/processing2-emacs
./lisp/ob-ruby.el:;;   http://github.com/eschulte/rinari/raw/master/util/ru=
by-mode.el
./lisp/ob-ruby.el:;;   http://github.com/eschulte/rinari/raw/master/util/in=
f-ruby.el
./lisp/ob-sass.el:;; - sass-mode :: http://github.com/nex3/haml/blob/master=
/extra/sass-mode.el
./lisp/ob-shen.el:;;   https://github.com/eschulte/shen-mode

Thank you for all the work done.

--=20
Nicolas Floquet
06.32.93.03.51
http://syntax61.fr/
https://deontobox.org/
http://www.pharmanerd.flqt.fr/
https://forum.normandie-libre.fr/

--=-GMTXIvNjvXt8Ze4CbrHE
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEElMdkG3GesGr0BnqzNwnHAOVI+ZYFAlzdfrIACgkQNwnHAOVI
+ZbR0hAApPMIFcLdyigybLKazP2NYQxBnI87UN+k9SRoxtKmPTPrJHP3svS6khbe
V7zlMO1Du3nzi4ZhWQYDabB+9eezfVPb8oj6fXMaX9Oi1236xrAG/oYw0oGbl79Q
zWe/nnb6vQ+wRL09JjzJpjR3PwzEFFrEx+wvhvaIBgEifbO2qFTitOxRBiUaDKNo
N4mkqfDyTZrnTLugGjmgnghZJG2Zeu+220RGOyq/CoCF3NhKQxGJ6YHUMGwzIiIm
8Jh9R0vJqz59nkWYXFGh2f5FxKNX95QrdmT/GpRADeMeLjUofrmMJDlF/y6sQpef
jhc5p3IU8q/8w56LvoJOxSupb/kEntG9EjjgEcB+XAQlO8ezrAuwO1WaU2d9oXlo
ZZkm97klHtbN0yo54VQ/k05CfmNqJs4PztP2QqhE7lg5FrRsp7lCN91DnfcOfzHe
UPytuv70qW4fwoToBBmayO1DdjM2XbJMhG+VNA+8i2FziRn6hByDhCc0Y2Q+5iSu
rgtovt00BVUmlAh/AAqIMCKB2bO0LUzkmnCeiYIURT86Nzmj3RyfUQztBaqxBq+k
ovRGwb4hkM7ee0esVl4B+vdXfffaBLQ7O/bFZZdlXD/5jQbNuYExEfx+rDhiSp9y
5x3tySUByD5ykQ2/kLlIWbpHpbthvEPbpNAiIQIVXwUhC8Gtm4c=
=2c1q
-----END PGP SIGNATURE-----

--=-GMTXIvNjvXt8Ze4CbrHE--





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Oct 2018 13:49:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 09:49:44 2018
Received: from localhost ([127.0.0.1]:35240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEaaW-0007g3-Jz
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:49:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gEaaV-0007fs-P7
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:49:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gEaaP-0003df-Jl
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:49:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52500)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gEaZv-0003Od-EU; Mon, 22 Oct 2018 09:49:07 -0400
Received: from [176.228.60.248] (port=1652 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gEaZp-0004zj-2X; Mon, 22 Oct 2018 09:49:01 -0400
Date: Mon, 22 Oct 2018 16:48:46 +0300
Message-Id: <83a7n6t7lt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>,
 Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <87d0s2yvi4.fsf@HIDDEN> (message from Nicolas Goaziou
 on Mon, 22 Oct 2018 15:13:39 +0200)
Subject: Re: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <83h8ikenbc.fsf@HIDDEN> <87in30geqo.fsf@HIDDEN>
 <835zyzevvt.fsf@HIDDEN> <87d0s2yvi4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: rgm@HIDDEN,  n@HIDDEN,  rms@HIDDEN,  amin@HIDDEN,  32722 <at> debbugs.gnu.org,  rjhorniii@HIDDEN,  kaushal.modi@HIDDEN
> Date: Mon, 22 Oct 2018 15:13:39 +0200
> 
> Some users reported that htmlfontify output is too verbose (font-style,
> font-family, font-size...). 
> 
> Is there a way to clean up the output from htmlfontify and include only
> minimal information? It might be something related to
> `hfy-default-face-def', but the documentation is not clear to me.

I have no idea.  CC'ing the author in the hope that he does.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Oct 2018 13:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 09:17:37 2018
Received: from localhost ([127.0.0.1]:35221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEa5R-0006wr-IX
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:17:37 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:53685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gEa5O-0006wh-WB
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:17:35 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 5A72BE001C;
 Mon, 22 Oct 2018 13:17:32 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN> <87wor3e3mr.fsf@HIDDEN>
 <87r2giz5ey.fsf@HIDDEN> <871s8is0i6.fsf@HIDDEN>
Date: Mon, 22 Oct 2018 15:17:31 +0200
In-Reply-To: <871s8is0i6.fsf@HIDDEN> (Michael Albinus's message of "Mon, 22
 Oct 2018 13:07:29 +0200")
Message-ID: <878t2qyvbo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, Richard Stallman <rms@HIDDEN>, right.ho@HIDDEN,
 32722 <at> debbugs.gnu.org, kaushal.modi@HIDDEN, leslie@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Pls use (setq org-mobile-directory "/davs:user@HIDDEN:/webdav/")
> Otherwise, LGTM.

Done. Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Oct 2018 13:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 09:13:45 2018
Received: from localhost ([127.0.0.1]:35211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEa1g-0006qB-Gz
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:13:44 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:54067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gEa1e-0006q3-Tw
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 09:13:43 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id C402060004;
 Mon, 22 Oct 2018 13:13:40 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <83h8ikenbc.fsf@HIDDEN> <87in30geqo.fsf@HIDDEN>
 <835zyzevvt.fsf@HIDDEN>
Date: Mon, 22 Oct 2018 15:13:39 +0200
In-Reply-To: <835zyzevvt.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 20 Sep
 2018 23:50:30 +0300")
Message-ID: <87d0s2yvi4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Nicolas Goaziou <mail@HIDDEN>

>> I assume this is the only way out of this, so I'll have a look at it.
>
> Thank you.

In an attempt to move Org from htmlize to htmlfontify, I'm encountering
an issue with the generated CSS. Exporting the same simple document with
htmlize, I get:

--8<---------------cut here---------------start------------->8---
    <style type="text/css">
    <!--
      body {
        color: #b2b2b2;
        background-color: #292b2e;
      }
      .bold {
        /* bold */
        font-weight: bold;
      }
      .comment {
        /* font-lock-comment-face */
        color: #2aa1ae;
      }
      .function-name {
        /* font-lock-function-name-face */
        color: #bc6ec5;
        font-weight: bold;
      }
      .italic {
        /* italic */
        font-style: italic;
      }
      .keyword {
        /* font-lock-keyword-face */
        color: #4f97d7;
        font-weight: bold;
      }
      .org-block {
        /* org-block */
        color: #cbc1d5;
        background-color: #2f2b33;
      }
      .org-block-begin-line {
        /* org-block-begin-line */
        color: #827591;
        background-color: #373040;
      }
      .org-block-end-line {
        /* org-block-end-line */
        color: #827591;
        background-color: #373040;
      }
      .org-level-1 {
        /* org-level-1 */
        color: #4f97d7;
      }
      .parenthesis {
        /* parenthesis */
        color: #686868;
      }
      .type {
        /* font-lock-type-face */
        color: #ce537a;
        font-weight: bold;
      }

      a {
        color: inherit;
        background-color: inherit;
        font: inherit;
        text-decoration: inherit;
      }
      a:hover {
        text-decoration: underline;
      }
    -->
    </style>
--8<---------------cut here---------------end--------------->8---

Then, with htmlfontify:

--8<---------------cut here---------------start------------->8---
<style type="text/css"><!-- 
body { font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.default   { font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.default a { font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.italic   { font-style: italic;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.italic a { font-style: italic;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.bold   { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.bold a { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.org-block-end-line   { color: #827591;  background: #373040;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: none; }
span.org-block-end-line a { color: #827591;  background: #373040;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: underline; }
span.type   { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.type a { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.function-name   { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.function-name a { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.org-block   { color: #cbc1d5;  background: #2f2b33;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: none; }
span.org-block a { color: #cbc1d5;  background: #2f2b33;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: underline; }
span.keyword   { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.keyword a { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.parenthesis   { color: #686868;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.parenthesis a { color: #686868;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.org-block-begin-line   { color: #827591;  background: #373040;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: none; }
span.org-block-begin-line a { color: #827591;  background: #373040;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  font-style: normal;  font-size: 9pt;  text-decoration: underline; }
span.org-level-1   { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.org-level-1 a { font-weight: 700;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-style: normal;  color: #b2b2b2;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
span.comment   { color: #2aa1ae;  font-style: normal;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  background: #292b2e;  font-size: 9pt;  text-decoration: none; }
span.comment a { color: #2aa1ae;  font-style: normal;  font-family: DejaVu Sans Mono;  font-stretch: normal;  font-weight: 500;  background: #292b2e;  font-size: 9pt;  text-decoration: underline; }
 --></style>
--8<---------------cut here---------------end--------------->8---

Some users reported that htmlfontify output is too verbose (font-style,
font-family, font-size...). 

Is there a way to clean up the output from htmlfontify and include only
minimal information? It might be something related to
`hfy-default-face-def', but the documentation is not clear to me.

Thank you for any help.

Regards,

-- 
Nicolas Goaziou




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Oct 2018 11:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 07:07:54 2018
Received: from localhost ([127.0.0.1]:35161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEY3u-0001n4-0I
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 07:07:54 -0400
Received: from mout.gmx.net ([212.227.17.22]:48981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gEY3p-0001mk-QK
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 07:07:51 -0400
Received: from detlef.gmx.de ([213.220.151.207]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MdEsh-1fxI1I2iVX-00IYNj; Mon, 22
 Oct 2018 13:07:31 +0200
Received: from detlef.gmx.de ([213.220.151.207]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MdEsh-1fxI1I2iVX-00IYNj; Mon, 22
 Oct 2018 13:07:31 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN> <87wor3e3mr.fsf@HIDDEN>
 <87r2giz5ey.fsf@HIDDEN>
Date: Mon, 22 Oct 2018 13:07:29 +0200
In-Reply-To: <87r2giz5ey.fsf@HIDDEN> (Nicolas Goaziou's message of
 "Mon, 22 Oct 2018 11:39:33 +0200")
Message-ID: <871s8is0i6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:EC2izNYfjZthc8Qm3K37m4zDKoHQ/ETX1TSMXHCT+M/h0qD94ak
 TdcjjiuU6RvbNY/nk1eJb7Tr+pzIxv/v9Z9mfV5v66Uu3owmdVr64OQaXFWWCyJlObxr/oT
 l7dlByX7ubsgtSxPxVDfgbOEqVnW7Fd4fwXmfDIBf6MsnVJ5Lz8+8WwwOLX2wP2+w99SrR9
 7OCIJZ2WR4dHcug4Y43lg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Yar4QsLMzfA=:iCMS3GoiOFrcnOH2XykwM0
 /WU8kt8GyAPEVozIP17jizy5j05GQ4dL2vwrAao+Ba2CHEbMlR0XjLIW1qnKRUHmSzCx6S5UL
 xgiZQ0i6+terY2ObWMQ/bFhjOKlwakKjCNBhwlFfnrtAp5jxynnqcYEroED7KS8bMXltZ8qHe
 vHVmRj/7DzoOtJwQKvKIR+XsWzjjCq7BuPcQjNFCHl+dbrdvwYa2vu4rByBmfmbvZ06Nex2No
 7lHngaThmFhG2XRx9Ht7d8g5n5AcvJFqqj1N1zlxzZ/2EUqpLJ726D2gJde2HYCk12i1NXkVR
 ibttTuO4O6d1ReFm7tuGNH419C47AcEs0ard0s7hBGHsqLM3CNcgh3TQophNSIwvGAkHpUfSC
 ApNLw3TrDA4RLrI7l+hzFsHniDWNTHEKp+o1DWdt0QtXFu8MYUiJ0TMNPGl7i8bSkN4zNZZ8m
 1N6rbjpH+JAohKv6/sRtWm2nCjf+m2qSmGUXAPiFeYqb9kVU57ICURcLXUDNPy0/K8bWlDWrb
 t7O7vSHo3P1rlb/y6K+XRdwhqGS9nEXGLkt1WrxGF9SZBgLgk8ZNPCd27fXPoc2y823bsQ0/g
 ENK9xgmm/DU2MPoP0tOqaLgks7qCNtMGe9D5FQKF0XCbVr3BAieZRy4KKZEwLTGPSeF/ApC73
 BaWC7Qb6MblrKiBxWFEs2u0If+yyMqj+ZWckZ4+lYuiX9hCxjRpujpEMwTtUxZUEZ2YbEDpF8
 5nDtxigBeRTIQdEJlgKpXflRq5BOGIUVUtG5+iQfgh5+hy9IZnk9ClRl8PXJUcztoUz5PHYp0
 B7heBSWpW18+uD+Gj4n8rWWS8F3CT2LPCB/NV4gSARvg821Dbo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, Richard Stallman <rms@HIDDEN>, right.ho@HIDDEN,
 32722 <at> debbugs.gnu.org, kaushal.modi@HIDDEN, leslie@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Nicolas Goaziou <mail@HIDDEN> writes:

> Hello,

Hi Nicolas,

>     Alternatively, by using TRAMP (see [TRAMP User Manual]),
>     `org-mobile-directory' may point to a remote directory accessible
>     through, for example, SSH, SCP, or DAVS:
>
>       (setq org-mobile-directory "/davs:/user@HIDDEN:org/webdav/")

Pls use (setq org-mobile-directory "/davs:user@HIDDEN:/webdav/")
Otherwise, LGTM.

> Regards,

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Oct 2018 09:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 05:39:39 2018
Received: from localhost ([127.0.0.1]:35138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEWgV-0007vm-0e
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 05:39:39 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:60651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gEWgT-0007ve-Fa
 for 32722 <at> debbugs.gnu.org; Mon, 22 Oct 2018 05:39:38 -0400
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 095FC240019;
 Mon, 22 Oct 2018 09:39:34 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN> <87wor3e3mr.fsf@HIDDEN>
Date: Mon, 22 Oct 2018 11:39:33 +0200
In-Reply-To: <87wor3e3mr.fsf@HIDDEN> (Michael Albinus's message of "Sun, 30
 Sep 2018 11:27:56 +0200")
Message-ID: <87r2giz5ey.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, Richard Stallman <rms@HIDDEN>, right.ho@HIDDEN,
 32722 <at> debbugs.gnu.org, kaushal.modi@HIDDEN, leslie@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Michael Albinus <michael.albinus@HIDDEN> writes:

> Nicolas Goaziou <mail@HIDDEN> writes:
>>   Alternatively, by using TRAMP (see [TRAMP User Manual]),
>>   `org-mobile-directory' may point to a remote directory accessible
>>   through, for example, SSH and SCP:
>>
>>   =E2=94=8C=E2=94=80=E2=94=80=E2=94=80=E2=94=80
>>   =E2=94=82 (setq org-mobile-directory "/scpc:user@HIDDEN:org/webda=
v/")
>>   =E2=94=94=E2=94=80=E2=94=80=E2=94=80=E2=94=80
>>
>> [1] For a server to host files, consider using a WebDAV server, such
>> as [Nextcloud] (<https://nextcloud.com>).
>
> Not every WebDAV server will support an ssh connection. On GNU/Linux
> systems, Tramp supports also the connection methods "dav", "davs", and
> "nextcloud" (this one since Emacs 27). Maybe it is worth to mention
> this.

Sure. How about this?

    Alternatively, by using TRAMP (see [TRAMP User Manual]),
    `org-mobile-directory' may point to a remote directory accessible
    through, for example, SSH, SCP, or DAVS:

      (setq org-mobile-directory "/davs:/user@HIDDEN:org/webdav/")


Regards,

--=20
Nicolas Goaziou




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 30 Sep 2018 11:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 30 07:44:19 2018
Received: from localhost ([127.0.0.1]:59476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6a8z-0008TD-UU
	for submit <at> debbugs.gnu.org; Sun, 30 Sep 2018 07:44:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g6a8y-0008T0-W6
 for 32722 <at> debbugs.gnu.org; Sun, 30 Sep 2018 07:44:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g6a8q-0004b4-4u
 for 32722 <at> debbugs.gnu.org; Sun, 30 Sep 2018 07:44:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35531)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g6a8q-0004ai-12; Sun, 30 Sep 2018 07:44:04 -0400
Received: from [176.228.60.248] (port=2439 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g6a8j-0004r5-Jm; Sun, 30 Sep 2018 07:43:57 -0400
Date: Sun, 30 Sep 2018 14:43:47 +0300
Message-Id: <83y3bj43d8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kyle Meyer <kyle@HIDDEN>
In-reply-to: <87a7nzri6a.fsf@HIDDEN> (message from Kyle Meyer on Sat, 29
 Sep 2018 19:35:25 -0400)
Subject: Re: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN> <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN> <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN> <87mus0z773.fsf@HIDDEN>
 <83in2o5oi3.fsf@HIDDEN> <87in2oywzk.fsf@HIDDEN>
 <83ftxs5dvw.fsf@HIDDEN> <87a7nzri6a.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, rasmus@HIDDEN,
 32722 <at> debbugs.gnu.org, mail@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Kyle Meyer <kyle@HIDDEN>
> Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, rasmus@HIDDEN, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org
> Date: Sat, 29 Sep 2018 19:35:25 -0400
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: Nicolas Goaziou <mail@HIDDEN>
> >> Cc: rms@HIDDEN,  32722 <at> debbugs.gnu.org,  n@HIDDEN,  leslie@HIDDEN,  right.ho@HIDDEN,  kaushal.modi@HIDDEN, Rasmus <rasmus@HIDDEN>
> >> Date: Sat, 29 Sep 2018 20:33:35 +0200
> >> 
> >> > Thank you.  Can we have this change on the ermacs-26 branch of Emacs,
> >> > please?
> >> 
> >> I don't have access to the Emacs repository. 
> >> 
> >> You can either give me write access there, or I can send you the Texinfo
> >> @node contents, or someone with write access could do it for us. I'm
> >> Cc'ing Rasmus for the last option.
> >
> > I could install a patch that you produced from the Org repository's
> > appropriate branch.
> >
> > Thanks.
> 
> I've tried to combine these org-manual.org changes into a patch for
> org.texi.  This patch should apply on the emacs-26 branch.

Thanks, pushed.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 30 Sep 2018 09:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 30 05:28:19 2018
Received: from localhost ([127.0.0.1]:59429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6Y1S-00034P-S3
	for submit <at> debbugs.gnu.org; Sun, 30 Sep 2018 05:28:19 -0400
Received: from mout.gmx.net ([212.227.17.20]:36553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1g6Y1R-000347-6I
 for 32722 <at> debbugs.gnu.org; Sun, 30 Sep 2018 05:28:17 -0400
Received: from detlef.gmx.de ([213.220.156.190]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MWwp6-1gC84p32lY-00W1zn; Sun, 30
 Sep 2018 11:27:59 +0200
Received: from detlef.gmx.de ([213.220.156.190]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MWwp6-1gC84p32lY-00W1zn; Sun, 30
 Sep 2018 11:27:59 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN>
Date: Sun, 30 Sep 2018 11:27:56 +0200
In-Reply-To: <87mus0z773.fsf@HIDDEN> (Nicolas Goaziou's message of
 "Sat, 29 Sep 2018 16:53:04 +0200")
Message-ID: <87wor3e3mr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:hj6U70NCfaF4KtlGwY5wvA905fM/AIRhiyW79U+juMB5DIskUq+
 +t7GedKikmZezGXge3FkwPMeHbUjukNTMrblH+xjrktPK4ToBbXYKnjwzQeh+jA+5dm3pWq
 hq1QILzzsxYpPt5hSyU867SmY67QYmNdqm9hk7f0RUqfgYCNIBbvNKHSuRPb5FHjos+E6Oy
 CQ5pYuzKdmb4oXiOw5jjA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:pbXsQKMZOLg=:WPhAzjD3ci/86Za+xolYJd
 bVgkMDSkrdKJlq+FL6YjdMnAERl7yYD85llKPPjqgWvyVMApq+KIrqU4p8DIQUGccwDgpOkXF
 A/t3ZKDPKwgegc8dqacczE4DqFhA4UGArDYjGOFsRMSTe5TKjfj7v9nlXLMxEadywyeT9ahRT
 XGgF3fphaJoQBeEq+5R9hljtSzoxbtYA16tUvpc78SFdwkIK4OzEiM3UP5srobNeh47Y2UmOo
 7JYDMoXA6iVZO7nY9P9uxDqCrdYIn+zKNIa4UoX1I0M3E5ebVeVCaXSEAnzPiSmbNTuYCVWt6
 hdOM3I0MmrFwArKG11jTzJw+j4L9N1HhtSWk5xmlD2ZY0k8BNli5usRiCRtoZUwT34lhDKbUb
 auGoX9uW3WX8JqlE3x5dhwuAaxFKFIabg3LKQiNRAwSdXK5UhlyRVsrixLY7sRY6ZQx9nRB7K
 iTkZ2dXur46QsQB1tHQuE1yCooWbEE+zNgeuXEXRU7Z7T9VbsoQMbMkGKLmz1TDOU6/fRlsPi
 J+G6zWzWW8OAmVBAVc7aMKVyjOnN5bCKddAzIgD+++cyK/Xlm9hB0mDY2YEi9pBemP6ljgRsB
 abn/DMwGSowysVTaZxQVWcpTXeYwzRisVRT3Ndf8bRGk3IcSOUEFVkF/0RTbxrwd54tHx7cLG
 QyE8U6DKYdLLnEHbuCDddYTGFuA6B6JrEHr3c+TbkVDju7R8UpZjg3df1VJzW/LSoXUesYrhh
 3ovJs6A8D9hSLMlYC4zG7ahGaM8rY3z5a0YfEIvNJdqIFPkw7Kfo1viuVusKlmBI7zcB+fW9O
 QmRC1Xp/EJShMpNOZ3DBCLIkv0q/vNP6NWt6e4YtIsVaSY2bis=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, Richard Stallman <rms@HIDDEN>, right.ho@HIDDEN,
 leslie@HIDDEN, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Nicolas Goaziou <mail@HIDDEN> writes:

> Hello,

Hi Nicolas,

> 1 Setting up the staging area
> =E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=
=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90
>
>   The mobile application needs access to a file directory on a server[1]
>
>   Alternatively, by using TRAMP (see [TRAMP User Manual]),
>   `org-mobile-directory' may point to a remote directory accessible
>   through, for example, SSH and SCP:
>
>   =E2=94=8C=E2=94=80=E2=94=80=E2=94=80=E2=94=80
>   =E2=94=82 (setq org-mobile-directory "/scpc:user@HIDDEN:org/webdav=
/")
>   =E2=94=94=E2=94=80=E2=94=80=E2=94=80=E2=94=80
>
> [1] For a server to host files, consider using a WebDAV server, such
> as [Nextcloud] (<https://nextcloud.com>).

Not every WebDAV server will support an ssh connection. On GNU/Linux
systems, Tramp supports also the connection methods "dav", "davs", and
"nextcloud" (this one since Emacs 27). Maybe it is worth to mention this.

> Regards,

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 29 Sep 2018 23:35:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 19:35:46 2018
Received: from localhost ([127.0.0.1]:59280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6Olr-00056S-MY
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 19:35:45 -0400
Received: from pb-smtp21.pobox.com ([173.228.157.53]:50411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1g6Olp-00056G-7s
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 19:35:34 -0400
Received: from pb-smtp21.pobox.com (unknown [127.0.0.1])
 by pb-smtp21.pobox.com (Postfix) with ESMTP id D6A2734648;
 Sat, 29 Sep 2018 19:35:30 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to:cc
 :subject:in-reply-to:references:date:message-id:mime-version
 :content-type; s=sasl; bh=jvrFX9PE/CAZO6y63Y78UeIwugo=; b=uimN9a
 mctgCyAK09qlJVzZpxlXvmfS4yfMJVtImYAHY+e3/ssZr37WrALMkQDVB7C39QMT
 xH6l6ZxhqxZ6OPTpKPf3lL1OkiGSyQBZm1Rr5+b62vFDC9ZlP+nPsuA2E6L6MdQ/
 s/JevokDkiMM5lyDuXIdsdbpqcxOdmLYU16KI=
Received: from pb-smtp21.sea.icgroup.com (unknown [127.0.0.1])
 by pb-smtp21.pobox.com (Postfix) with ESMTP id C539734646;
 Sat, 29 Sep 2018 19:35:30 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=kyleam.com;
 h=from:to:cc:subject:in-reply-to:references:date:message-id:mime-version:content-type;
 s=mesmtp; bh=ifWBG8ODS1XoCTIt5lbXa2j0EvPnqsRb26CQkwBNbM4=;
 b=QSJ/vDtRClpYnK0cGjEZrw3Usf8NJi8NRnN/w90MqS77ZBiPPHGOWnShmQ8O+c0n7z3WYwzhYFijdQ69pf8Hyz1eqdV5F3T6Ns4Dr+NGfzHf33vOsSTrYO8w/4zgXIZgLnp2bkdEK9OwfeI8RIYuE2tiawQmQhfoPtt5E1jS/8s=
Received: from localhost (unknown [73.182.129.5])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by pb-smtp21.pobox.com (Postfix) with ESMTPSA id CD4B334643;
 Sat, 29 Sep 2018 19:35:27 -0400 (EDT) (envelope-from kyle@HIDDEN)
From: Kyle Meyer <kyle@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
In-Reply-To: <83ftxs5dvw.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN> <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN> <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN> <87mus0z773.fsf@HIDDEN>
 <83in2o5oi3.fsf@HIDDEN> <87in2oywzk.fsf@HIDDEN>
 <83ftxs5dvw.fsf@HIDDEN>
Date: Sat, 29 Sep 2018 19:35:25 -0400
Message-ID: <87a7nzri6a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Pobox-Relay-ID: 589ECE5A-C440-11E8-BE8F-CC883AD79A78-24757444!pb-smtp21.pobox.com
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, 32722 <at> debbugs.gnu.org,
 rasmus@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Nicolas Goaziou <mail@HIDDEN>
>> Cc: rms@HIDDEN,  32722 <at> debbugs.gnu.org,  n@HIDDEN,  leslie@HIDDEN,  right.ho@HIDDEN,  kaushal.modi@HIDDEN, Rasmus <rasmus@HIDDEN>
>> Date: Sat, 29 Sep 2018 20:33:35 +0200
>> 
>> > Thank you.  Can we have this change on the ermacs-26 branch of Emacs,
>> > please?
>> 
>> I don't have access to the Emacs repository. 
>> 
>> You can either give me write access there, or I can send you the Texinfo
>> @node contents, or someone with write access could do it for us. I'm
>> Cc'ing Rasmus for the last option.
>
> I could install a patch that you produced from the Org repository's
> appropriate branch.
>
> Thanks.

I've tried to combine these org-manual.org changes into a patch for
org.texi.  This patch should apply on the emacs-26 branch.

-- >8 --
Subject: [PATCH] org.texi: Rewrite Org Mobile section

* doc/misc/org.texi (Org Mobile): Rewrite from "MobileOrg" section.
Remove all references to non-free software.  Move into
"Miscellaneous".

This reflects Nicolas Goaziou's changes from Org's b929e5d77,
46b49ab57, and 3f826b9f7.
---
 doc/misc/org.texi | 293 ++++++++++++++++++++++++----------------------
 1 file changed, 152 insertions(+), 141 deletions(-)

diff --git a/doc/misc/org.texi b/doc/misc/org.texi
index 60647e65e8..873ce4d2cd 100644
--- a/doc/misc/org.texi
+++ b/doc/misc/org.texi
@@ -325,7 +325,6 @@ Top
 * Working with source code::    Export, evaluate, and tangle code blocks
 * Miscellaneous::               All the rest which did not fit elsewhere
 * Hacking::                     How to hack your way around
-* MobileOrg::                   Viewing and capture on a mobile device
 * History and acknowledgments::  How Org came into being
 * GNU Free Documentation License::  The license for this documentation.
 * Main Index::                  An index of Org's concepts and features
@@ -760,12 +759,19 @@ Top
 * TTY keys::                    Using Org on a tty
 * Interaction::                 With other Emacs packages
 * org-crypt::                   Encrypting Org files
+* Org Mobile::                  Viewing and capture on a mobile device
 
 Interaction with other packages
 
 * Cooperation::                 Packages Org cooperates with
 * Conflicts::                   Packages that lead to conflicts
 
+Org Mobile
+
+* Setting up the staging area::  For the mobile device
+* Pushing to the mobile application::  Uploading Org files and agendas
+* Pulling from the mobile application::  Integrating captured and flagged items
+
 Hacking
 
 * Hooks::                       How to reach into Org's internals
@@ -788,12 +794,6 @@ Top
 * Translator functions::        Copy and modify
 * Radio lists::                 Sending and receiving lists
 
-MobileOrg
-
-* Setting up the staging area::  For the mobile device
-* Pushing to MobileOrg::        Uploading Org files and agendas
-* Pulling from MobileOrg::      Integrating captured and flagged items
-
 @end detailmenu
 @end menu
 
@@ -17253,6 +17253,7 @@ Miscellaneous
 * TTY keys::                    Using Org on a tty
 * Interaction::                 With other Emacs packages
 * org-crypt::                   Encrypting Org files
+* Org Mobile::                  Viewing and capture on a mobile device
 @end menu
 
 
@@ -18187,6 +18188,150 @@ org-crypt
 Excluding the crypt tag from inheritance prevents encrypting previously
 encrypted text.
 
+@node Org Mobile
+@section Org Mobile
+
+@cindex smartphone
+
+Org Mobile is a protocol for synchronizing Org files between Emacs and
+other applications, e.g., on mobile devices.  It enables offline-views
+and capture support for an Org mode system that is rooted on a ``real''
+computer.  The external application can also record changes to
+existing entries.
+
+This appendix describes Org's support for agenda view formats
+compatible with Org Mobile.  It also describes synchronizing changes,
+such as to notes, between the mobile application and the computer.
+
+To change tags and TODO states in the mobile application, first
+customize the variables @code{org-todo-keywords} and @code{org-tag-alist}.
+These should cover all the important tags and TODO keywords, even if
+Org files use only some of them.  Though the mobile application is
+expected to support in-buffer settings, it is required to understand
+TODO states @emph{sets} (see @ref{Per-file keywords}) and
+@emph{mutually exclusive} tags (see @ref{Setting tags}) only for those set in
+these variables.
+
+@menu
+* Setting up the staging area::  For the mobile device
+* Pushing to the mobile application::  Uploading Org files and agendas
+* Pulling from the mobile application::  Integrating captured and flagged items
+@end menu
+
+@node Setting up the staging area
+@subsection Setting up the staging area
+
+@vindex org-mobile-directory
+The mobile application needs access to a file directory on
+a server@footnote{For a server to host files, consider using a WebDAV server,
+such as @uref{https://nextcloud.com, Nextcloud}.  Additional help is at this @uref{https://orgmode.org/worg/org-faq.html#mobileorg_webdav, FAQ entry}.} to interact with Emacs.  Pass its location through
+the @code{org-mobile-directory} variable.  If you can mount that directory
+locally just set the variable to point to that directory:
+
+@lisp
+(setq org-mobile-directory "~/orgmobile/")
+@end lisp
+
+@noindent
+Alternatively, by using TRAMP (see @ref{Top,TRAMP User Manual,,tramp,}),
+@code{org-mobile-directory} may point to a remote directory accessible
+through, for example, SSH and SCP:
+
+@lisp
+(setq org-mobile-directory "/scpc:user@@remote.host:org/webdav/")
+@end lisp
+
+@vindex org-mobile-encryption
+With a public server, consider encrypting the files.  Org also
+requires OpenSSL installed on the local computer.  To turn on
+encryption, set the same password in the mobile application and in
+Emacs.  Set the password in the variable
+@code{org-mobile-use-encryption}@footnote{If Emacs is configured for safe storing of passwords, then
+configure the variable @code{org-mobile-encryption-password}; please read
+the docstring of that variable.}.  Note that even after the mobile
+application encrypts the file contents, the file name remains visible
+on the file systems of the local computer, the server, and the mobile
+device.
+
+@node Pushing to the mobile application
+@subsection Pushing to the mobile application
+
+@findex org-mobile-push
+@vindex org-mobile-files
+The command @code{org-mobile-push} copies files listed in
+@code{org-mobile-files} into the staging area.  Files include agenda files
+(as listed in @code{org-agenda-files}).  Customize @code{org-mobile-files} to
+add other files.  File names are staged with paths relative to
+@code{org-directory}, so all files should be inside this directory@footnote{Symbolic links in @code{org-directory} need to have the same name
+as their targets.}.
+
+Push creates a special Org file @samp{agendas.org} with custom agenda views
+defined by the user@footnote{While creating the agendas, Org mode forces ID properties on
+all referenced entries, so that these entries can be uniquely
+identified if Org Mobile flags them for further action.  To avoid
+setting properties configure the variable
+@code{org-mobile-force-id-on-agenda-items} to @code{nil}.  Org mode then relies
+on outline paths, assuming they are unique.}.
+
+Finally, Org writes the file @samp{index.org}, containing links to other
+files.  The mobile application reads this file first from the server
+to determine what other files to download for agendas.  For faster
+downloads, it is expected to only read files whose checksums@footnote{Checksums are stored automatically in the file
+@samp{checksums.dat}.}
+have changed.
+
+@node Pulling from the mobile application
+@subsection Pulling from the mobile application
+
+@findex org-mobile-pull
+The command @code{org-mobile-pull} synchronizes changes with the server.
+More specifically, it first pulls the Org files for viewing.  It then
+appends captured entries and pointers to flagged or changed entries to
+the file @samp{mobileorg.org} on the server.  Org ultimately integrates its
+data in an inbox file format, through the following steps:
+
+@enumerate
+@item
+@vindex org-mobile-inbox-for-pull
+Org moves all entries found in @samp{mobileorg.org}@footnote{The file will be empty after this operation.} and appends
+them to the file pointed to by the variable
+@code{org-mobile-inbox-for-pull}.  It should reside neither in the
+staging area nor on the server.  Each captured entry and each
+editing event is a top-level entry in the inbox file.
+
+@item
+@cindex @samp{FLAGGED}, tag
+After moving the entries, Org processes changes to the shared
+files.  Some of them are applied directly and without user
+interaction.  Examples include changes to tags, TODO state,
+headline and body text.  Entries requiring further action are
+tagged as @samp{FLAGGED}.  Org marks entries with problems with an error
+message in the inbox.  They have to be resolved manually.
+
+@item
+Org generates an agenda view for flagged entries for user
+intervention to clean up.  For notes stored in flagged entries, Org
+displays them in the echo area when point is on the corresponding
+agenda item.
+
+@table @asis
+@item @kbd{?}
+Pressing @kbd{?} displays the entire flagged note in
+another window.  Org also pushes it to the kill ring.  To
+store flagged note as a normal note, use @kbd{? z C-y C-c C-c}.  Pressing @kbd{?} twice does these things: first
+it removes the @samp{FLAGGED} tag; second, it removes the flagged
+note from the property drawer; third, it signals that manual
+editing of the flagged entry is now finished.
+@end table
+@end enumerate
+
+@kindex ? @r{(Agenda dispatcher)}
+From the agenda dispatcher, @kbd{?} returns to the view to finish
+processing flagged entries.  Note that these entries may not be the
+most recent since the mobile application searches files that were last
+pulled.  To get an updated agenda view with changes since the last
+pull, pull again.
+
 @node Hacking
 @appendix Hacking
 @cindex hacking
@@ -19151,140 +19296,6 @@ Using the mapping API
 (length (org-map-entries t "/+WAITING" 'agenda))
 @end lisp
 
-@node MobileOrg
-@appendix MobileOrg
-@cindex iPhone
-@cindex MobileOrg
-
-MobileOrg is a companion mobile app that runs on iOS and Android devices.
-MobileOrg enables offline-views and capture support for an Org mode system
-that is rooted on a ``real'' computer.  MobileOrg can record changes to
-existing entries.
-
-The @uref{https://github.com/MobileOrg/, iOS implementation} for the
-@emph{iPhone/iPod Touch/iPad} series of devices, was started by Richard
-Moreland and is now in the hands Sean Escriva.  Android users should check
-out @uref{http://wiki.github.com/matburt/mobileorg-android/, MobileOrg
-Android} by Matt Jones.  Though the two implementations are not identical,
-they offer similar features.
-
-This appendix describes Org's support for agenda view formats compatible with
-MobileOrg.  It also describes synchronizing changes, such as to notes,
-between MobileOrg and the computer.
-
-To change tags and TODO states in MobileOrg, first customize the variables
-@code{org-todo-keywords} and @code{org-tag-alist}.  These should cover all
-the important tags and TODO keywords, even if Org files use only some of
-them.  Though MobileOrg has in-buffer settings, it understands TODO states
-@emph{sets} (@pxref{Per-file keywords}) and @emph{mutually exclusive} tags
-(@pxref{Setting tags}) only for those set in these variables.
-
-@menu
-* Setting up the staging area::  For the mobile device
-* Pushing to MobileOrg::        Uploading Org files and agendas
-* Pulling from MobileOrg::      Integrating captured and flagged items
-@end menu
-
-@node Setting up the staging area
-@section Setting up the staging area
-
-MobileOrg needs access to a file directory on a server to interact with
-Emacs.  With a public server, consider encrypting the files.  MobileOrg
-version 1.5 supports encryption for the iPhone.  Org also requires
-@file{openssl} installed on the local computer.  To turn on encryption, set
-the same password in MobileOrg and in Emacs.  Set the password in the
-variable @code{org-mobile-use-encryption}@footnote{If Emacs is configured for
-safe storing of passwords, then configure the variable,
-@code{org-mobile-encryption-password}; please read the docstring of that
-variable.}.  Note that even after MobileOrg encrypts the file contents, the
-file names will remain visible on the file systems of the local computer, the
-server, and the mobile device.
-
-For a server to host files, consider options like
-@uref{http://dropbox.com,Dropbox.com} account@footnote{An alternative is to
-use webdav server.  MobileOrg documentation has details of webdav server
-configuration.  Additional help is at
-@uref{https://orgmode.org/worg/org-faq.html#mobileorg_webdav, FAQ entry}.}.
-On first connection, MobileOrg creates a directory @file{MobileOrg/} on
-Dropbox.  Pass its location to Emacs through an init file variable as
-follows:
-
-@lisp
-(setq org-mobile-directory "~/Dropbox/MobileOrg")
-@end lisp
-
-Org copies files to the above directory for MobileOrg.  Org also uses the
-same directory for sharing notes between Org and MobileOrg.
-
-@node Pushing to MobileOrg
-@section Pushing to MobileOrg
-
-Org pushes files listed in @code{org-mobile-files} to
-@code{org-mobile-directory}.  Files include agenda files (as listed in
-@code{org-agenda-files}).  Customize @code{org-mobile-files} to add other
-files.  File names will be staged with paths relative to
-@code{org-directory}, so all files should be inside this
-directory@footnote{Symbolic links in @code{org-directory} should have the
-same name as their targets.}.
-
-Push creates a special Org file @file{agendas.org} with custom agenda views
-defined by the user@footnote{While creating the agendas, Org mode will force
-ID properties on all referenced entries, so that these entries can be
-uniquely identified if MobileOrg flags them for further action.  To avoid
-setting properties configure the variable
-@code{org-mobile-force-id-on-agenda-items} to @code{nil}.  Org mode will then
-rely on outline paths, assuming they are unique.}.
-
-Org writes the file @file{index.org}, containing links to other files.
-MobileOrg reads this file first from the server to determine what other files
-to download for agendas.  For faster downloads, MobileOrg will read only
-those files whose checksums@footnote{Checksums are stored automatically in
-the file @file{checksums.dat}.} have changed.
-
-@node Pulling from MobileOrg
-@section Pulling from MobileOrg
-
-When MobileOrg synchronizes with the server, it pulls the Org files for
-viewing.  It then appends to the file @file{mobileorg.org} on the server the
-captured entries, pointers to flagged and changed entries.  Org integrates
-its data in an inbox file format.
-
-@enumerate
-@item
-Org moves all entries found in
-@file{mobileorg.org}@footnote{@file{mobileorg.org} will be empty after this
-operation.} and appends them to the file pointed to by the variable
-@code{org-mobile-inbox-for-pull}.  Each captured entry and each editing event
-is a top-level entry in the inbox file.
-@item
-After moving the entries, Org attempts changes to MobileOrg.  Some changes
-are applied directly and without user interaction.  Examples include changes
-to tags, TODO state, headline and body text.  Entries for further action are
-tagged as @code{:FLAGGED:}.  Org marks entries with problems with an error
-message in the inbox.  They have to be resolved manually.
-@item
-Org generates an agenda view for flagged entries for user intervention to
-clean up.  For notes stored in flagged entries, MobileOrg displays them in
-the echo area when the cursor is on the corresponding agenda item.
-
-@table @kbd
-@kindex ?
-@item ?
-Pressing @kbd{?} displays the entire flagged note in another window.  Org
-also pushes it to the kill ring.  To store flagged note as a normal note, use
-@kbd{?  z C-y C-c C-c}.  Pressing @kbd{?} twice does these things: first it
-removes the @code{:FLAGGED:} tag; second, it removes the flagged note from
-the property drawer; third, it signals that manual editing of the flagged
-entry is now finished.
-@end table
-@end enumerate
-
-@kindex C-c a ?
-@kbd{C-c a ?} returns to the agenda view to finish processing flagged
-entries.  Note that these entries may not be the most recent since MobileOrg
-searches files that were last pulled.  To get an updated agenda view with
-changes since the last pull, pull again.
-
 @node History and acknowledgments
 @appendix History and acknowledgments
 @cindex acknowledgments
-- 
2.19.0





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 29 Sep 2018 19:00:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 15:00:03 2018
Received: from localhost ([127.0.0.1]:59142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6KT9-0006eB-Gf
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 15:00:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g6KT7-0006dz-My
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 14:59:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g6KT1-0006R0-LE
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 14:59:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52792)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g6KSl-0006AS-0a; Sat, 29 Sep 2018 14:59:35 -0400
Received: from [176.228.60.248] (port=3721 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g6KSZ-0007DG-DG; Sat, 29 Sep 2018 14:59:25 -0400
Date: Sat, 29 Sep 2018 21:58:59 +0300
Message-Id: <83ftxs5dvw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87in2oywzk.fsf@HIDDEN> (message from Nicolas Goaziou
 on Sat, 29 Sep 2018 20:33:35 +0200)
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN> <83in2o5oi3.fsf@HIDDEN>
 <87in2oywzk.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, leslie@HIDDEN,
 rasmus@HIDDEN, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: rms@HIDDEN,  32722 <at> debbugs.gnu.org,  n@HIDDEN,  leslie@HIDDEN,  right.ho@HIDDEN,  kaushal.modi@HIDDEN, Rasmus <rasmus@HIDDEN>
> Date: Sat, 29 Sep 2018 20:33:35 +0200
> 
> > Thank you.  Can we have this change on the ermacs-26 branch of Emacs,
> > please?
> 
> I don't have access to the Emacs repository. 
> 
> You can either give me write access there, or I can send you the Texinfo
> @node contents, or someone with write access could do it for us. I'm
> Cc'ing Rasmus for the last option.

I could install a patch that you produced from the Org repository's
appropriate branch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 29 Sep 2018 18:33:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 14:33:42 2018
Received: from localhost ([127.0.0.1]:59131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6K3h-00062x-RI
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 14:33:41 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:41355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g6K3g-00062n-6B
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 14:33:40 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 80C6F240005;
 Sat, 29 Sep 2018 18:33:37 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
 <87mus0z773.fsf@HIDDEN> <83in2o5oi3.fsf@HIDDEN>
Date: Sat, 29 Sep 2018 20:33:35 +0200
In-Reply-To: <83in2o5oi3.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 29 Sep
 2018 18:09:40 +0300")
Message-ID: <87in2oywzk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, leslie@HIDDEN,
 Rasmus <rasmus@HIDDEN>, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Eli Zaretskii <eliz@HIDDEN> writes:

> Thank you.  Can we have this change on the ermacs-26 branch of Emacs,
> please?

I don't have access to the Emacs repository. 

You can either give me write access there, or I can send you the Texinfo
@node contents, or someone with write access could do it for us. I'm
Cc'ing Rasmus for the last option.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 29 Sep 2018 15:10:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 11:10:30 2018
Received: from localhost ([127.0.0.1]:59057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6Gt3-00018Z-V8
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 11:10:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g6Gt2-00018L-3R
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 11:10:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g6Gst-0004IK-VA
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 11:10:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50295)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g6GsY-00041M-NM; Sat, 29 Sep 2018 11:09:58 -0400
Received: from [176.228.60.248] (port=3910 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g6GsS-0000B6-L3; Sat, 29 Sep 2018 11:09:52 -0400
Date: Sat, 29 Sep 2018 18:09:40 +0300
Message-Id: <83in2o5oi3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87mus0z773.fsf@HIDDEN> (message from Nicolas Goaziou
 on Sat, 29 Sep 2018 16:53:04 +0200)
Subject: Re: bug#32722: bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN> <87mus0z773.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, right.ho@HIDDEN, leslie@HIDDEN,
 kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Date: Sat, 29 Sep 2018 16:53:04 +0200
> Cc: 32722 <at> debbugs.gnu.org, n@HIDDEN, leslie@HIDDEN, right.ho@HIDDEN,
> 	kaushal.modi@HIDDEN
> 
> > This is actually good news.  It means Android MobileOrg is almost ok.
> > If someone wants to do a little work on Android MobileOrg, so it could
> > go into f-droid, we could recommend its use.  But the doc should be
> > updated.
> 
> For the record, I rewrote the section about Org Mobile in the manual.
> This removed all instances of "MobileOrg" and "Dropbox".

Thank you.  Can we have this change on the ermacs-26 branch of Emacs,
please?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 29 Sep 2018 14:53:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 29 10:53:11 2018
Received: from localhost ([127.0.0.1]:59040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g6GcI-0000fw-RK
	for submit <at> debbugs.gnu.org; Sat, 29 Sep 2018 10:53:11 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:32825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g6GcF-0000fk-1E
 for 32722 <at> debbugs.gnu.org; Sat, 29 Sep 2018 10:53:08 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id DBAA640005;
 Sat, 29 Sep 2018 14:53:04 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#32722:  bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 <E1g3tLf-0003Es-KN@HIDDEN>
Date: Sat, 29 Sep 2018 16:53:04 +0200
In-Reply-To: <E1g3tLf-0003Es-KN@HIDDEN> (Richard Stallman's message
 of "Sat, 22 Sep 2018 21:38:11 -0400")
Message-ID: <87mus0z773.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, kaushal.modi@HIDDEN, leslie@HIDDEN, right.ho@HIDDEN,
 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Richard Stallman <rms@HIDDEN> writes:

> This is actually good news.  It means Android MobileOrg is almost ok.
> If someone wants to do a little work on Android MobileOrg, so it could
> go into f-droid, we could recommend its use.  But the doc should be
> updated.

For the record, I rewrote the section about Org Mobile in the manual.
This removed all instances of "MobileOrg" and "Dropbox". Here it is in
its full glory (please ignore the broken links, which refer to other
parts in the Org manual):

--8<---------------cut here---------------start------------->8---
                       =E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=
=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=
=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=
=94=81=E2=94=81=E2=94=81
                               ORG MOBILE
                              Release 9.2

                        The Org Mode Developers
                       =E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=
=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=
=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=94=81=E2=
=94=81=E2=94=81=E2=94=81


Table of Contents
=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=
=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=
=80

1. Setting up the staging area
2. Pushing to the mobile application
3. Pulling from the mobile application


Org Mobile is a protocol for synchronizing Org files between Emacs and
other applications, e.g., on mobile devices. It enables offline-views
and capture support for an Org mode system that is rooted on a =E2=80=9Crea=
l=E2=80=9D
computer. The external application can also record changes to existing
entries.

This appendix describes Org=E2=80=99s support for agenda view formats compa=
tible
with Org Mobile. It also describes synchronizing changes, such as to
notes, between the mobile application and the computer.

To change tags and TODO states in the mobile application, first
customize the variables `org-todo-keywords' and `org-tag-alist'. These
should cover all the important tags and TODO keywords, even if Org files
use only some of them. Though the mobile application is expected to
support in-buffer settings, it is required to understand TODO states
/sets/ (see [BROKEN LINK: *Setting up keywords for individual files])
and /mutually exclusive/ tags (see [BROKEN LINK: *Setting Tags]) only
for those set in these variables.


1 Setting up the staging area
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=
=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=
=E2=95=90=E2=95=90=E2=95=90=E2=95=90

  The mobile application needs access to a file directory on a server[1]
  to interact with Emacs. Pass its location through the
  `org-mobile-directory' variable. If you can mount that directory
  locally just set the variable to point to that directory:

  =E2=94=8C=E2=94=80=E2=94=80=E2=94=80=E2=94=80
  =E2=94=82 (setq org-mobile-directory "~/orgmobile/")
  =E2=94=94=E2=94=80=E2=94=80=E2=94=80=E2=94=80

  Alternatively, by using TRAMP (see [TRAMP User Manual]),
  `org-mobile-directory' may point to a remote directory accessible
  through, for example, SSH and SCP:

  =E2=94=8C=E2=94=80=E2=94=80=E2=94=80=E2=94=80
  =E2=94=82 (setq org-mobile-directory "/scpc:user@HIDDEN:org/webdav/")
  =E2=94=94=E2=94=80=E2=94=80=E2=94=80=E2=94=80

  With a public server, consider encrypting the files. Org also requires
  OpenSSL installed on the local computer. To turn on encryption, set
  the same password in the mobile application and in Emacs. Set the
  password in the variable `org-mobile-use-encryption'[2]. Note that
  even after the mobile application encrypts the file contents, the file
  name remains visible on the file systems of the local computer, the
  server, and the mobile device.


[TRAMP User Manual] <info:tramp>


2 Pushing to the mobile application
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=
=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90

  The command `org-mobile-push' copies files listed in
  `org-mobile-files' into the staging area. Files include agenda files
  (as listed in `org-agenda-files'). Customize `org-mobile-files' to add
  other files. File names are staged with paths relative to
  `org-directory', so all files should be inside this directory[3].

  Push creates a special Org file `agendas.org' with custom agenda views
  defined by the user[4].

  Finally, Org writes the file `index.org', containing links to other
  files. The mobile application reads this file first from the server to
  determine what other files to download for agendas. For faster
  downloads, it is expected to only read files whose checksums[5] have
  changed.


3 Pulling from the mobile application
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=
=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=
=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=95=90=E2=
=95=90=E2=95=90=E2=95=90=E2=95=90

  The command `org-mobile-pull' synchronizes changes with the server.
  More specifically, it first pulls the Org files for viewing. It then
  appends captured entries and pointers to flagged or changed entries to
  the file `mobileorg.org' on the server. Org ultimately integrates its
  data in an inbox file format, through the following steps:

  1. Org moves all entries found in `mobileorg.org'[6] and appends them
     to the file pointed to by the variable `org-mobile-inbox-for-pull'.
     It should reside neither in the staging area nor on the server. Each
     captured entry and each editing event is a top-level entry in the
     inbox file.

  2. After moving the entries, Org processes changes to the shared files.
     Some of them are applied directly and without user interaction.
     Examples include changes to tags, TODO state, headline and body
     text. Entries requiring further action are tagged as `FLAGGED'. Org
     marks entries with problems with an error message in the inbox. They
     have to be resolved manually.

  3. Org generates an agenda view for flagged entries for user
     intervention to clean up. For notes stored in flagged entries, Org
     displays them in the echo area when point is on the corresponding
     agenda item.

     ?
           Pressing ? displays the entire flagged note in another
           window. Org also pushes it to the kill ring. To store flagged
           note as a normal note, use ? z C-y C-c C-c. Pressing ? twice
           does these things: first it removes the `FLAGGED' tag;
           second, it removes the flagged note from the property drawer;
           third, it signals that manual editing of the flagged entry is
           now finished.

  From the agenda dispatcher, ? returns to the view to finish processing
  flagged entries. Note that these entries may not be the most recent
  since the mobile application searches files that were last pulled. To
  get an updated agenda view with changes since the last pull, pull
  again.



Footnotes
=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=94=80=E2=
=94=80

[1] For a server to host files, consider using a WebDAV server, such
as [Nextcloud] (<https://nextcloud.com>). Additional help is at this
[FAQ entry]
(<https://orgmode.org/worg/org-faq.html#mobileorg_webdav>).

[2] If Emacs is configured for safe storing of passwords, then
configure the variable `org-mobile-encryption-password'; please read
the docstring of that variable.

[3] Symbolic links in `org-directory' need to have the same name as
their targets.

[4] While creating the agendas, Org mode forces ID properties on all
referenced entries, so that these entries can be uniquely identified
if Org Mobile flags them for further action. To avoid setting
properties configure the variable
`org-mobile-force-id-on-agenda-items' to `nil'. Org mode then relies
on outline paths, assuming they are unique.

[5] Checksums are stored automatically in the file `checksums.dat'.

[6] The file will be empty after this operation.
--8<---------------cut here---------------end--------------->8---

I also used CTAN URL for the minted LaTeX package.

Regards,

--=20
Nicolas Goaziou




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 25 Sep 2018 23:05:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 19:05:20 2018
Received: from localhost ([127.0.0.1]:54190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4wON-0008J2-TL
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 19:05:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g4wOK-0008Il-8N
 for 32722 <at> debbugs.gnu.org; Tue, 25 Sep 2018 19:05:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g4wOC-0006Fq-Ab
 for 32722 <at> debbugs.gnu.org; Tue, 25 Sep 2018 19:05:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41452)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g4wNw-00064x-Qj; Tue, 25 Sep 2018 19:04:52 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g4wNw-0006ov-H7; Tue, 25 Sep 2018 19:04:52 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Robert Klein <roklein@HIDDEN>
In-Reply-To: <20180918205329.2e12c16f@HIDDEN> (message
 from	Robert Klein on Tue, 18 Sep 2018 20:53:29 +0200)
Subject: Re: bug#32722: [O] bug#32722:  bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>	<tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <20180918205329.2e12c16f@HIDDEN>
Message-Id: <E1g4wNw-0006ov-H7@HIDDEN>
Date: Tue, 25 Sep 2018 19:04:52 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, eliz@HIDDEN, n@HIDDEN, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[I sent this message a week ago but did not get a response.
Could we get the discussion moving again?]

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > As already pointed out by Nicolas Goaziou, org-mode also requires other
  > external stuff

Those other cases may or may not be problems, depending on the situation.

The ability to work with some other free software package (for
instance, LaTeX0, if the user happens to use that, is no problem at all.

Invoking some separate program, having no particular relationship
with Emacs, is ok too if the idea is that that program does some
separate job and that's what the user wants to do.

However, Emacs should not try to bypass the distro's own package
installation system by telling users to install things directly.

Would you please show me the other cases where Org suggests
loading something else?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 24 Sep 2018 09:53:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 24 05:53:32 2018
Received: from localhost ([127.0.0.1]:51349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4NYY-0005sI-KC
	for submit <at> debbugs.gnu.org; Mon, 24 Sep 2018 05:53:32 -0400
Received: from smtp.numethik.fr ([80.67.190.197]:55152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1g4NYW-0005s6-KN
 for 32722 <at> debbugs.gnu.org; Mon, 24 Sep 2018 05:53:29 -0400
Message-ID: <8005c4dacdc337b587ce8856bfc193bdffaeb99b.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1537782807; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=iWY7GbbyA4RMvxO3mewwnJmVFv84uac9BqoGqQUWtLw=;
 b=r5V/Sy64v8EdC/Vq0mpl2C1O1EbEpL2cAIEWyjrLIHHYK+n3srpHYvDblEXgWTbUBmzFrm
 UtdBcicH3JVHKBbCu9wEOMRBY2Fau87UAYRBoQsczvLOl5GnSA39lobu1jk+NUHrD0TQev
 2Ip5J2Sf8Evy0xUEYRHbU4ax5B29mrC5UwBCnlseHxoiRIVEYpqVt/Io84ipG9jT30xgx5
 Ues3tr/CI4x85GpqMbJJwnjKhc5Sp+1MrrnJahdYlZaixVZ81z+vnUh50AgzyZoybFZGnP
 UiAflmbSPlwZqx2zv/efYG+fbWFwFpXukHEH2zmCW6jW/Pp2QdKK3xqfHwQ2Mg==
Subject: Re: [O] bug#32722:  bug#32722: 26.1; Org-publish depend on non-free
 platform ?
From: Nicolas Floquet <n@HIDDEN>
To: rjhorniii@HIDDEN
Date: Mon, 24 Sep 2018 11:54:12 +0200
In-Reply-To: <m3tvmm4v8m.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-vGxr/C6h9OIaCQQ16C61"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: Eli Zaretskii <eliz@HIDDEN>, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 Nicolas Goaziou <mail@HIDDEN>, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-vGxr/C6h9OIaCQQ16C61
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello,

Le mardi 18 septembre 2018 =C3=A0 12:37 -0400, Robert Horn a =C3=A9crit :
> Perhaps you could clarify the ethical issues.


I apologise:=20
   1. first, to have sent you a badly edited bug report,
   2. second, the late sending of this clarification email.

This can be explained by

* My own difficulty to use the English language (on this point, I have
asked a translator friend of mine to translate my words. What you are
now reading is the fruit of her work)

* The difficulty to convey the issue arisen by GitHub (as a proprietary
tool) in the Free Software movement. (This issue has already been
brought up for instance in 2010 by B Mako Hill:=20
https://mako.cc/writing/hill-free_tools.html here translated in French=20

https://framablog.org/2010/09/08/logiciels-libres-mais-outils-non-libres/
 ).

GitHub, as a platform based on proprietary software is a trap for the
developers who use it, particularly because they get into work habits
that tie them to one only service provider on the Internet, which is
contrary to the very principle of Internet, centre-less network. Yet
getting the Internet recentralised would have harmful consequences as
much ethically as technically.

Therefore, in explaining to its own users to seek some coding on
GitHub, or any other non-ethical platform, Emacs "prescribes" the
following message to its users: "GitHub? Meh... just some non-open
JavaScript" =E2=80=A6 Download on GitHub, code on GitHub! No, don't fuss ov=
er
it! Incidentally, programmers of free alternatives to GitHub are cool
but their work is not very important."
=20

Last one more word about those worried by the loss of visibility of
their work by having to leave GitHub. May they know that several
software forge projects from now on are getting interested in the
ActivityPub protocol, which will allow the launching of connected
forges into a federation.

Thank you for having read on.


--=20
| Num=C3=A9rion                  |              Nicolas Floquet |
+----------------------------------------------------------+
| Services informatiques en logiciels libres               |
| XMPP : nflqt@HIDDEN | T=C3=A9l : 06.32.93.03.51            |
| =C4=9E1 : BjZFP7UpKjJ9hbavhT2Ep2hP58noXp6xdPY4awsX17yD        |
| PGP : 94C7 641B 719E B06A F406  7AB3 3709 C700 E548 F996 |=20
+----------------------------------------------------------+

--=-vGxr/C6h9OIaCQQ16C61
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEElMdkG3GesGr0BnqzNwnHAOVI+ZYFAluotEQACgkQNwnHAOVI
+ZY4ag//Wbf0vLVyzjn0TWq2/i5cLJ1kgyC0XKsFgNxvF+Zu57glE1PG50wTTAru
YhFam9bgTmX92qFxaSaqF4eQGgdo3v/Cp7T2l0AkECnNr2Mcrh0WjZKGMWADbF/H
z7qbyqSHIarPISQ8B4M8e5zGSNmaMFWSM/gBEEI18SO+P/ySdQzV4wa8ka4ZtHtO
ON+GaKP9ESQIimpUiYpldzsFUeD5BfZk/T1cSeG6jgvRYduiYsBehoPqcB0jmZ36
Ww3vfiF4pZuaANxUHFpS/keOMgeozEwE5RNTUmORXdHcFUQ84YDhA2mku2mrbKDb
SAZ9NthnwlCzfkz91sTIMbY/0z59X1AcjInXPl2r2tGABVw9vS0QY7jTN6W7VDTW
Tvpj5xBp7A5exJatSOfqoZyAMzHuU+T5AMbwVOd37/qlGfXpskz4IzV+9rnXRupd
Av/2efnECwSOCo8VxpmckdoWhtGajha7roiWlQmi9Ap6yS2i87x+rxaasAgjECrT
Qf/kYz8uErik3GdB5RNcB4XWLwpVTI6eIlUmEjBRWR+tYIZXzBrtx2n8zvOpAOr1
v7dK+mQs2F7WJJapjKoRC8sJxlwdQW+/2eIBTMQX8C0mCnedb0aVn5tvfzZIZDAR
MoAoEnI7mr4ieEn2avZ1GD2O6zu+UbbhxJuSbTj0LjKWF9mONOg=
=xCzF
-----END PGP SIGNATURE-----

--=-vGxr/C6h9OIaCQQ16C61--





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 23 Sep 2018 03:09:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 22 23:09:35 2018
Received: from localhost ([127.0.0.1]:50215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3um7-0000tY-3c
	for submit <at> debbugs.gnu.org; Sat, 22 Sep 2018 23:09:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3um5-0000t6-Ij
 for 32722 <at> debbugs.gnu.org; Sat, 22 Sep 2018 23:09:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3uly-0001nc-00
 for 32722 <at> debbugs.gnu.org; Sat, 22 Sep 2018 23:09:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37875)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3ulH-0000wy-GK; Sat, 22 Sep 2018 23:08:43 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3tLf-0003Es-KN; Sat, 22 Sep 2018 21:38:11 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: leslie@HIDDEN
In-Reply-To: <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
 (message from Leslie Watter on Fri, 21 Sep 2018 16:21:12 -0300)
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on
 non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN> <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN> <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
 <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
Message-Id: <E1g3tLf-0003Es-KN@HIDDEN>
Date: Sat, 22 Sep 2018 21:38:11 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, right.ho@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Just a little information:  since Dropbox update their API to 2.0
  > MobileOrg with this backend stopped to work, so anyone willing to use it
  > will have
  > to use either WebDAV, SSH or Local filesystem. AFAIK, there's no active
  > development of MobileOrg
  > in terms of having this issue [0] solved.

This is actually good news.  It means Android MobileOrg is almost ok.
If someone wants to do a little work on Android MobileOrg, so it could
go into f-droid, we could recommend its use.  But the doc should be
updated.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 22 Sep 2018 01:52:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 21 21:52:42 2018
Received: from localhost ([127.0.0.1]:48601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3X6A-0004g6-5y
	for submit <at> debbugs.gnu.org; Fri, 21 Sep 2018 21:52:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3X68-0004fs-Hr
 for 32722 <at> debbugs.gnu.org; Fri, 21 Sep 2018 21:52:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3X62-0003tO-Kn
 for 32722 <at> debbugs.gnu.org; Fri, 21 Sep 2018 21:52:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47778)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3X5p-0003iq-Il; Fri, 21 Sep 2018 21:52:22 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3X5o-0006IY-NQ; Fri, 21 Sep 2018 21:52:21 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Joe Corneli <holtzermann17@HIDDEN>
In-Reply-To: <m2zhwbup3a.fsf@HIDDEN> (message from Joe
 Corneli on Fri, 21 Sep 2018 11:22:49 +0100)
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <87lg7yfraw.fsf@HIDDEN>
 <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <E1g2oAo-0000ao-2k@HIDDEN>
 <CAN+qofnbqV8MT0wmKNokXv0S8f9PnXcpK1RdsH-8Zb2i8ckNPw@HIDDEN>
 <E1g3Awz-0003j5-9G@HIDDEN>
 <m2zhwbup3a.fsf@HIDDEN>
Message-Id: <E1g3X5o-0006IY-NQ@HIDDEN>
Date: Fri, 21 Sep 2018 21:52:20 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I've checked, and currently all of the references to MELPA tend to
  > encourage interested users to install outside, free, software.

Could you tell me about these, one by one, off the list?
(First, roughly how many are there?)

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 19:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 21 15:26:38 2018
Received: from localhost ([127.0.0.1]:48466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3R4Y-0001HI-94
	for submit <at> debbugs.gnu.org; Fri, 21 Sep 2018 15:26:38 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:34581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <watter@HIDDEN>) id 1g3Qza-00019P-Ck
 for 32722 <at> debbugs.gnu.org; Fri, 21 Sep 2018 15:21:30 -0400
Received: by mail-io1-f45.google.com with SMTP id h16-v6so2938200ioj.1
 for <32722 <at> debbugs.gnu.org>; Fri, 21 Sep 2018 12:21:30 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc;
 bh=HGfWBkNCntVjdOL4FULcs87vZVeFidqVVJc1yI2YPTw=;
 b=LEx2kM+mZsedRkbTuTIYRXgWHFhFYbQadXD71BLzTiPyNQzDPrYbwqPkCGG5ogK0ak
 hK9ipwzCNCya0IQOAV35pxcK9xd1nyUdNH6DAkQwEFB+YmYZKnItIW44bH2m4JGj+Qc4
 DKZLAs3YKkK/Vp+oYExkUXgvK8E2EO6jdvJoBEkZJvolETIKk/cGPJmT1oapuM6vkzFL
 3VdkBJoavzoNdA1AH6sEwREXvPHgwCy8XT7hhxRsGE+2F24k7hkBV4S4nnvUHF2NVmbI
 U8ZU/pCIzprH0rGdnqko9ZUsTZTEKWtLRdF5nCczMtnu4brXNnha9AlKuUuC4MDkfhd4
 8YgQ==
X-Gm-Message-State: APzg51BtwRTFSCLv9qtsjyaG0HWmR5cvN/HlV3D9nkEuM6cINl0feB+j
 CQdhWO1EjnYRaQXXbOG3mVgKO5EYZOVZumB00Y4=
X-Google-Smtp-Source: ANB0Vda9Z/5IAmb91Nay2T4VG+/R71D36RXXjxnbRKxKqPWo614W5eSFF7kwU5SSyFftdkrewpthXHAH5uFd48HJ91w=
X-Received: by 2002:a6b:6a19:: with SMTP id
 x25-v6mr37439596iog.177.1537557684759; 
 Fri, 21 Sep 2018 12:21:24 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN> <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN> <20180920182929.61517206@HIDDEN>
 <E1g3Ax1-0003ju-M6@HIDDEN>
In-Reply-To: <E1g3Ax1-0003ju-M6@HIDDEN>
From: Leslie Watter <leslie@HIDDEN>
Date: Fri, 21 Sep 2018 16:21:12 -0300
Message-ID: <CAKoz4gnvbc1tTGW57c_7cVN0gF2KrgAjYRT+kwp29fMOYX3RCA@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on
 non-free platform ?
To: rms@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000009f30b00576668b39"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Fri, 21 Sep 2018 15:26:36 -0400
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, right.ho@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: leslie@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--0000000000009f30b00576668b39
Content-Type: text/plain; charset="UTF-8"

Hello all,

Just a little information:  since Dropbox update their API to 2.0
MobileOrg with this backend stopped to work, so anyone willing to use it
will have
to use either WebDAV, SSH or Local filesystem. AFAIK, there's no active
development of MobileOrg
in terms of having this issue [0] solved.

Updating the software could help more than just forking it and publishing
it with another name.  There's
some options (Orgzly, Syncthing) that can be used but none of them are as
usefull as MobileOrg.

So, if anyone could contact Matthew Jones (https://github.com/matburt) and
offer some help
I think that could be a better approach than just forking it. Unfortunately
I cannot help at this point.

Cheers,

LEslie

[0] - https://github.com/matburt/mobileorg-android/issues/501

On Thu, Sep 20, 2018 at 11:17 PM Richard Stallman <rms@HIDDEN> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> I asked
>
>   > > Is the WebDAV server code free software?  Can you talk to such a
>   > > server without any nonfree client software?
>
> Fortunately, Nicolas Goaziou <mail@HIDDEN>'s information
> shows that using WebDAV is no problem.
>
>   > There are 2 other ways to use Android MobileOrg not included in the
>   > worg page:
>   > 1. SSH
>   > 2. Local filesystem
>
> It sounds like modifying Android MobileOrg so it used only those
> methods plus WebDAV, and not Dropbox, could result in a free program
> that could be in f-droid.  It would be useful for someone to do that
> and publish it under a different name.
>
> Once that gets done, it would be good to make Emacs encourage people to
> use _that version_ of Android MobileOrg.
>
> Until then, Emacs (including Org-mode) should not say or do anything
> that would be likely to lead users to use the existing MobileOrg.
> We should remove that text soon, and put in new text about the new
> version when that new version is available.
>
> --
> Dr Richard Stallman
> President, Free Software Foundation (https://gnu.org, https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>
>
>
>

-- 
Leslie H. Watter

--0000000000009f30b00576668b39
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr">Hello a=
ll,</div><div dir=3D"ltr"><br></div><div dir=3D"ltr">Just a little informat=
ion:=C2=A0 since Dropbox update their API to 2.0<br></div><div dir=3D"ltr">=
<div>MobileOrg with this backend stopped to work, so anyone willing to use =
it will have=C2=A0</div><div>to use either WebDAV, SSH or Local filesystem.=
 AFAIK, there&#39;s no active development of MobileOrg=C2=A0</div><div>in t=
erms of having this issue [0] solved.</div><div><br></div><div>Updating the=
 software could help more than just forking it and publishing it with anoth=
er name.=C2=A0 There&#39;s=C2=A0</div><div>some options (Orgzly, Syncthing)=
 that can be used but none of them are as usefull as MobileOrg.</div><div><=
br></div><div>So, if anyone could contact=C2=A0Matthew Jones (<a href=3D"ht=
tps://github.com/matburt">https://github.com/matburt</a>) and offer some he=
lp=C2=A0</div><div>I think that could be a better approach than just forkin=
g it. Unfortunately I cannot help at this point.</div><div><br></div><div>C=
heers,</div><div><br></div><div>LEslie</div><div><br></div><div>[0] - <a hr=
ef=3D"https://github.com/matburt/mobileorg-android/issues/501">https://gith=
ub.com/matburt/mobileorg-android/issues/501</a><br><div><br><div class=3D"g=
mail_quote"><div dir=3D"ltr">On Thu, Sep 20, 2018 at 11:17 PM Richard Stall=
man &lt;<a href=3D"mailto:rms@HIDDEN">rms@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">[[[ To any NSA and FBI ag=
ents reading my email: please consider=C2=A0 =C2=A0 ]]]<br>
[[[ whether defending the US Constitution against all enemies,=C2=A0 =C2=A0=
 =C2=A0]]]<br>
[[[ foreign or domestic, requires you to follow Snowden&#39;s example. ]]]<=
br>
<br>
I asked <br>
<br>
=C2=A0 &gt; &gt; Is the WebDAV server code free software?=C2=A0 Can you tal=
k to such a<br>
=C2=A0 &gt; &gt; server without any nonfree client software?<br>
<br>
Fortunately, Nicolas Goaziou &lt;<a href=3D"mailto:mail@HIDDEN" =
target=3D"_blank">mail@HIDDEN</a>&gt;&#39;s information<br>
shows that using WebDAV is no problem.<br>
<br>
=C2=A0 &gt; There are 2 other ways to use Android MobileOrg not included in=
 the<br>
=C2=A0 &gt; worg page:<br>
=C2=A0 &gt; 1. SSH<br>
=C2=A0 &gt; 2. Local filesystem<br>
<br>
It sounds like modifying Android MobileOrg so it used only those<br>
methods plus WebDAV, and not Dropbox, could result in a free program<br>
that could be in f-droid.=C2=A0 It would be useful for someone to do that<b=
r>
and publish it under a different name.<br>
<br>
Once that gets done, it would be good to make Emacs encourage people to<br>
use _that version_ of Android MobileOrg.<br>
<br>
Until then, Emacs (including Org-mode) should not say or do anything<br>
that would be likely to lead users to use the existing MobileOrg.<br>
We should remove that text soon, and put in new text about the new<br>
version when that new version is available.<br>
<br>
-- <br>
Dr Richard Stallman<br>
President, Free Software Foundation (<a href=3D"https://gnu.org" rel=3D"nor=
eferrer" target=3D"_blank">https://gnu.org</a>, <a href=3D"https://fsf.org"=
 rel=3D"noreferrer" target=3D"_blank">https://fsf.org</a>)<br>
Internet Hall-of-Famer (<a href=3D"https://internethalloffame.org" rel=3D"n=
oreferrer" target=3D"_blank">https://internethalloffame.org</a>)<br>
<br>
<br>
<br>
<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature">Leslie H. Watter</div></div></div></div></div></=
div></div>

--0000000000009f30b00576668b39--




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 10:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 21 06:23:00 2018
Received: from localhost ([127.0.0.1]:47664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3IaS-0008N9-LZ
	for submit <at> debbugs.gnu.org; Fri, 21 Sep 2018 06:23:00 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:53871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <holtzermann17@HIDDEN>) id 1g3IaQ-0008Mt-Nj
 for 32722 <at> debbugs.gnu.org; Fri, 21 Sep 2018 06:22:59 -0400
Received: by mail-wm1-f48.google.com with SMTP id b19-v6so2498102wme.3
 for <32722 <at> debbugs.gnu.org>; Fri, 21 Sep 2018 03:22:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=7fVLvj40wKJLQ8bwvTcMMF7nrfq8AIqsohoBhV/U0RE=;
 b=AexWNKVUrd21BhFkeQ1RHwv9j2YZxzd45qHAhKJmvS9y19OLSI8x+JlQITJfVPJ7uf
 rMkj0+UwpxmM17db/aFKuQSMr6iTev59w5O2215ip14wMW8ifo8317Z9Tgux9YOZwGQ0
 cbG7n7Uzp+isUfAxo1aysdvbEbqeZWiW8RYc6GNPaqiB7Uo3Eufh9bkuXKK4i2OADqLj
 PyDzEjeS7nsvWh6+1EqV/yre37oy53wzjtUdRDm3GT4Ego3j1l9aSsO52RcCWVV1t1fU
 8wX7dYEZ/8CGE09fzYTZORCtlTGaF16C+B+Db8rITEj1aP4PSOadbkSbJ+djCfYUZlf+
 VXTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=7fVLvj40wKJLQ8bwvTcMMF7nrfq8AIqsohoBhV/U0RE=;
 b=HQ5wh+fKUB02BE2fY+Kc096iVcjYOCCCqXQaN15qYkl0OnRTQzu4gWYNAdBphOdnYb
 iE7nYWcKJt4zhZHGpxpTZnXWADVCohkGCi8O/iqqUF3tJffq1sTNhBxUAfuqA6kK4bTS
 oZs0wyPC/P3nXczXSUohNtghBpaL59FlYaPUqQ6pJEV6em6DHfR4P5uAZqeVDHFZ1pvQ
 F4HleDq7Dl8M5JFX4uLZpGxhk0Vubhyknu2t1DOLjtdfpXCCZDiR77WK3IBySz05C95+
 pvJjC2wRxJ5ylt/Wa3lL/QCTG9FaOKaRRRPaKdvpU0YoT2SgDLXNXgux3eYw6upBRuSF
 QcFQ==
X-Gm-Message-State: APzg51DrzmF/pc0zHF7c32nofyym5kn2kiVl4/w9G+8fdGIGws3mrvfb
 d7qMpu3kMK2m3FBlLSBbx08=
X-Google-Smtp-Source: ANB0VdZqZI9ILEZhAdBv0Pm7BlvU6Hrt0HLNPbQCEWiFCoknrt5hSUiOZ61DsEPHhtwrrNw80f1xQA==
X-Received: by 2002:a1c:5411:: with SMTP id
 i17-v6mr3106172wmb.53.1537525372845; 
 Fri, 21 Sep 2018 03:22:52 -0700 (PDT)
Received: from dhcp-90-218.inf.ed.ac.uk (dhcp-90-218.inf.ed.ac.uk.
 [129.215.90.218])
 by smtp.gmail.com with ESMTPSA id u4-v6sm17610152wro.47.2018.09.21.03.22.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 21 Sep 2018 03:22:51 -0700 (PDT)
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <87lg7yfraw.fsf@HIDDEN>
 <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <E1g2oAo-0000ao-2k@HIDDEN>
 <CAN+qofnbqV8MT0wmKNokXv0S8f9PnXcpK1RdsH-8Zb2i8ckNPw@HIDDEN>
 <E1g3Awz-0003j5-9G@HIDDEN>
User-agent: mu4e 1.1.0; emacs 26.1
From: Joe Corneli <holtzermann17@HIDDEN>
To: rms@HIDDEN
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
In-reply-to: <E1g3Awz-0003j5-9G@HIDDEN>
Date: Fri, 21 Sep 2018 11:22:49 +0100
Message-ID: <m2zhwbup3a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Sep 21 2018, Richard Stallman wrote:

>   > There are a handful of references to MELPA inside Emacs.  Are these to
>   > be discouraged?
>
> The question is rather broad, so I can only say "it depends".  Whether
> a reference to software outside Emacs is good or bad depends on its
> semantics -- that is, on what it says _about_ the software that it
> references -- and on circumstances.
>
> Here's a general answer in terms of rules and circumstances.

Thank you for the thorough answer.

I've checked, and currently all of the references to MELPA tend to
encourage interested users to install outside, free, software.

> If logically it should be part of Emacs, we should arrange to do the
> job with code that IS part of Emacs.

At the moment the only *possible* example for this category that I found
among the references to code on MELPA is BBDB -- but I assume that
there's a longstanding decision that BBDB is best kept separate.

(And back to the main theme it seems clear that what htmlize does should
logically be part of Emacs.)




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 02:18:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 22:18:40 2018
Received: from localhost ([127.0.0.1]:47536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3B1h-0004JN-0P
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3B1f-0004J8-Ag
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3B1Z-0004F6-HT
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42883)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3B1U-0004Cy-SI; Thu, 20 Sep 2018 22:18:24 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3B1U-0004Zo-JM; Thu, 20 Sep 2018 22:18:24 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-Reply-To: <87muscgj51.fsf@HIDDEN> (message from Nicolas Goaziou
 on Thu, 20 Sep 2018 19:42:50 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <831s9qezqo.fsf@HIDDEN>
 <87muscgj51.fsf@HIDDEN>
Message-Id: <E1g3B1U-0004Zo-JM@HIDDEN>
Date: Thu, 20 Sep 2018 22:18:24 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: eliz@HIDDEN, kaushal.modi@HIDDEN, n@HIDDEN, rjhorniii@HIDDEN,
 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

     > The [[https://github.com/MobileOrg/][iOS implementation]] for the
     > /iPhone/iPod Touch/iPad/ series of devices, was started by Richard
     > Moreland and is now in the hands of Sean Escriva.

That should be deleted -- an iOS app is nonfree software.

							 Android users
     > should check out
     > [[http://wiki.github.com/matburt/mobileorg-android/][MobileOrg
     > Android]] by Matt Jones.

I addressed this at length in another message today.

     > For HTML you need to install Hrvoje Niksic's =htmlize.el= from
     > [[https://github.com/hniksic/emacs-htmlize][Hrvoje Niksic's
     > repository]].

That's been changed; I addressed this issue in another message today.

     > Fontified code chunks in LaTeX can be achieved using either the
     > listings package or the [[https://github.com/gpoore/minted][minted]]
     > package. Refer to ~org-export-latex-listings~ for details.

Please verify that that is free software.  (I expect that it is.)
If it is free, then since it is not something that naturally ought
to be part of Emacs, suggesting people get it elsewhere is ok.

It would be good to refer to a mirror, not github.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 02:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 22:18:12 2018
Received: from localhost ([127.0.0.1]:47533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3B1H-0004If-NP
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3B1F-0004IP-Ty
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3B1A-00042C-0k
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:18:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42870)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3B16-0003yQ-A1; Thu, 20 Sep 2018 22:18:00 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3B16-0004U1-2g; Thu, 20 Sep 2018 22:18:00 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83lg7wer1z.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 20
 Sep 2018 07:22:32 +0300)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <E1g2TLB-000734-Os@HIDDEN> <83zhwedl2v.fsf@HIDDEN>
 <E1g2o79-0008S6-UV@HIDDEN> <83lg7wer1z.fsf@HIDDEN>
Message-Id: <E1g3B16-0004U1-2g@HIDDEN>
Date: Thu, 20 Sep 2018 22:18:00 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, mail@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > There's no changed text: the original message telling from where to
  > install htmlize was deleted.  There's now only the error message
  > (which was there before) saying that htmlize is required.

The real problem is that Emacs depends on something that ought to be
part of Emacs but isn't.  This change makes the problem less blatant,
but doesn't really fix it.

The change that has been made is good enough temporarily.  
if people are going to implement replacement code soon,
we can leave it this way in the mean time.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 02:14:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 22:14:07 2018
Received: from localhost ([127.0.0.1]:47529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3AxL-0004Bp-0M
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:14:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3AxJ-0004B4-Cs
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:14:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3AxD-0001Ai-5D
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:14:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42786)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3Ax1-00010k-Sc; Thu, 20 Sep 2018 22:13:47 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3Ax1-0003ju-M6; Thu, 20 Sep 2018 22:13:47 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Bingo UV <right.ho@HIDDEN>
In-Reply-To: <20180920182929.61517206@HIDDEN> (message from Bingo UV on
 Thu, 20 Sep 2018 18:29:29 +0530)
Subject: Re: [O] bug#32722:  bug#32722: 26.1; Org-publish depend on non-free
 platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN> <20180920182929.61517206@HIDDEN>
Message-Id: <E1g3Ax1-0003ju-M6@HIDDEN>
Date: Thu, 20 Sep 2018 22:13:47 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, emacs-orgmode@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

I asked 

  > > Is the WebDAV server code free software?  Can you talk to such a
  > > server without any nonfree client software?

Fortunately, Nicolas Goaziou <mail@HIDDEN>'s information
shows that using WebDAV is no problem.

  > There are 2 other ways to use Android MobileOrg not included in the
  > worg page:
  > 1. SSH
  > 2. Local filesystem

It sounds like modifying Android MobileOrg so it used only those
methods plus WebDAV, and not Dropbox, could result in a free program
that could be in f-droid.  It would be useful for someone to do that
and publish it under a different name.

Once that gets done, it would be good to make Emacs encourage people to
use _that version_ of Android MobileOrg.

Until then, Emacs (including Org-mode) should not say or do anything
that would be likely to lead users to use the existing MobileOrg.
We should remove that text soon, and put in new text about the new
version when that new version is available.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 21 Sep 2018 02:13:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 22:13:59 2018
Received: from localhost ([127.0.0.1]:47525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3AxC-0004Aw-Mr
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:13:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g3AxB-0004Aj-GM
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:13:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g3Ax5-00015r-EG
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:13:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42781)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g3Awz-0000xN-JF; Thu, 20 Sep 2018 22:13:45 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g3Awz-0003j5-9G; Thu, 20 Sep 2018 22:13:45 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Joe Corneli <holtzermann17@HIDDEN>
In-Reply-To: <CAN+qofnbqV8MT0wmKNokXv0S8f9PnXcpK1RdsH-8Zb2i8ckNPw@HIDDEN>
 (message from Joe Corneli on Thu, 20 Sep 2018 11:43:25 +0100)
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on
 non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <E1g2oAo-0000ao-2k@HIDDEN>
 <CAN+qofnbqV8MT0wmKNokXv0S8f9PnXcpK1RdsH-8Zb2i8ckNPw@HIDDEN>
Message-Id: <E1g3Awz-0003j5-9G@HIDDEN>
Date: Thu, 20 Sep 2018 22:13:45 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > There are a handful of references to MELPA inside Emacs.  Are these to
  > be discouraged?

The question is rather broad, so I can only say "it depends".  Whether
a reference to software outside Emacs is good or bad depends on its
semantics -- that is, on what it says _about_ the software that it
references -- and on circumstances.

Here's a general answer in terms of rules and circumstances.

The first question is, does the references tend to encourage,
recommend, or lead users to install and use some outside software?  If
it doesn't, there isn't an issue.  In that case, it would normally be a
comment in the code, not a message shown to the Emacs user.

If it does tend to lead users to install some program, the next
question is, is that program free?  If not, it may be a moral problem,
but that depends.  If the code encourages uses of Emacs by users of
widely used nonfree program Foo, that's ok.  If the code encourages
use of nonfree program Foo by users of Emacs, that's bad, so we should
remove the message _and_ the code immediately.

If the other program is free, the next question is, should this job be
done by part of Emacs, or should it be separate?

If logically it should be a separate program, such as find, GCC or
LaTeX, then it is fine to encourage Emacs users to install it and for
Emacs to invoke it.

If logically it should be part of Emacs, we should arrange to do the
job with code that IS part of Emacs.  We could do that by merging the
program into Emacs, or packaging it with Emacs, if those are possible.
Or we could do it by writing new code.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 20:51:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 16:51:03 2018
Received: from localhost ([127.0.0.1]:47393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g35ug-0002Ym-Pq
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:51:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g35uf-0002YK-8f
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:51:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g35uZ-0003Pb-DL
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:50:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37962)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g35uX-0003MS-Us; Thu, 20 Sep 2018 16:50:54 -0400
Received: from [176.228.60.248] (port=2528 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g35uP-0005E8-Gg; Thu, 20 Sep 2018 16:50:46 -0400
Date: Thu, 20 Sep 2018 23:50:30 +0300
Message-Id: <835zyzevvt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87in30geqo.fsf@HIDDEN> (message from Nicolas Goaziou
 on Thu, 20 Sep 2018 21:17:51 +0200)
Subject: Re: [O] bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <83h8ikenbc.fsf@HIDDEN> <87in30geqo.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: Kaushal Modi <kaushal.modi@HIDDEN>,  amin@HIDDEN,  rgm@HIDDEN,  n@HIDDEN,  rms@HIDDEN,  32722 <at> debbugs.gnu.org,  rjhorniii@HIDDEN
> Date: Thu, 20 Sep 2018 21:17:51 +0200
> 
> I assume this is the only way out of this, so I'll have a look at it.

Thank you.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 20:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 16:49:01 2018
Received: from localhost ([127.0.0.1]:47389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g35sf-0002V3-PZ
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:49:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g35se-0002Ur-Id
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:48:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g35sV-0000Xs-AV
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 16:48:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37941)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g35sT-0000Vh-CM; Thu, 20 Sep 2018 16:48:46 -0400
Received: from [176.228.60.248] (port=2396 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g35sL-00051L-5E; Thu, 20 Sep 2018 16:48:37 -0400
Date: Thu, 20 Sep 2018 23:48:21 +0300
Message-Id: <837ejfevze.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87muscgj51.fsf@HIDDEN> (message from Nicolas Goaziou
 on Thu, 20 Sep 2018 19:42:50 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <831s9qezqo.fsf@HIDDEN>
 <87muscgj51.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: rgm@HIDDEN,  rjhorniii@HIDDEN,  n@HIDDEN,  kaushal.modi@HIDDEN,  rms@HIDDEN,  32722 <at> debbugs.gnu.org
> Date: Thu, 20 Sep 2018 19:42:50 +0200
> 
> > There's also a similar reference to htmlize in the Org manual, which
> > should, too, should probably be removed.
> 
> There are currently four occurrences of "github" in the manual:
> 
>    The [[https://github.com/MobileOrg/][iOS implementation]] for the
>    /iPhone/iPod Touch/iPad/ series of devices, was started by Richard
>    Moreland and is now in the hands of Sean Escriva. Android users
>    should check out
>    [[http://wiki.github.com/matburt/mobileorg-android/][MobileOrg
>    Android]] by Matt Jones.
> 
>    For HTML you need to install Hrvoje Niksic's =htmlize.el= from
>    [[https://github.com/hniksic/emacs-htmlize][Hrvoje Niksic's
>    repository]].
> 
>    Fontified code chunks in LaTeX can be achieved using either the
>    listings package or the [[https://github.com/gpoore/minted][minted]]
>    package. Refer to ~org-export-latex-listings~ for details.
> 
> If you do think that these URL need to be removed, what would you
> suggest to use instead?

I spoke only about the URL for htmlize.  Is the URL really needed?
How long will it take for people to find the package given only its
name?

Also, I understand it is available from MELPA, in which case
mentioning MELPA could be an alternative, if you think you must
specify a URL.

> > And I'd like to backport these changes to the emacs-26 branch of the
> > Emacs repository.  Would it be possible to apply the changes from
> > Org's master branch, or do we need a slightly different set of
> > changes?
> 
> I do not know about the exact process of merging Org within Emacs. You
> can probably cherry-pick the changes from Org's master branch.

I understand that, I was asking whether the changes need something
that doesn't exist in the version of Org on the emacs-26 branch.  I
understand that the answer is NO.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 19:17:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 15:17:57 2018
Received: from localhost ([127.0.0.1]:47328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g34Sb-0006Wi-1k
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 15:17:57 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:41099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g34SY-0006Wa-U0
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 15:17:55 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 0D637240006;
 Thu, 20 Sep 2018 19:17:51 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <83h8ikenbc.fsf@HIDDEN>
Date: Thu, 20 Sep 2018 21:17:51 +0200
In-Reply-To: <83h8ikenbc.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 20 Sep
 2018 08:43:19 +0300")
Message-ID: <87in30geqo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, Kaushal Modi <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Eli Zaretskii <eliz@HIDDEN> writes:

> I think we could do better by using htmlfontify.el.  I asked a few
> questions about that in this discussion, see
>
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32722#95
>
> Would the Org developers please reply to those questions?  If indeed
> it is not hard to adapt htmlfontify to be used by Org, then I think
> it's a better solution.

I cannot evaluate the difficulty to adapt "ox-html.el" to htmlfontify.
I know nothing about either this specific part of the code base or
htmlize and I do not use it either.

However, I see that "ox-odt.el" already uses htmlfontify, so it might be
possible to use a similar mechanism.

I assume this is the only way out of this, so I'll have a look at it.
But I need time. What would help would be some feedback from users
actually tweaking `org-html-htmlize-output-type'. What do they expect
from the various values, etc.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 17:42:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 13:42:56 2018
Received: from localhost ([127.0.0.1]:47277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g32ye-00045F-M6
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 13:42:56 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:50567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g32yd-000457-7i
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 13:42:55 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id B8F1EFF80B;
 Thu, 20 Sep 2018 17:42:52 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
In-Reply-To: <831s9qezqo.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 19 Sep
 2018 10:02:39 +0300")
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <831s9qezqo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Thu, 20 Sep 2018 19:42:50 +0200
Message-ID: <87muscgj51.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Eli Zaretskii <eliz@HIDDEN> writes:

> There's also a similar reference to htmlize in the Org manual, which
> should, too, should probably be removed.

There are currently four occurrences of "github" in the manual:

   The [[https://github.com/MobileOrg/][iOS implementation]] for the
   /iPhone/iPod Touch/iPad/ series of devices, was started by Richard
   Moreland and is now in the hands of Sean Escriva. Android users
   should check out
   [[http://wiki.github.com/matburt/mobileorg-android/][MobileOrg
   Android]] by Matt Jones.

   For HTML you need to install Hrvoje Niksic's =htmlize.el= from
   [[https://github.com/hniksic/emacs-htmlize][Hrvoje Niksic's
   repository]].

   Fontified code chunks in LaTeX can be achieved using either the
   listings package or the [[https://github.com/gpoore/minted][minted]]
   package. Refer to ~org-export-latex-listings~ for details.

If you do think that these URL need to be removed, what would you
suggest to use instead?

> And I'd like to backport these changes to the emacs-26 branch of the
> Emacs repository.  Would it be possible to apply the changes from
> Org's master branch, or do we need a slightly different set of
> changes?

I do not know about the exact process of merging Org within Emacs. You
can probably cherry-pick the changes from Org's master branch.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 15:20:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 11:20:17 2018
Received: from localhost ([127.0.0.1]:47206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g30ka-0000Qg-SB
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 11:20:17 -0400
Received: from mail-pf1-f171.google.com ([209.85.210.171]:46497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <right.ho@HIDDEN>) id 1g2yYc-0005Fl-29
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 08:59:46 -0400
Received: by mail-pf1-f171.google.com with SMTP id u24-v6so4332242pfn.13
 for <32722 <at> debbugs.gnu.org>; Thu, 20 Sep 2018 05:59:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=YVKMTQt6h27RHIXttNnaIbWmMfFCwtNopXqZfj25aJw=;
 b=hggIRgSlM2qLJ890nvLdjHghzMYmAsqNZsnLJsrSJGR4ySbQDOMctu0+ixui5hBJfN
 POjbKWRqFIfhTicAgCaFlTyeXZUGCeVMWF5WuVLr+h+/lBkjkDd8+9LYTq6+KBTgRJ5R
 MrxDJyQWlxMLyIX/b2tazEgNvKvMkNHxIRLZOECken+rIfzLcccoEO4//2kDU57e+TAW
 RBPD8aN+vXiYD/9CLVdXYnbZ130LVKsRpoi7aByVCUEybjuHgQNAwZ1CqHFuUwspdEkF
 sysYwpWfw9RB8B8xC7+gBzKTqit/QEZPzwXcpmnEI/PZ9+WcFURP6XSZvsm6aXhbOAYH
 Potw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=YVKMTQt6h27RHIXttNnaIbWmMfFCwtNopXqZfj25aJw=;
 b=T0NOmbjk4AsmKvnlzJmbZ/qoTBrftRO7VzY2tNMThBgLSSiooVlTbPZYuNmBPQiXJr
 toJhxUfzbcLcCgVuVCy/tawFle3j4aNfsL+jZpiqvL4nadzUyovsKaqmN3U5MuK/J87g
 nL1828T53us5ih6IS3XkKM4Kj6qleoTbPY7t//DEjf1yZxwNYOFH7zMURT+d6e6KU4D8
 gC8FOpiF/0zuHNnLL+6F8PT+aX/oirfUC6INVC1LyaioeDRxc3BnBzCnw1iq6qLXOvoT
 hC/M7dmINbVFf3BpwuyVsqgt+p05HSLbqitjyWPE6YAKPbRDe1L777whE4Dx0F3TpUDp
 kLGA==
X-Gm-Message-State: APzg51DgsHEIZ5ywavykjoAXsg5q5eAEG9SY7M745OONtf/3Fh3Sy7qf
 qiPsxbEsIum+VJHPrI6B4yc=
X-Google-Smtp-Source: ANB0Vda/Erb4pgSOIKdpAyo32gJjvWxusUPQqtIsod/pK7xCnazgXJMamzPkpmF24DVoIF5JmUPmaA==
X-Received: by 2002:a65:5581:: with SMTP id
 j1-v6mr36388367pgs.203.1537448380050; 
 Thu, 20 Sep 2018 05:59:40 -0700 (PDT)
Received: from localhost ([171.61.120.150])
 by smtp.gmail.com with ESMTPSA id r1-v6sm53767046pfi.17.2018.09.20.05.59.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 20 Sep 2018 05:59:39 -0700 (PDT)
Date: Thu, 20 Sep 2018 18:29:29 +0530
From: Bingo UV <right.ho@HIDDEN>
To: Richard Stallman <rms@HIDDEN>, Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [O] bug#32722:  bug#32722: 26.1; Org-publish depend on non-free
 platform ?
Message-ID: <20180920182929.61517206@HIDDEN>
In-Reply-To: <E1g2o6s-0008PG-JL@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-redhat-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Thu, 20 Sep 2018 11:20:15 -0400
Cc: n@HIDDEN, emacs-orgmode@HIDDEN, 32722 <at> debbugs.gnu.org,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi RMS, Nicolas
   The concrete software MobileOrg on Android is somewhat of an orphan.
   It may not revive as itself. But there is also a protocol mobileorg,
   which the manual alludes to, though does not document directly. That
   protocol is very much an enabler of software freedom, and it is
   important for the next MobileOrg to be written. I hope it survives
   these questions.

The protocol can be used to sync 2 sets of org-mode files between 2
emacs instances - without needing the iOS or Android versions of
MobileOrg. When fancypants sync systems like dropbox, git, syncthing,
rsync etc. are not available, the mobileorg protocol can be used to
transfer changes from one place to another.

As for the questions :

On Wed, 19 Sep 2018 21:50:26 -0400
Richard Stallman <rms@HIDDEN> wrote:
> 
> What is the source license of Mobile.org?

GPLv3
(https://github.com/matburt/mobileorg-android/blob/master/LICENSE.txt)

> 
Is it listed in f-droid.org?

It used to be, it has been kicked out of f-droid due to violating
policies : including dubious jars. Dropbox API that it was using was
surely non-free.


>   > [fn:146] An alternative is to use a WebDAV server.  MobileOrg
>   > documentation has details of WebDAV server configuration.
>   > Additional help is at this
>   > [[https://orgmode.org/worg/org-faq.html#mobileorg_webdav][FAQ
>   > entry]].  
> 
> Is this a way to use MobileOrg without Dropbox?
> 
> Is the WebDAV server code free software?  Can you talk to such a
> server without any nonfree client software?

There are 2 other ways to use Android MobileOrg not included in the
worg page:
1. SSH
2. Local filesystem


Also, since one can write one's own WebDAV server using specs, it
doesn't matter if some particular WebDAV servers are free or not.

thanks




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 14:31:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 10:31:24 2018
Received: from localhost ([127.0.0.1]:47143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2zzI-0007eU-8S
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 10:31:24 -0400
Received: from mout.gmx.net ([212.227.15.15]:39815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1g2zzG-0007eG-SI
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 10:31:23 -0400
Received: from detlef.gmx.de ([178.20.95.172]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LzcIM-1fgMYb2QuA-014oUe; Thu, 20
 Sep 2018 16:31:07 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
 <87worggx5b.fsf@HIDDEN>
Date: Thu, 20 Sep 2018 16:31:06 +0200
In-Reply-To: <87worggx5b.fsf@HIDDEN> (Nicolas Goaziou's message of
 "Thu, 20 Sep 2018 14:40:16 +0200")
Message-ID: <87sh24utp1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9T0kzslEt+VDRXYwM+SWG7gCgL8RyvNNUbidqYFbqbGNfUxyyY4
 k1MeCRfnUDMSg9PaVq6k1CmiA5WGfedETWhJxPMxfVE4v4yRdOOmDmWpMzuQJLG7TGhK8P2
 2iZDxucGo8wtedk54YQ5GXmFOKYEh0pQd8mbfw52bL+CihxWXW8GG8gkA8NgCcoOg+lgcI8
 FZVsmceinMV29+alVy81A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:r23I4ZQRSDo=:j9oxRwj/TCBM/i8C+19ma5
 Vp0EeA6Rma1ipwSdfKGu5aAGG9HFAm0M9RSDrmrKiOEY83Vti6W4f794nZNPooTYjQWbJAAmW
 qWfi6qjvS9jig7yxIvZrMdMMHlWt9C4th/rwCY/Y62x5iAyA4isMM4Tt/KDRiU/tn2x6v/qeB
 /fAJ5Nyj1KCl8zm413MLRqEbrCnMJ4EAk8BHlKduU/pPhqMGmLu9Pe/g6Xdf+TEm2SDFMcxXb
 rCos98EM8QNQfHqFHltVn1wM58lSYDhwP2u86uPLNTxIhqCMrJm2YviDTdU6eidNG/7wi+ilX
 l9QTZrkuPi42aE9VXUZHKDgboTGGDzXNA4O+kSG9x9ggn6lyy3FAwGRZ7EHvClY1R6p0XQ0eg
 MxCjus2KGEgmGpT7KTm7eA89W9UmXEfgn7x3tu5HDmwb3J/jgp2rKCnQe+6SfUo/8vwrH/Bvs
 lFiXAd5uP4qb9LEoyUKj4DVYeT8cmqV7y0LWcAc2fKSid3ReutqDB3uespwZI2Dgupd2iJ4Ix
 AUk08VEh2h2Qdh5KDvvwknuRygIKODcSXJlW0gJQgvwcngyPLEku6oqee7tqsQCNVEsmI4lwQ
 JkxhzuFhP72iwqkLa/ovBD38FxePuvS1xy0/JYL5NA8i09SjLMXttwPj+Rpr7+y3upnY3Fjia
 lV8K6YKC8MiV36Bgo0r4zQRh4G6QtrqfdyfIuhZMsvddux5rKrTKbA6YqaU3z+98Rc1yVUq6v
 eNfrENeyB601xPH7CtHhZlUXKvwNwHBrke2H+kwtN9pEvZr396MBC1ECjIc3Zdy8itp9yfiA7
 zhogclglJ9zntLF/6RfSlKxGwfrFtf5zEv/W42ZO8WvS7fRcBk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, kaushal.modi@HIDDEN, Richard Stallman <rms@HIDDEN>,
 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Nicolas Goaziou <mail@HIDDEN> writes:

> Hello,

Hi,

>> Is the WebDAV server code free software?
>
> At least some implementations are, e.g., Nextcloud, listed in the FSF
> directory.
>
>> Can you talk to such a server without any nonfree client software?
>
> I do it with Gnome file manager. There is also an official client for
> Nextcloud, which is free.

For the records, Emacs 27.0.50 / Tramp 2.4.1-pre got a nextcloud client
for GNU/Linux systems. Like the Gnome File Manager it uses the GVFS
library and tools.

> Regards,

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 12:40:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 08:40:22 2018
Received: from localhost ([127.0.0.1]:46429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2yFq-0004mI-9z
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 08:40:22 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:59051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g2yFo-0004m7-J4
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 08:40:21 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 88B5C240019;
 Thu, 20 Sep 2018 12:40:17 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
 <87h8ilfz6o.fsf@HIDDEN>
 <E1g2o6s-0008PG-JL@HIDDEN>
Date: Thu, 20 Sep 2018 14:40:16 +0200
In-Reply-To: <E1g2o6s-0008PG-JL@HIDDEN> (Richard Stallman's message
 of "Wed, 19 Sep 2018 21:50:26 -0400")
Message-ID: <87worggx5b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Richard Stallman <rms@HIDDEN> writes:

> What is the source license of Mobile.org?

It is GPL2+.

> Does Mobile.org for Android link with any nonfree libraries,
> such as Google Play Library?

No idea.

> Is it listed in f-droid.org?

Yes, it is.

> If there is a way to use Dropbox (for those operations that are
> necessary in this context) without running any nonfree client
> software, it would be ok to recommend using Dropbox _in that way_.
> (The operations necessary in this context must include creating an
> account.)

I don't know.

> Is this a way to use MobileOrg without Dropbox?

Yes, it is. MobileOrg just needs to get read/write access to some Org
files from anywhere. Dropbox is one way to do that. Any online storage
with WebDAV support fits the bill, too.

I think Dropbox is being mentioned because it may not be trivial for
users to do self-hosting or to find an ethical location for their files.
So, here comes the ready-to-use solution.

> Is the WebDAV server code free software?

At least some implementations are, e.g., Nextcloud, listed in the FSF
directory.

> Can you talk to such a server without any nonfree client software?

I do it with Gnome file manager. There is also an official client for
Nextcloud, which is free.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 10:43:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 06:43:45 2018
Received: from localhost ([127.0.0.1]:46364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2wQz-0006Au-In
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 06:43:45 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:45281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <holtzermann17@HIDDEN>) id 1g2wQx-0006Ad-9U
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 06:43:43 -0400
Received: by mail-oi0-f42.google.com with SMTP id t68-v6so7880558oie.12
 for <32722 <at> debbugs.gnu.org>; Thu, 20 Sep 2018 03:43:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=WNYYckAkRu1AAFQcAmPkiUufLR+Wt2ND+G6hdoN+eV0=;
 b=nkttix2akjUeD/qrSVDaXe0+Vo4VTmea/YIbK0H8AFwBHVwcO6mvwnsSQ7qlOO0Iof
 Ux6dDoQ24F47LIFhmkIvsWc3Gli/uz0K5cFO3SaK8SwV7BW5UCjBDU0pC48JQENkg81F
 0ceH+wfHW5aQbI+lW9zwQMAbqfRj3rem9mq/xnAfQbRHW2ky+4kZfPM95xsu6AjHFMDE
 idkfPKWt/kzIPExn1usVU4daJQYhNTZRzVuURQs0ilD0LG0SBFhGwuxem06IZh3/ljB3
 VGiH4KhyadHBPwwCqJ0ndqdi7vz8X65YIt3kROtHs/16QyIvILQs/gAlnhAgWO/co5t1
 d5Cg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=WNYYckAkRu1AAFQcAmPkiUufLR+Wt2ND+G6hdoN+eV0=;
 b=nLdbOf4mFZ/WUa2TTduDvRBuaVqeu9rIa9kJii+rV3vNTiVl5U8t17Dxl44ukNW4On
 Qvu23cqArH3xLyjvl/aBFEYxm11tLC00+EzgjoNkEso7hCuPIbzPORzW7a4izGdBuAIk
 C6hbX/WDsS1L+zs2RjS9zIkSnHZP4UERQov2mCo7Z9Z2Xoq2t3dPHwH/tktL0WE8x9QX
 QBicLqK4OF4FvQP9IKd0jMwC1fcZN7JmlUJwjKwwE+KKXhWD2/jcDBdkrtkXvOI7pxsB
 mSmiZZMhXg70lGkMi2hAa2gQRbgiWkPE6ndZINCHOxO1/ANdcCHw+OLBqIafFUmdvLho
 KYZA==
X-Gm-Message-State: APzg51DI5c1iwtXJEWuv+KsNu4DNfBSjZTfZmIUHAlpcbT2A41Y5BbAm
 MrKagdQxAgGggVHCSrBD9PEvbO8Bg8MhndJw0Og=
X-Google-Smtp-Source: ANB0VdYc340FVW09+EbEurV2q0Q2WaIvXQjZTCiRRoMd8AcyiP7cDe8lsiWmOyLKbQJa1jE8gk2Y5Vl7UF9fld1Fov0=
X-Received: by 2002:aca:e089:: with SMTP id
 x131-v6mr1099642oig.221.1537440217657; 
 Thu, 20 Sep 2018 03:43:37 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <E1g2oAo-0000ao-2k@HIDDEN>
In-Reply-To: <E1g2oAo-0000ao-2k@HIDDEN>
From: Joe Corneli <holtzermann17@HIDDEN>
Date: Thu, 20 Sep 2018 11:43:25 +0100
Message-ID: <CAN+qofnbqV8MT0wmKNokXv0S8f9PnXcpK1RdsH-8Zb2i8ckNPw@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on
 non-free platform ?
To: rms@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Sep 20, 2018 at 2:57 AM Richard Stallman <rms@HIDDEN> wrote:

> The deep problem with the reference to htmlize is that it
> blurs the distinction between Emacs itself
> and Lisp code that is not part of Emacs.
> We need to highlight that distinction, not blur it.

There are a handful of references to MELPA inside Emacs.  Are these to
be discouraged?  If not, htmlize is on MELPA and could be referenced
there.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 08:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 04:13:39 2018
Received: from localhost ([127.0.0.1]:46293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2u5j-0002Hy-10
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 04:13:39 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:58867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roklein@HIDDEN>) id 1g2u5h-0002Hl-9b
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 04:13:37 -0400
Received: from lt70.mpip-mainz.mpg.de ([194.95.63.248]) by
 mrelayeu.kundenserver.de (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1M6EOc-1g9Uja3lIO-006clZ; Thu, 20 Sep 2018 10:13:23 +0200
Date: Thu, 20 Sep 2018 10:13:16 +0200
From: Robert Klein <roklein@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [O] bug#32722:  bug#32722: bug#32722: 26.1; Org-publish depend
 on non-free platform ?
Message-ID: <20180920101316.2333b69b@HIDDEN>
In-Reply-To: <83h8ikenbc.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <83h8ikenbc.fsf@HIDDEN>
Organization: roklein.de
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-unknown-openbsd6.3)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:DIkEe9xSSQC7HlPEJH+8YphSoyDmfp2HtxK4DKNfhT2Km/j+LDN
 RYoBSxmzZ1JzEG+5Vw0X6+qQl+8P0gkgvnShWwyECluDNiK6YcfzTf9z62AB89UOtKqk+cN
 jueRSsXpBGAWPgBrsi2XA99Ptpn4KZ7cF6hpXqrlGSiaGXmY2VJQNXmkKvuPN9JW5ldPo3v
 hfGWK/U+RejeqbJ6J93Ww==
X-UI-Out-Filterresults: notjunk:1;V01:K0:ZZ1uA0Ky6aA=:b3XeE76ZWBYTPd5A9o6xuL
 PRAm13nZ5g0kbhH+pnjdh7AOood7EcFADT6qvZobdUMAlveRrqXQ3YKFTVPaUCwq2NHKg5Mcs
 hmv/5hGSr0AogCOS8f4RhSadRg1YZ/t8WOmtwiBcN0VcTaZdmw7qr+Aji3cp7/tMEzkxLMNug
 wW1vM0VaDpKqWPQg4dfsgldsx52fJausgJojWqmOTyM4JexKWcyMOPWAmopPx5lg05lfwrM2U
 qGzmlcUqzin1ffRSvKYLVpstGgHufHtl9UFDe4jxCIjE5c3MG1cXjemPtGWn2RL8eKxWLdzh1
 oZFFA5xpdkZ1wl4gkvsxIrBjkeXedOiBxctJXxCbb+2TIIV0Ejj4Tw8LtM9XW6ps2ibd9RRt2
 3WZYd63TWe5B9NQbaZ5AH9b3ku2dPVD7ONtgLMbqLgbPtDrSUzvgsuoD0dxo/hRTnROkYsX8+
 7s01L8hkUXDWlacq3xxRkeB/MyUt/VFTCGo8XzgH1a8xiOxzr7PXqhUx+3v1GvJdkYYmW1VYG
 XWlZ+ADiQJAjX7vm62whe8+T2AhNGj8lvvi1iSEi5R6Gp/198/sJ9yoNtGkWMtBohcqEkkWTY
 ga3Kh6X6FLzzElv5Uy6YiJUNA1hX3zjhyVLNxtDn5Z1JnDfKKf127j5s6g7agVyF9YDR4wBXI
 3wsEntQx4KmC+Kaqq2UfZMyI0Fwst0rcPdEhiMFM87fHoPZCDBZTLA6wp85VIuXks4OdVSZn/
 3ypWrclUjnFKyckM
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, Kaushal Modi <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,
On Thu, 20 Sep 2018 08:43:19 +0300
Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Kaushal Modi <kaushal.modi@HIDDEN>
> > Date: Wed, 19 Sep 2018 17:16:28 -0400
> > Cc: Nicolas Goaziou <mail@HIDDEN>, Glenn Morris
> > <rgm@HIDDEN>, n@HIDDEN, Richard Stallman <rms@HIDDEN>,
> > 32722 <at> debbugs.gnu.org, Robert Horn <rjhorniii@HIDDEN>, Eli
> > Zaretskii <eliz@HIDDEN>
> >=20
> > I got approval from Hrvoje Nik=C5=A1i=C4=87 that he was fine with your
> > mirror[0].
> >=20
> > So I believe it should be OK reference that mirror repo in
> > ox-html? =20
>=20
> I think we could do better by using htmlfontify.el.  I asked a few
> questions about that in this discussion, see
>=20
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D32722#95
>=20
> Would the Org developers please reply to those questions?  If indeed
> it is not hard to adapt htmlfontify to be used by Org, then I think
> it's a better solution.

Not an =E2=80=9COrg developer=E2=80=9D -- I guess mostly Nicolas Goaziou ca=
n claim that
title at the moment with two thirds of all commits last year..

As to your questions:

> This should be very easy to fix, by using temporary buffers with a
> copy of the region to produce HTML for.  Right?

plus removing HTML document headers and footers, remove css stuff,
rework this, so we have css to include in the final document...


> > Additionally htmlfontify also requires several external tools
> > (according to the man page) which might not be available on all
> > platform Emacs and org-mode is used on:
> >=20
> > - a copy of =E2=80=9Cfind=E2=80=9D which provides the =E2=80=9C-path=E2=
=80=9D predicate
> > - a copy of =E2=80=9Csed=E2=80=9D
> > - a copy of the =E2=80=9Cfile=E2=80=9D command
>=20
> These are only needed if one invokes htmlfontify-copy-and-link-dir to
> produce HTML for files in a directory.  Is that an important use case
> for the issue at hand?  E.g., if you need to produce HTML for a region
> of a buffer, these facilities seem to not be relevant, AFAIU.  Did I
> miss something?

No. At that moment in the discussion it wasn't clear the issue with htmlize=
 (and github) has been seen fundamentally different by non-org people as op=
posed to people developing and using org-mode.

> > A switch to htmlfontify might end up in rewriting a good part of
> > htmlfontify or some very ugly hacks.
>=20
> I wonder whether we could begin by just supporting the immediate use
> case(s) in point, maybe that is possible without too much rewriting.

See above.

> > If Hrvoje Niksic has or is willing to sign the copyright assignment
> > documents it will be easier to put htmlize.el into Emacs.
>=20
> We've been through this several times in the past: it isn't going to
> happen.  I think htmlfontify was added to Emacs for that rteason,
> among others.

Sorry, didn't know there's a history.


Best regards
Robert




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 05:44:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 01:44:08 2018
Received: from localhost ([127.0.0.1]:46247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2rl2-0006xV-7o
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 01:44:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2rl0-0006wq-7z
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 01:44:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2rkp-0003og-Ty
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 01:43:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51995)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2rkg-0003a6-Bl; Thu, 20 Sep 2018 01:43:46 -0400
Received: from [176.228.60.248] (port=1488 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2rkW-00050Y-Eh; Thu, 20 Sep 2018 01:43:36 -0400
Date: Thu, 20 Sep 2018 08:43:19 +0300
Message-Id: <83h8ikenbc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-reply-to: <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 (message from Kaushal Modi on Wed, 19 Sep 2018 17:16:28 -0400)
Subject: Re: [O] bug#32722: bug#32722: 26.1; Org-publish depend on non-free
 platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, rjhorniii@HIDDEN, amin@HIDDEN,
 32722 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Kaushal Modi <kaushal.modi@HIDDEN>
> Date: Wed, 19 Sep 2018 17:16:28 -0400
> Cc: Nicolas Goaziou <mail@HIDDEN>, Glenn Morris <rgm@HIDDEN>, n@HIDDEN, 
> 	Richard Stallman <rms@HIDDEN>, 32722 <at> debbugs.gnu.org, Robert Horn <rjhorniii@HIDDEN>, 
> 	Eli Zaretskii <eliz@HIDDEN>
> 
> I got approval from Hrvoje Nikšić that he was fine with your mirror[0].
> 
> So I believe it should be OK reference that mirror repo in ox-html?

I think we could do better by using htmlfontify.el.  I asked a few
questions about that in this discussion, see

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32722#95

Would the Org developers please reply to those questions?  If indeed
it is not hard to adapt htmlfontify to be used by Org, then I think
it's a better solution.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 04:25:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 00:25:27 2018
Received: from localhost ([127.0.0.1]:46234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2qWt-0004i5-Bx
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:25:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2qWr-0004hq-VN
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:25:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2qWl-0002rA-TR
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:25:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51224)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2qWh-0002jZ-R5; Thu, 20 Sep 2018 00:25:15 -0400
Received: from [176.228.60.248] (port=4477 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2qWb-0000yo-Jj; Thu, 20 Sep 2018 00:25:09 -0400
Date: Thu, 20 Sep 2018 07:24:49 +0300
Message-Id: <83k1ngeqy6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-reply-to: <E1g2oAo-0000ao-2k@HIDDEN> (message from Richard
 Stallman on Wed, 19 Sep 2018 21:54:30 -0400)
Subject: Re: bug#32722: [O] bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 <E1g2oAo-0000ao-2k@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, mail@HIDDEN, amin@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Richard Stallman <rms@HIDDEN>
> Date: Wed, 19 Sep 2018 21:54:30 -0400
> Cc: n@HIDDEN, amin@HIDDEN, mail@HIDDEN, 32722 <at> debbugs.gnu.org,
> 	rjhorniii@HIDDEN
> 
> Please leave the code to suggest loading htmlize deactivated.

There's no such code.  There's a function that, if invoked, signals an
error with this text:

  "Cannot fontify source block (htmlize.el >= 1.34 required)"




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 04:23:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 00:23:09 2018
Received: from localhost ([127.0.0.1]:46230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2qUe-0004eS-P0
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:23:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2qUd-0004dx-3i
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:23:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2qUX-00089h-4C
 for 32722 <at> debbugs.gnu.org; Thu, 20 Sep 2018 00:23:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51194)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2qUQ-0007yJ-Ds; Thu, 20 Sep 2018 00:22:54 -0400
Received: from [176.228.60.248] (port=4339 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2qUK-0000oK-4C; Thu, 20 Sep 2018 00:22:48 -0400
Date: Thu, 20 Sep 2018 07:22:32 +0300
Message-Id: <83lg7wer1z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-reply-to: <E1g2o79-0008S6-UV@HIDDEN> (message from Richard
 Stallman on Wed, 19 Sep 2018 21:50:43 -0400)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <E1g2TLB-000734-Os@HIDDEN> <83zhwedl2v.fsf@HIDDEN>
 <E1g2o79-0008S6-UV@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, mail@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Richard Stallman <rms@HIDDEN>
> Cc: n@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
> 	mail@HIDDEN, kaushal.modi@HIDDEN
> Date: Wed, 19 Sep 2018 21:50:43 -0400
> 
>   > If that is the crucial point, then the recent change to Org already
>   > took care of that,
> 
> That depends on what the changed text actually says.  I have not seen it;
> would you please send it to me?

There's no changed text: the original message telling from where to
install htmlize was deleted.  There's now only the error message
(which was there before) saying that htmlize is required.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 01:55:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 21:55:10 2018
Received: from localhost ([127.0.0.1]:46206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2oBS-0000zV-7Y
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:55:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2oBP-0000z7-SG
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:55:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2oBJ-0004ng-L3
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:55:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49035)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2oAr-00046Y-Sq; Wed, 19 Sep 2018 21:54:34 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2oAo-0000ao-2k; Wed, 19 Sep 2018 21:54:30 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-Reply-To: <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
 (message from Kaushal Modi on Wed, 19 Sep 2018 17:16:28 -0400)
Subject: Re: bug#32722: [O] bug#32722: bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
 <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
Message-Id: <E1g2oAo-0000ao-2k@HIDDEN>
Date: Wed, 19 Sep 2018 21:54:30 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, amin@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > This way, we'd still be able to point the users to a concrete
  > > address to get htmlize from, without directly pointing them to a
  > > proprietary platform.  Further, we're not claiminig copyright or
  > > maintainership of the repo and we're merely mirroring it on a
  > > freedom-respecting platform along with Org itself.

  > I got approval from Hrvoje Nikšić that he was fine with your mirror[0].

  > So I believe it should be OK reference that mirror repo in ox-html?

No, it is not ok.
We still need to replace htmlize.

The deep problem with the reference to htmlize is that it
blurs the distinction between Emacs itself
and Lisp code that is not part of Emacs.
We need to highlight that distinction, not blur it.

Please leave the code to suggest loading htmlize deactivated.


-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 01:51:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 21:51:09 2018
Received: from localhost ([127.0.0.1]:46201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2o7Z-0000tI-L8
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:51:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2o7Y-0000sr-AS
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:51:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2o7P-0006xG-3p
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:51:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48934)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2o7A-0006fp-6I; Wed, 19 Sep 2018 21:50:44 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2o79-0008S6-UV; Wed, 19 Sep 2018 21:50:43 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83zhwedl2v.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 19
 Sep 2018 10:04:40 +0300)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <E1g2TLB-000734-Os@HIDDEN> <83zhwedl2v.fsf@HIDDEN>
Message-Id: <E1g2o79-0008S6-UV@HIDDEN>
Date: Wed, 19 Sep 2018 21:50:43 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, mail@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > If that is the crucial point, then the recent change to Org already
  > took care of that,

That depends on what the changed text actually says.  I have not seen it;
would you please send it to me?

		       and there should be no rush to convert Org to using
  > htmlfontify, as this issue is now on the same level as the other
  > references to GitHub.  Right?

I wouldn't assume all those mentions are similar cases.
This is a matter of details, and I have not seen them,
so I don't know whether they are real problems or not.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 20 Sep 2018 01:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 21:50:46 2018
Received: from localhost ([127.0.0.1]:46194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2o7C-0000s5-1u
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:50:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2o7A-0000ro-Jh
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:50:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2o74-0006WI-B3
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 21:50:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48923)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2o6y-0006Mq-Em; Wed, 19 Sep 2018 21:50:32 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2o6s-0008PG-JL; Wed, 19 Sep 2018 21:50:26 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-Reply-To: <87h8ilfz6o.fsf@HIDDEN> (message from Nicolas Goaziou
 on Wed, 19 Sep 2018 14:29:19 +0200)
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN> <87h8ilfz6o.fsf@HIDDEN>
Message-Id: <E1g2o6s-0008PG-JL@HIDDEN>
Date: Wed, 19 Sep 2018 21:50:26 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, rms@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

The crucial question here is whether Mobile.org is free software.  If
it is not, then GNU packages including their documentation should not
mention it at all.  See the chapter References in the GNU Coding
Standards.

What is the source license of Mobile.org?

Does Mobile.org for Android link with any nonfree libraries,
such as Google Play Library?  Is it listed in f-droid.org?

I don't think it is possible to have free apps for the iMonsters.
This is because iOS does not allow users to install modified versions
of apps, even if the app's source is released under a free license.


Another issue is the suggestion to use DropBox.
Normal use of Dropbox involves running nonfree JS software
(see https://gnu.org/philosophy/javascript-trap.html),
so we cannot recommend using Dropbox in the normal way.

If there is a way to use Dropbox (for those operations that are
necessary in this context) without running any nonfree client
software, it would be ok to recommend using Dropbox _in that way_.
(The operations necessary in this context must include creating an
account.)

However, the text you showed me does not include such a specific
recommendation, so we have to eliminate it.  We could reinsert the
discussion of Dropbox if and when someone writes text to recommend a
suitable specific way to use it.

  > [fn:146] An alternative is to use a WebDAV server.  MobileOrg
  > documentation has details of WebDAV server configuration.  Additional
  > help is at this [[https://orgmode.org/worg/org-faq.html#mobileorg_webdav][FAQ entry]].

Is this a way to use MobileOrg without Dropbox?

Is the WebDAV server code free software?  Can you talk to such a
server without any nonfree client software?


-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 21:17:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 17:17:15 2018
Received: from localhost ([127.0.0.1]:46086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2jqV-0008Ub-3v
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 17:17:15 -0400
Received: from mail-lf1-f66.google.com ([209.85.167.66]:39636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1g2jqS-0008UK-RM
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 17:17:13 -0400
Received: by mail-lf1-f66.google.com with SMTP id v77-v6so6428263lfa.6
 for <32722 <at> debbugs.gnu.org>; Wed, 19 Sep 2018 14:17:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=plBlNOyf6mruJt44OC8ys2d+kAbsbAl2ltaD9Rs30fY=;
 b=sLlZjMnCSpq2sVTQPTjcIJTUYhGrx26/eojBMe5iz+fq1aVhtH/UFbNttN5gDWSTu9
 W+UOydc/Jblqq/3co2voCQvOdufVkPXm1iRVmJLupXWvcZD5Q7TG6D4C01yOfSnwbiIS
 QZqXYru+CduJSfJyh/dt+b8+CLwPiKNX8SNWxdgRXIXaWN/iesfk/sXxwuHSQ1kk8DkP
 0KSygNf45+uYuz66Mb/jzzQsPKl6K7emFfRR4YP42XNPv2CS3AfwRIU5oT95SsWQbwn5
 ohbpgIWad/KrhtZMMC+x8d7PfETtj6l8FtBjCxf96fsziTTc1ctZoaXgN29nnodc0kzE
 hfXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=plBlNOyf6mruJt44OC8ys2d+kAbsbAl2ltaD9Rs30fY=;
 b=CZmBSsA/5AbObWlPaPocGeA3GPcEVyPKrf49xeZrcL8j9/BQifkjQGqqpMLA6CbGrW
 B0xl6gE5fR78xTznIHfLTGQkk4PyrYLOy70d3o/sgyRAzf4egxeahTPfTtEv1Li4c9aE
 SFWCYp914CBGwpr/q3sKhoBLvqAY49m6b+R8LbsHosKdY5zw9tGs13DZGE5doXxczvPm
 dR86w4r6klAUEF21/zJnEfLqTq/BnRxl/qW0obHhooGlsqXXatDGcC4w4frx5g/MExWL
 L8k4lUEhycIhl0IOv1vK3GNIKI0BtdBLCQvHE+13XShwY9flGMqFSX77Zr+7/zb5A3i9
 gSKw==
X-Gm-Message-State: APzg51DSuJknb4ELrS5Fyuf71YnokEzaWyXsG5TcylzGbt/z9mwvaYm+
 MVWPFSQLd3RwgrMz0eW0yN9uiVIw7G3i4flqHYg=
X-Google-Smtp-Source: ANB0Vdbp4apCNsIOcOAF8YXQ0RSZBjveIHxSbyq88Bs5cFE9nDFnhOVQkMgwUcGxQz+lD39fnGXOrrZfn0W26ynlIxI=
X-Received: by 2002:a19:7411:: with SMTP id
 v17-v6mr25343887lfe.49.1537391826640; 
 Wed, 19 Sep 2018 14:17:06 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <87lg7yfraw.fsf@HIDDEN> <874leme9vp.fsf@HIDDEN>
In-Reply-To: <874leme9vp.fsf@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Wed, 19 Sep 2018 17:16:28 -0400
Message-ID: <CAFyQvY353PvS6nJatS-hdtWc0BNKi=GSFTQc-1p5Gvczb6sGuw@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: 26.1; Org-publish depend on non-free
 platform ?
To: Amin Bandali <amin@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: Glenn Morris <rgm@HIDDEN>, n@HIDDEN, Richard Stallman <rms@HIDDEN>,
 Nicolas Goaziou <mail@HIDDEN>, 32722 <at> debbugs.gnu.org,
 Robert Horn <rjhorniii@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Sep 18, 2018 at 6:24 PM Amin Bandali <amin@HIDDEN> wrote:
>
> I set up a mirror: https://code.orgmode.org/aminb/emacs-htmlize
>
> Assuming code.orgmode.org uses Gogs' default mirror settings, the
> repo should be automatically synchronized with upstream roughly
> every 8 hours or so.
>
> This way, we'd still be able to point the users to a concrete
> address to get htmlize from, without directly pointing them to a
> proprietary platform.  Further, we're not claiminig copyright or
> maintainership of the repo and we're merely mirroring it on a
> freedom-respecting platform along with Org itself.

I got approval from Hrvoje Nik=C5=A1i=C4=87 that he was fine with your mirr=
or[0].

So I believe it should be OK reference that mirror repo in ox-html?

[0]: https://github.com/hniksic/emacs-htmlize/issues/23#issuecomment-422946=
622




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 12:29:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 08:29:31 2018
Received: from localhost ([127.0.0.1]:45207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2bbk-0007Ua-47
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 08:29:31 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:60129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g2bbi-0007UO-5d
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 08:29:26 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 159744000A;
 Wed, 19 Sep 2018 12:29:22 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <E1g2TMj-0007QN-So@HIDDEN>
Date: Wed, 19 Sep 2018 14:29:19 +0200
In-Reply-To: <E1g2TMj-0007QN-So@HIDDEN> (Richard Stallman's message
 of "Tue, 18 Sep 2018 23:41:25 -0400")
Message-ID: <87h8ilfz6o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, Nicolas Floquet <n@HIDDEN>, eliz@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Richard Stallman <rms@HIDDEN> writes:

> That may or may not be a problem, depending on what it says.  Can you
> show me what it actually says about those nonfree systems?

All references are related to the appendix about MobileOrg, an
application for viewing and capturing entries from a mobile device.
Relevant parts include references to Apple and Google products in
addition to Dropbox:

--8<---------------cut here---------------start------------->8---
MobileOrg is a companion mobile app that runs on iOS and Android
devices.  MobileOrg enables offline-views and capture support for an
Org mode system that is rooted on a "real" computer.  MobileOrg can
record changes to existing entries.

The [[https://github.com/MobileOrg/][iOS implementation]] for the /iPhone/iPod Touch/iPad/ series of
devices, was started by Richard Moreland and is now in the hands of
Sean Escriva.  Android users should check out [[http://wiki.github.com/matburt/mobileorg-android/][MobileOrg Android]] by
Matt Jones.  Though the two implementations are not identical, they
offer similar features.
--8<---------------cut here---------------end--------------->8---


--8<---------------cut here---------------start------------->8---
MobileOrg needs access to a file directory on a server to interact
with Emacs.  With a public server, consider encrypting the files.
MobileOrg version 1.5 supports encryption for the iPhone.  Org also
requires =openssl= installed on the local computer.  To turn on
encryption, set the same password in MobileOrg and in Emacs.  Set the
password in the variable ~org-mobile-use-encryption~[fn:145].  Note
that even after MobileOrg encrypts the file contents, the file name
remains visible on the file systems of the local computer, the server,
and the mobile device.
--8<---------------cut here---------------end--------------->8---


--8<---------------cut here---------------start------------->8---
For a server to host files, consider options like [[http://dropbox.com][Dropbox.com]]
account[fn:146].  On first connection, MobileOrg creates a directory
=MobileOrg= on Dropbox.  Pass its location to Emacs through an
initialisation file variable as follows:

#+begin_src emacs-lisp
(setq org-mobile-directory "~/Dropbox/MobileOrg")
#+end_src
--8<---------------cut here---------------end--------------->8---

Here is the footnote from the last excerpt:

--8<---------------cut here---------------start------------->8---
[fn:146] An alternative is to use a WebDAV server.  MobileOrg
documentation has details of WebDAV server configuration.  Additional
help is at this [[https://orgmode.org/worg/org-faq.html#mobileorg_webdav][FAQ entry]].
--8<---------------cut here---------------end--------------->8---

I think that is about it.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 07:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 03:22:53 2018
Received: from localhost ([127.0.0.1]:45088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2Wp3-0005rr-EZ
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:22:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2Wp1-0005re-Bq
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:22:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2Wos-0000Le-4c
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:22:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36066)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2Wos-0000LX-0Z; Wed, 19 Sep 2018 03:22:42 -0400
Received: from [176.228.60.248] (port=3369 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2Wol-0001Xu-VN; Wed, 19 Sep 2018 03:22:36 -0400
Date: Wed, 19 Sep 2018 10:22:36 +0300
Message-Id: <83woridk8z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Klein <roklein@HIDDEN>
In-reply-to: <20180918141427.55178577@HIDDEN> (message from
 Robert Klein on Tue, 18 Sep 2018 14:14:27 +0200)
Subject: Re: [O] bug#32722:  bug#32722: 26.1; Org-publish depend on non-free
 platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <83zhwff2k8.fsf@HIDDEN> <20180918141427.55178577@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Tue, 18 Sep 2018 14:14:27 +0200
> From: Robert Klein <roklein@HIDDEN>
> Cc: Nicolas Goaziou <mail@HIDDEN>, n@HIDDEN,
>  kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org, rms@HIDDEN
> 
> > From my POV, the immediate problem is to switch Org-publish from using
> > htmlize to htmlfontify.  Can this be done, please?
> 
> Not easily, no.  Afaik htmlfontify always creates a complete HTML
> document, which htmlize doesn't.  Also, htmlize can format parts of a
> buffer. which htmlfontify can't.

This should be very easy to fix, by using temporary buffers with a
copy of the region to produce HTML for.  Right?

> Additionally htmlfontify also requires several external tools
> (according to the man page) which might not be available on all
> platform Emacs and org-mode is used on:
> 
> - a copy of “find” which provides the “-path” predicate
> - a copy of “sed”
> - a copy of the “file” command

These are only needed if one invokes htmlfontify-copy-and-link-dir to
produce HTML for files in a directory.  Is that an important use case
for the issue at hand?  E.g., if you need to produce HTML for a region
of a buffer, these facilities seem to not be relevant, AFAIU.  Did I
miss something?

> A switch to htmlfontify might end up in rewriting a good part of
> htmlfontify or some very ugly hacks.

I wonder whether we could begin by just supporting the immediate use
case(s) in point, maybe that is possible without too much rewriting.

> If Hrvoje Niksic has or is willing to sign the copyright assignment
> documents it will be easier to put htmlize.el into Emacs.

We've been through this several times in the past: it isn't going to
happen.  I think htmlfontify was added to Emacs for that rteason,
among others.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 07:05:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 03:05:03 2018
Received: from localhost ([127.0.0.1]:45056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2WXm-0005Nm-MG
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:05:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2WXk-0005NH-3r
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:05:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2WXe-0007Vp-BF
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:04:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35844)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2WXY-000734-8d; Wed, 19 Sep 2018 03:04:48 -0400
Received: from [176.228.60.248] (port=2237 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2WXP-0008ON-SO; Wed, 19 Sep 2018 03:04:40 -0400
Date: Wed, 19 Sep 2018 10:04:40 +0300
Message-Id: <83zhwedl2v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-reply-to: <E1g2TLB-000734-Os@HIDDEN> (message from Richard
 Stallman on Tue, 18 Sep 2018 23:39:49 -0400)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
 <E1g2TLB-000734-Os@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Richard Stallman <rms@HIDDEN>
> Cc: eliz@HIDDEN, n@HIDDEN, rjhorniii@HIDDEN,
> 	32722 <at> debbugs.gnu.org, mail@HIDDEN,
> 	kaushal.modi@HIDDEN
> Date: Tue, 18 Sep 2018 23:39:49 -0400
> 
>   > While there are numerous references
>   > to GitHub and SourceForge in Emacs (and some components even nominally
>   > live there, by the way, eg CEDET, cc-mode...), it's rare (unique?) for
>   > running a GNU Emacs command to actually print "hey, go install
>   > something from this non-ethical repository to finish doing what you
>   > wanted to do". It's a different level of referencing.
> 
> You've put your finger on the crucial point.
> Just talking about something that is in GitHub is ok.
> The problem is suggest users get it and run it.

If that is the crucial point, then the recent change to Org already
took care of that, and there should be no rush to convert Org to using
htmlfontify, as this issue is now on the same level as the other
references to GitHub.  Right?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 07:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 03:02:58 2018
Received: from localhost ([127.0.0.1]:45052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2WVk-0005K3-9g
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:02:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2WVi-0005Jp-49
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:02:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2WVZ-0004k2-ME
 for 32722 <at> debbugs.gnu.org; Wed, 19 Sep 2018 03:02:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35811)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2WVZ-0004jm-HU; Wed, 19 Sep 2018 03:02:45 -0400
Received: from [176.228.60.248] (port=2116 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2WVT-0008BV-BI; Wed, 19 Sep 2018 03:02:39 -0400
Date: Wed, 19 Sep 2018 10:02:39 +0300
Message-Id: <831s9qezqo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87lg7yfraw.fsf@HIDDEN> (message from Nicolas Goaziou
 on Tue, 18 Sep 2018 23:07:19 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <87lg7yfraw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 rjhorniii@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  rjhorniii@HIDDEN,  n@HIDDEN,  kaushal.modi@HIDDEN,  rms@HIDDEN,  32722 <at> debbugs.gnu.org
> Date: Tue, 18 Sep 2018 23:07:19 +0200
> 
> I removed htmlize URL from the error message. I also demoted the latter
> to a plain message. So, if htmlize is not installed, source blocks are
> not fontified.

Thanks!

There's also a similar reference to htmlize in the Org manual, which
should, too, should probably be removed.

And I'd like to backport these changes to the emacs-26 branch of the
Emacs repository.  Would it be possible to apply the changes from
Org's master branch, or do we need a slightly different set of
changes?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:41:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:41:40 2018
Received: from localhost ([127.0.0.1]:44986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TMx-0008Gx-OV
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TMw-0008GY-7d
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TMq-0005wn-7f
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60952)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TMk-0005mj-4r; Tue, 18 Sep 2018 23:41:26 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TMj-0007QN-So; Tue, 18 Sep 2018 23:41:25 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Nicolas Floquet <n@HIDDEN>
In-Reply-To: <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN> (message
 from Nicolas Floquet on Tue, 18 Sep 2018 16:43:42 +0200)
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
Message-Id: <E1g2TMj-0007QN-So@HIDDEN>
Date: Tue, 18 Sep 2018 23:41:25 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: eliz@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Note that the Org manual still talks about iOS and Android, which are
  > > not free either.

That may or may not be a problem, depending on what it says.  Can you
show me what it actually says about those nonfree systems?
-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:41:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:41:39 2018
Received: from localhost ([127.0.0.1]:44984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TMx-0008Gv-Fb
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TMv-0008GX-Sj
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TMp-0005wL-T1
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:41:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60946)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TMh-0005jq-Qe; Tue, 18 Sep 2018 23:41:23 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TMh-0007P8-ID; Tue, 18 Sep 2018 23:41:23 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Robert Klein <roklein@HIDDEN>
In-Reply-To: <20180918141427.55178577@HIDDEN> (message from
 Robert Klein on Tue, 18 Sep 2018 14:14:27 +0200)
Subject: Re: bug#32722: [O] bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN> <83zhwff2k8.fsf@HIDDEN>
 <20180918141427.55178577@HIDDEN>
Message-Id: <E1g2TMh-0007P8-ID@HIDDEN>
Date: Tue, 18 Sep 2018 23:41:23 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, eliz@HIDDEN, n@HIDDEN, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Additionally htmlfontify also requires several external tools
  > (according to the man page) which might not be available on all
  > platform Emacs and org-mode is used on:

  > - a copy of “find” which provides the “-path” predicate
  > - a copy of “sed”
  > - a copy of the “file” command

Using them is not a problem.  Those are part of the GNU system, and
you can install the packages thru your distro's package system (but I
expect they are preinstalled anyway).

It might be an inconvenience on non-GNU systems.  We give them low
priority, but if you feel like writing code in htmlfontify to do without
them, that is ok.

I would expect it is not very hard to fix htmlfontify to solve all its
practical drawbacks.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:40:43 2018
Received: from localhost ([127.0.0.1]:44974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TM3-0008EQ-26
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TM1-0008E7-PR
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TLv-0004x6-VS
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60911)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TLg-0004bE-4k; Tue, 18 Sep 2018 23:40:21 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TLf-0007CN-E5; Tue, 18 Sep 2018 23:40:19 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: rjhorniii@HIDDEN
In-Reply-To: <m3tvmm4v8m.fsf@HIDDEN> (message from Robert Horn on Tue, 18
 Sep 2018 12:37:45 -0400)
Subject: Re: bug#32722: [O] bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN>
Message-Id: <E1g2TLf-0007CN-E5@HIDDEN>
Date: Tue, 18 Sep 2018 23:40:19 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > This makes it clearly the reference to Github that is the concern.

The concern is _about_ the reference to GitHub, but what _makes it a problem_
is that it is suggesting that people load specific code from there.
THAT is the issue here.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:40:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:40:30 2018
Received: from localhost ([127.0.0.1]:44970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TLp-0008Dq-M4
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TLn-0008DN-Li
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TLf-0004XI-5X
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60895)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TLH-000444-Dp; Tue, 18 Sep 2018 23:39:55 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TLH-00074y-54; Tue, 18 Sep 2018 23:39:55 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Robert Klein <roklein@HIDDEN>
In-Reply-To: <20180918205329.2e12c16f@HIDDEN> (message from
 Robert Klein on Tue, 18 Sep 2018 20:53:29 +0200)
Subject: Re: bug#32722: [O] bug#32722:  bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <20180918205329.2e12c16f@HIDDEN>
Message-Id: <E1g2TLH-00074y-54@HIDDEN>
Date: Tue, 18 Sep 2018 23:39:55 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, eliz@HIDDEN, n@HIDDEN, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > As already pointed out by Nicolas Goaziou, org-mode also requires other
  > external stuff

Those other cases may or may not be problems, depending on the situation.

The ability to work with some other free software package (for
instance, LaTeX0, if the user happens to use that, is no problem at all.

Invoking some separate program, having no particular relationship
with Emacs, is ok too if the idea is that that program does some
separate job and that's what the user wants to do.

However, Emacs should not try to bypass the distro's own package
installation system by telling users to install things directly.

Would you please show me the other cases where Org suggests
loading something else?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:40:27 2018
Received: from localhost ([127.0.0.1]:44967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TLn-0008DZ-8V
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TLk-0008DJ-Am
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TLd-0004U1-17
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60890)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TLE-0003yw-8q; Tue, 18 Sep 2018 23:39:52 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TLE-00073n-2e; Tue, 18 Sep 2018 23:39:52 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-Reply-To: <CAFyQvY2rFpTsctDnVqKs4N1VYhG26jb2f+JOgUuAj4EREqRoJw@HIDDEN>
 (message from Kaushal Modi on Tue, 18 Sep 2018 15:29:44 -0400)
Subject: Re: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1; Org-publish
 depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <20180918205329.2e12c16f@HIDDEN>
 <CAFyQvY2t7MP5yN5+LgZdRZ5tFg7FmfXVsF15i=43XCJxL890Zg@HIDDEN>
 <CAFyQvY2rFpTsctDnVqKs4N1VYhG26jb2f+JOgUuAj4EREqRoJw@HIDDEN>
Message-Id: <E1g2TLE-00073n-2e@HIDDEN>
Date: Tue, 18 Sep 2018 23:39:52 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rjhorniii@HIDDEN, emacs-orgmode@HIDDEN,
 32722 <at> debbugs.gnu.org, mail@HIDDEN, eliz@HIDDEN,
 roklein@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I heard back from htmlize.el author Hrvoje Nikšić in his repo's issue thread[0].

Thanks for asking him.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:40:07 2018
Received: from localhost ([127.0.0.1]:44964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TLS-0008Ct-Ao
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TLP-0008By-5H
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TLJ-00048V-4o
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:39:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60884)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TLB-0003tH-0K; Tue, 18 Sep 2018 23:39:49 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TLA-00072W-MB; Tue, 18 Sep 2018 23:39:48 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-Reply-To: <87lg7yfraw.fsf@HIDDEN> (message from Nicolas Goaziou
 on Tue, 18 Sep 2018 23:07:19 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <87lg7yfraw.fsf@HIDDEN>
Message-Id: <E1g2TLA-00072W-MB@HIDDEN>
Date: Tue, 18 Sep 2018 23:39:48 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I removed htmlize URL from the error message. I also demoted the latter
  > to a plain message. So, if htmlize is not installed, source blocks are
  > not fontified.

Thank you.  That is a step forward.

However, this is still not as it should be.  What we really need to do is
(1) get htmlize into Emacs, or
(2) use some other facility that is in Emacs.

Since it now appears we can't do (1), we should do (2).  Someone mentioned
that there was code in Emacs that we could use instead.

It isn't a rush, now, but could someone please volunteer to do this,
over the next few months?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 19 Sep 2018 03:40:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 23:40:04 2018
Received: from localhost ([127.0.0.1]:44962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2TLP-0008Cc-BZ
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g2TLM-0008Bv-Lw
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:40:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g2TLG-00042w-FO
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 23:39:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60886)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g2TLC-0003vI-2E; Tue, 18 Sep 2018 23:39:50 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g2TLB-000734-Os; Tue, 18 Sep 2018 23:39:49 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <vain32bksv.fsf_-_@HIDDEN> (message from Glenn Morris
 on Tue, 18 Sep 2018 16:41:20 -0400)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
Message-Id: <E1g2TLB-000734-Os@HIDDEN>
Date: Tue, 18 Sep 2018 23:39:49 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN, kaushal.modi@HIDDEN, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > While there are numerous references
  > to GitHub and SourceForge in Emacs (and some components even nominally
  > live there, by the way, eg CEDET, cc-mode...), it's rare (unique?) for
  > running a GNU Emacs command to actually print "hey, go install
  > something from this non-ethical repository to finish doing what you
  > wanted to do". It's a different level of referencing.

You've put your finger on the crucial point.
Just talking about something that is in GitHub is ok.
The problem is suggest users get it and run it.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 22:22:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 18:22:15 2018
Received: from localhost ([127.0.0.1]:44859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2ONr-0004WI-0O
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 18:22:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <amin@HIDDEN>) id 1g2OBL-0004BB-5f
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 18:09:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <amin@HIDDEN>) id 1g2OBF-0001Co-FF
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 18:09:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55508)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <amin@HIDDEN>)
 id 1g2OB5-00019X-Ti; Tue, 18 Sep 2018 18:09:03 -0400
Received: from 199-7-157-23.eng.wind.ca ([199.7.157.23]:1905 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <amin@HIDDEN>)
 id 1g2OAz-0003QV-9a; Tue, 18 Sep 2018 18:08:57 -0400
From: Amin Bandali <amin@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>, Glenn Morris <rgm@HIDDEN>
Subject: Re: [O] bug#32722: 26.1; Org-publish depend on non-free platform ?
In-Reply-To: <87lg7yfraw.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN> <87lg7yfraw.fsf@HIDDEN>
Date: Tue, 18 Sep 2018 18:08:58 -0400
Message-ID: <874leme9vp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Tue, 18 Sep 2018 18:22:14 -0400
Cc: n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Nicolas Goaziou <mail@HIDDEN> writes:

> I removed htmlize URL from the error message. I also demoted the latter
> to a plain message. So, if htmlize is not installed, source blocks are
> not fontified.

I was going to suggest a less harsher and potentially more
helpful approach: in the short term, mirror the htmlize repo on
code.orgmode.org, the official Gogs instance where Org mode is
hosted and developed.  In the long term, work on replacing
htmlize with htmlfontify.

I set up a mirror: https://code.orgmode.org/aminb/emacs-htmlize

Assuming code.orgmode.org uses Gogs' default mirror settings, the
repo should be automatically synchronized with upstream roughly
every 8 hours or so.

This way, we'd still be able to point the users to a concrete
address to get htmlize from, without directly pointing them to a
proprietary platform.  Further, we're not claiminig copyright or
maintainership of the repo and we're merely mirroring it on a
freedom-respecting platform along with Org itself.

  -amin




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 21:07:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 17:07:25 2018
Received: from localhost ([127.0.0.1]:44811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2NDQ-0002bj-RI
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 17:07:25 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:48343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g2NDP-0002bY-4L
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 17:07:23 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 5C10940002;
 Tue, 18 Sep 2018 21:07:20 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <vain32bksv.fsf_-_@HIDDEN>
Date: Tue, 18 Sep 2018 23:07:19 +0200
In-Reply-To: <vain32bksv.fsf_-_@HIDDEN> (Glenn Morris's message of
 "Tue, 18 Sep 2018 16:41:20 -0400")
Message-ID: <87lg7yfraw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Glenn Morris <rgm@HIDDEN> writes:

> I think (or rather assume) that the issue is that GitHub receives
> a grade F ("unacceptable") evaluation acccording to the GNU Ethical Repository
> Criteria; https://www.gnu.org/software/repo-criteria-evaluation.html.
> So does SourceForge, by the way. While there are numerous references
> to GitHub and SourceForge in Emacs (and some components even nominally
> live there, by the way, eg CEDET, cc-mode...), it's rare (unique?) for
> running a GNU Emacs command to actually print "hey, go install
> something from this non-ethical repository to finish doing what you
> wanted to do". It's a different level of referencing.

I removed htmlize URL from the error message. I also demoted the latter
to a plain message. So, if htmlize is not installed, source blocks are
not fontified.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 20:41:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 16:41:41 2018
Received: from localhost ([127.0.0.1]:44801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2MoX-0001vH-C7
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 16:41:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1g2MoV-0001uy-AZ
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 16:41:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1g2MoP-0006dG-1d
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 16:41:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53601)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1g2MoE-0006G1-P8; Tue, 18 Sep 2018 16:41:23 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1g2MoD-0008Po-Gd; Tue, 18 Sep 2018 16:41:21 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
X-Spook: FEMA Scammers United Nations Biological event Forte
X-Ran: aq{:ZS-mG)O#QCTH+IhC_3}<+bgDK*Hk<z4H&/P*x|CNH?[Q$'QzX5/?0//I~Wj`Q6%y*u
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 18 Sep 2018 16:41:20 -0400
In-Reply-To: <83efdqg32d.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 18 Sep
 2018 19:53:14 +0300")
Message-ID: <vain32bksv.fsf_-_@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, rjhorniii@HIDDEN, 32722 <at> debbugs.gnu.org,
 mail@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


I think (or rather assume) that the issue is that GitHub receives
a grade F ("unacceptable") evaluation acccording to the GNU Ethical Repository
Criteria; https://www.gnu.org/software/repo-criteria-evaluation.html.
So does SourceForge, by the way. While there are numerous references
to GitHub and SourceForge in Emacs (and some components even nominally
live there, by the way, eg CEDET, cc-mode...), it's rare (unique?) for
running a GNU Emacs command to actually print "hey, go install
something from this non-ethical repository to finish doing what you
wanted to do". It's a different level of referencing.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 19:30:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 15:30:29 2018
Received: from localhost ([127.0.0.1]:44791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2Lhc-0000Aw-PF
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 15:30:29 -0400
Received: from mail-lf1-f45.google.com ([209.85.167.45]:38034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1g2Lha-0000Ai-Uz
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 15:30:27 -0400
Received: by mail-lf1-f45.google.com with SMTP id z186-v6so2937312lfa.5
 for <32722 <at> debbugs.gnu.org>; Tue, 18 Sep 2018 12:30:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=qaCSjR6QR/avh2OV4StWxUnQ3ktH+xSx9qCe0lqBn0Q=;
 b=HDZR3SlHLls6DBcZDfjYblZ418t4cYlcicGL6gQqRw7UyNHF16LbbVmJSS0vVaRVtZ
 Xqcny3v40GH/nH0sp1UxQmsQUijnPVkaNLLWL1seAjWBT+kriWhF0V9+tT3ONlNMooMh
 wWXs8KqZ05Yahp+nmCffpkotCP0LevTK20RRD+0gCRMVN2KoMrebi/z2ba1sNrsutx5d
 ZPCVjGaCRo+zLJ3SzsqqqVPxxGIYYob9k7Vq5o+vlgkhOV/k04AX4d5QnHunfIzQFS/o
 Q7Gj1aiIWOs6p41H7j0rv/UGqazuPKe+iZ+hTnedyQ/bACGHvTgpR5/rncVm7o8V9AVN
 wQsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=qaCSjR6QR/avh2OV4StWxUnQ3ktH+xSx9qCe0lqBn0Q=;
 b=VfvyJ40joFWI/zwhWPf9O+hkXcEJBcZL4lRUXABDVKrfJogOKLDEQB6SG2GsHn3rzQ
 RltEovhqkXAsiNNNUs9n34JWM4Kb7wpW2bovRuXA8xQuCyb47E2f/ZhHkSi5CY4kYOtT
 sW78v+u6n0W6UA/y+Q6Eb3mM8mvxHbJd6Ge4fv18TNI1b/LEpafru8Wl2DBB98c6kaSC
 00ni9RQvMmrh2RW/BK8dKpXoDfKx/v7dTPklfkJIrKJT2ioQJoaPEUFXKA3qPZ/i66Ju
 KczyGie2CT4+UTFxY1R+/tyVOCwO5hcQoZsDiBEOnm8enrP58pAN/PMwOgLJ29RI1PiI
 oyyA==
X-Gm-Message-State: APzg51DFreydF/8Xo2gminEiCAytgk9Tz0M3Rym1Sw8gFPB3KfUMEwwx
 fRih8m3a9fCABVgDVjqE/5aaP4aUfb/NxKIG6Tc=
X-Google-Smtp-Source: ANB0VdaDDolImGlIFZD3QGM246XonbAvA6fiodxSCT4Xr6r4CJ5/N7Nn4wYcqLlMkhXaZmnyD6DtyQGgz1iSKbSP8Lg=
X-Received: by 2002:a19:a053:: with SMTP id
 j80-v6mr20535301lfe.115.1537299020646; 
 Tue, 18 Sep 2018 12:30:20 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <20180918205329.2e12c16f@HIDDEN>
 <CAFyQvY2t7MP5yN5+LgZdRZ5tFg7FmfXVsF15i=43XCJxL890Zg@HIDDEN>
In-Reply-To: <CAFyQvY2t7MP5yN5+LgZdRZ5tFg7FmfXVsF15i=43XCJxL890Zg@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Tue, 18 Sep 2018 15:29:44 -0400
Message-ID: <CAFyQvY2rFpTsctDnVqKs4N1VYhG26jb2f+JOgUuAj4EREqRoJw@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: bug#32722: bug#32722: 26.1; Org-publish
 depend on non-free platform ?
To: Eli Zaretskii <eliz@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 emacs-org list <emacs-orgmode@HIDDEN>, 
 Nicolas Goaziou <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, Robert Klein <roklein@HIDDEN>, rjhorniii@HIDDEN,
 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello all,

I heard back from htmlize.el author Hrvoje Nik=C5=A1i=C4=87 in his repo's i=
ssue thread[0].

So here's the summary:

- Hrvoje Nik=C5=A1i=C4=87 does not want to assign the copyright of htmlize =
to
FSF. So it cannot be part of Emacs, Org mode or even GNU Elpa.
- The package will keep living in its GitHub repo.

1. If user has issues with GitHub's non-free JS:

- Download htmlize directly from
https://raw.githubusercontent.com/hniksic/emacs-htmlize/master/htmlize.el.

2. If user does not want to use htmlize, or want Org mode to suggest
installing it from GitHub, set org-html-htmlize-output-type to nil.

Note that the htmlize.el package by itself is GPLv2, so it is free.

Does this settle the issue?

[0]: https://github.com/hniksic/emacs-htmlize/issues/23




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 18:58:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 14:58:23 2018
Received: from localhost ([127.0.0.1]:44775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2LCZ-0007mm-M9
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:58:23 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:45019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1g2LCY-0007mT-BM
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:58:22 -0400
Received: by mail-lj1-f169.google.com with SMTP id q127-v6so2732479ljq.11
 for <32722 <at> debbugs.gnu.org>; Tue, 18 Sep 2018 11:58:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vlQ6ccQ1/UK8vCKX+8Nw2PnSmaBNvLnbW6pylqbDNpw=;
 b=lzEAAGqE18BxrEnwhp6EZbyWcXPVMedwadJ4+aXoBxcTQravHXZKI7n81UaiLC2NIk
 KDnL3x88K5HHnUdUX0RFR0ughw9wpNTb0MzzKX+J3zR2UZje6ntEf+AOrcBPkrRAasSg
 ocFCcnYOQp48+ApSNigLU9RkPPh6AhhAKlq5BejcHVlK2yGFRWLxIH1tQPFt4Te8Grur
 s2eyIU4RZvTvZ/rc1knghnqMutOuMAjFSSJnvBYcwH4BO79sclpsjexnu4zjrS6+xxF3
 08XTzR8mVAGIREP8EQSTb/gyhqvEAFIVCBtgC/2EljrYuAlcvKjO8RFshDQuvuLAGwJ0
 SkbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vlQ6ccQ1/UK8vCKX+8Nw2PnSmaBNvLnbW6pylqbDNpw=;
 b=GBORi9WK1J/MCiCxDzhvun0EXMvnzEAX/H6VMaWyurwBJbdUmSL32tnfwNER+49IWZ
 3ZrfKaZLDENPGXijJRrBpet1M3g/L4e7nnH4YLR8PpCTLL3B1MCoCujzXDl1biVFm9e8
 MP08KwEYz1A1NzWxwUhrG1JumMbRr24qh/yK8sujjWlakcEHh2UcA2rHvrNIt9yMqCq3
 CR6h41QE68eZHB8M/v51g+BFySif6Lnp7WUlQ2/67NweMgSkletEA3w1hnPhqr8C21yJ
 ujd7XAtAJ1CpLtmjKB7TNOC9xxltnYXCX45qTs6VcUmxC2x1XNSLXRx1NMikNs0a1+ds
 +RFg==
X-Gm-Message-State: APzg51C/xJ9U3h3mkAcqa0mcKYKzapwjH7j3HOypdNMsQcpbYJ8XOHGS
 A2oHos71JocVKQrdVTcdH1LURM7Ioh6w5oRAux4=
X-Google-Smtp-Source: ANB0VdZ48d7BKFIa+5dIxMnzt9I9imCQhgb/I7+g2RIa04KHl3QLEPgYGxvokUCFNdpBo4H8M9VYP2ODueneBh3GiHc=
X-Received: by 2002:a2e:8957:: with SMTP id
 b23-v6mr21029234ljk.50.1537297095909; 
 Tue, 18 Sep 2018 11:58:15 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
 <20180918205329.2e12c16f@HIDDEN>
In-Reply-To: <20180918205329.2e12c16f@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Tue, 18 Sep 2018 14:57:39 -0400
Message-ID: <CAFyQvY2t7MP5yN5+LgZdRZ5tFg7FmfXVsF15i=43XCJxL890Zg@HIDDEN>
Subject: Re: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on
 non-free platform ?
To: Robert Klein <roklein@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, n@HIDDEN,
 rjhorniii@HIDDEN, Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Sep 18, 2018 at 2:53 PM Robert Klein <roklein@HIDDEN> wrote:

> When the original poster doesn't want to use htmlize, he probably
> should try to export without fontifying source code (I think there's a
> switch, but I'm not sure).

Setting org-html-htmlize-output-type to nil will not prompt the user
to install htmlize. With that setting, code blocks will not be
htmlized, and instead just exported as plain text.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 18:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 14:53:58 2018
Received: from localhost ([127.0.0.1]:44771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2L8I-0007fg-12
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:53:58 -0400
Received: from mout.kundenserver.de ([212.227.126.133]:42177)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roklein@HIDDEN>) id 1g2L8G-0007fM-8P
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 14:53:56 -0400
Received: from happy.intern.roklein.de ([91.67.155.33]) by
 mrelayeu.kundenserver.de (mreue009 [212.227.15.167]) with ESMTPSA (Nemesis)
 id 1Mt6wz-1fmizP0OID-00tVIe; Tue, 18 Sep 2018 20:53:42 +0200
Date: Tue, 18 Sep 2018 20:53:29 +0200
From: Robert Klein <roklein@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [O] bug#32722:  bug#32722:  bug#32722: 26.1; Org-publish depend
 on non-free platform ?
Message-ID: <20180918205329.2e12c16f@HIDDEN>
In-Reply-To: <83efdqg32d.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN> <83efdqg32d.fsf@HIDDEN>
Organization: roklein.de
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-unknown-openbsd6.3)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:GgUmoP20YJn5+3T5BfPNQ0OmUw8OSSanp5gJzgV0u1q0silAyim
 psogKXe0ogooKrjR7Wu02u1ruIGN65nVIub+4Yig0RfOOX2TVTIWebihq85AQXEsnxm/71l
 uyH1Gev8ZlGIjhb6VLlLG2mt3/+g1Z0Qn8iJPfZRK3Kr+kgOQDjGNHgH6yziU1mwcJDFPAz
 nJBFnWsYdxLjJRvMZd/gg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:m9N3n57vqJs=:KmebWZ9rfB3+ue15CWlGZS
 jn2JJsrQO6Bs8GTQKEhQTEzKS9d59TxcSOZt/2cth/Jc4UN1Bx2a5/U2DHqUuAhpmBx4Hbj1r
 DSVFPgSQ61weOeCWYtwJA6zV6yb9ULcbcMeejJB+hWKXMdG1Cg+6QdPfAmpjD79+JjImKY1c/
 idNhtaTVOflMYltlq2s571co+7iuAwNbHB/zp8sWoBud1Q+7bOR9LiFQnyMOQNYQIcjN1KOl3
 UD4vI9fXcU0s3t4rHS2xGfWWQ7LOUM6yvdfVSMzdMbTW50l08fic2GJnFQurCBI6uV9RjdCua
 Fwrh8rl08M26MwMbPDvr8lXbiz8aV7q8TiNekNTCUdVV+6Wbds+iseI9EAQL0kb6qAWdtHofB
 8HDrUQlXUiDgAPwVSiUkq9dbxOUCATtfXSGPmuytMr7Y3I1+pJf2Ix0ZA1tL4Q1OteYtNpKoX
 BoWJ+xhe9TY8QcJQr+cR48tKZXYME6NqPOSKMHWdr0JJFaWRbJeT7PG9/w70tSZrzo32Zbo+c
 RA5s2uvWpT4NkBEyw41fExRwESxNQbdh4kYFqgo5RnRqG+Fr4GP8EYrXWMbPF9UfnE0VFXUdP
 78tD9RbmFLyNf40RK6wCBFuFO+hwO94Jly9YBM/bDHLxn5pwm5EwORtBYQt3o5WA4kfR2//mk
 6t5WevjWxLtf0fdMbibRSqtlvChHRVtYsehdwRjqwDHPCE/A765KXrAHzRdAcG1blAnMb1bf5
 lpCA896jVCoG0WVM
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, n@HIDDEN, rms@HIDDEN, rjhorniii@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, 18 Sep 2018 19:53:14 +0300
Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Robert Horn <rjhorn@HIDDEN>
> > Cc: Nicolas Goaziou <mail@HIDDEN>, Eli Zaretskii
> > <eliz@HIDDEN>, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org,
> > rms@HIDDEN Date: Tue, 18 Sep 2018 12:37:45 -0400
> > 
> > /* from RMS email later in thread
> > To motivate people to do this, I say we shouild not ship another
> > release with that reference to GitHub.  Eli, do you agree?
> > */
> > 
> > This makes it clearly the reference to Github that is the concern.  
> 
> We have quite a few references to GitHub in Emacs, just grep for it.
> 
> 
> 

That's, what the original message on the bug list refers to, however.

I think the original bug report is bogus.  Especially in view of your
statement above.

As already pointed out by Nicolas Goaziou, org-mode also requires other
external stuff (just as htmlfontify does, see my mail and its manual:
https://www.gnu.org/software/emacs/manual/html_mono/htmlfontify.html#Requirements).

The reason, e.g. LaTeX isn't mentioned explicitly in the manual or in
org is that it is a well-known software.  The link is only given as a
friendly hint.  


Also, in regards to the original bug report, while htmlize is _hosted_
on github, which indeed is not free, htmlize itself _is_ free.  Right
at the beginning of htmlize.el it says:

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

When the original poster doesn't want to use htmlize, he probably
should try to export without fontifying source code (I think there's a
switch, but I'm not sure).


Best regards
Robert







Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 16:53:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 12:53:36 2018
Received: from localhost ([127.0.0.1]:44663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2JFo-0000dA-D3
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 12:53:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2JFn-0000cz-Hf
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 12:53:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2JFd-0005yO-Qm
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 12:53:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49205)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2JFb-0005fH-Pp; Tue, 18 Sep 2018 12:53:24 -0400
Received: from [176.228.60.248] (port=1283 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2JFU-0002Jv-3c; Tue, 18 Sep 2018 12:53:16 -0400
Date: Tue, 18 Sep 2018 19:53:14 +0300
Message-Id: <83efdqg32d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rjhorniii@HIDDEN
In-reply-to: <m3tvmm4v8m.fsf@HIDDEN> (message from Robert Horn on Tue, 18
 Sep 2018 12:37:45 -0400)
Subject: Re: [O] bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
 <m3tvmm4v8m.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Horn <rjhorn@HIDDEN>
> Cc: Nicolas Goaziou <mail@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, kaushal.modi@HIDDEN, 32722 <at> debbugs.gnu.org, rms@HIDDEN
> Date: Tue, 18 Sep 2018 12:37:45 -0400
> 
> /* from RMS email later in thread
> To motivate people to do this, I say we shouild not ship another
> release with that reference to GitHub.  Eli, do you agree?
> */
> 
> This makes it clearly the reference to Github that is the concern.

We have quite a few references to GitHub in Emacs, just grep for it.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 16:40:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 12:40:17 2018
Received: from localhost ([127.0.0.1]:44659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2J2u-0000Jt-UG
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 12:40:17 -0400
Received: from mailbackend.panix.com ([166.84.1.89]:60491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rjhorn@HIDDEN>) id 1g2J0U-0000Fw-Uk
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 12:37:47 -0400
Received: from quad (panix2.panix.com [166.84.1.2])
 by mailbackend.panix.com (Postfix) with ESMTPS id 3138537E33;
 Tue, 18 Sep 2018 12:37:46 -0400 (EDT)
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
 <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Robert Horn <rjhorn@HIDDEN>
To: Nicolas Floquet <n@HIDDEN>
Subject: Re: [O] bug#32722:  bug#32722: 26.1;
 Org-publish depend on non-free platform ?
In-reply-to: <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
Date: Tue, 18 Sep 2018 12:37:45 -0400
Message-ID: <m3tvmm4v8m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Tue, 18 Sep 2018 12:40:15 -0400
Cc: Eli Zaretskii <eliz@HIDDEN>, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 Nicolas Goaziou <mail@HIDDEN>, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rjhorniii@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Nicolas Floquet writes:

> Actually, it's an ethical issue. That are not always easily solved with
> technical solutions, I guess=E2=80=A6
>

Perhaps you could clarify the ethical issues.  The initial RMS comment
on this issue in this thread is:

/* from RMS email

Emacs should not advise people to load anything from outside Emacs
(counting ELPA).  So this needs to be deleted.

If htmlize is useful, we should put it into Emacs.
Is there some obstacle to that?

*/

I can hypothesize various ethical, marketing, operational, and user
experience reasons for not advising people to load ...

Could you explain the ethical issue(s) that are of specific concern.

Further from RMS was the suggested technical fix

/* from RMS email later in thread
To motivate people to do this, I say we shouild not ship another
release with that reference to GitHub.  Eli, do you agree?
*/

This makes it clearly the reference to Github that is the concern.  I
could accept a change such as replacing that reference with text saying
"use ???? to find html..."  I'm not sure what to suggest since Google,
duck-duck-go, and other search engines are all commercial non-free
operations.

Rehosting onto a free platform, perhaps gnu.org, might be an option.  A
simple mirror onto a free platform might suffice.  Linux, python, and
other major open source efforts deal with platform issues by providing
their own primary distribution platform.

I can seem some ethical concerns with using a proprietary platform.  Git
was created due to problems with a dependency on a proprietary platform,
although in that case it was more related to a divergence in business
strategic directions than ethical issues.

--
Robert Horn
rjhorniii@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 15:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 11:17:19 2018
Received: from localhost ([127.0.0.1]:44614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2Hkc-0006cr-LK
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 11:17:19 -0400
Received: from mout.kundenserver.de ([217.72.192.74]:60805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roklein@HIDDEN>) id 1g2Eu1-00085J-Sv
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 08:14:50 -0400
Received: from lt70.mpip-mainz.mpg.de ([194.95.63.248]) by
 mrelayeu.kundenserver.de (mreue107 [212.227.15.183]) with ESMTPSA (Nemesis)
 id 1MysFQ-1fpP7D3c1K-00vxEa; Tue, 18 Sep 2018 14:14:33 +0200
Date: Tue, 18 Sep 2018 14:14:27 +0200
From: Robert Klein <roklein@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: [O] bug#32722:  bug#32722: 26.1; Org-publish depend on non-free
 platform ?
Message-ID: <20180918141427.55178577@HIDDEN>
In-Reply-To: <83zhwff2k8.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN> <83zhwff2k8.fsf@HIDDEN>
Organization: roklein.de
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-unknown-openbsd6.3)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:M4oeCmesLCmX1pyKZQ3CDqvc/Gt8mpXET/gizt04C6WQmV6jWT+
 lFAuMm2YGLVrTcY+kgLeB+yvrtlT17LbvBQC5RI8LfUyYjYCo7HDgtKMNyPaLUpiva07v7Y
 j/+l8k/nN7tYeGsUaDqmQn6ifKddHK7OWEILvnvu17+PFgPFQEu10x2RHqioh6ZlHnbZ9op
 FefDH+L5Gl21GB4HhKIcw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:NmzuxPw3k1U=:2GhixFbA+uEycnnPERZAVY
 V8wcJhDXMVIVmVkTCR8LYejFqsbT3h/gPPKisp5l98d7+0NEwuRZyFbQNYEDBHdIRAV0lFxCH
 W5oxsaICZlLTvU7rr3rQuMEPO14wzOuMAJKutz5b962HvJMGJH0CACIQvfuhkR31ilL64i/sk
 v7bsoIU5aX5U6yYighdiDw/Y1WHpiKm0c6MdleKMaFeJ2FAzcm1OidkOQlE9LQ6p1J62BAAoE
 NKGJsHaM0SVQ4/PvbdwAh0N/6qSx/sIv2TprLR83yeOVBYak8D8l5o1qAL1xTXJKgHgxRPMLU
 cuHkYPx1Lu4J/JStM2ohW1sp7917UkCC9pYsRQrz1ECYxIW0z/2Knd8ekvJ2p15ARdX3Lf9zc
 7Y4EbDABGE8ib0iAEFl8I5gljmWId6RZkRf67R+erGVyxZgVd7qkUj7hTGHfzsqcWxitQQcz9
 4wm46Rx/vruQnPm+KGEth/J7EZwglOsxBhr4y3CHG+laJX/bPTLaw7DsLErd8ElYQn072eu4D
 rqJSiBMoBFceI3v5/ykScw6A1oAUM8QU0IzVaQLrJ94cu1m3eJGxN8sCFlbdrna/Ivk3tZQsp
 MZzhzlb7BlCkou+B4YrvkOjboku7XWfmRm5WV7FYjJfREC6+rqeQfUH7jD6yWb/pU72ELvhpK
 dGUEAhWdIdcGtgYMjtjE12Lu75UlZzo35d4jN6kiDOIxJE9h8VmDB07yNulNVuQiMd0216gdx
 OZDKGobCp67A9tT6
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Tue, 18 Sep 2018 11:17:17 -0400
Cc: n@HIDDEN, rms@HIDDEN, 32722 <at> debbugs.gnu.org,
 Nicolas Goaziou <mail@HIDDEN>, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, 18 Sep 2018 14:49:27 +0300
Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Nicolas Goaziou <mail@HIDDEN>
> > Cc: rms@HIDDEN,  kaushal.modi@HIDDEN,  n@HIDDEN,
> > 32722 <at> debbugs.gnu.org Date: Tue, 18 Sep 2018 11:37:15 +0200
> >=20
> > This is a genuine question: what /exactly/ do you want Org
> > developers to solve, assuming they can? Also, if they cannot, who
> > is willing to give them a hand? =20
>=20
> From my POV, the immediate problem is to switch Org-publish from using
> htmlize to htmlfontify.  Can this be done, please?
>=20
>=20
>=20

Not easily, no.  Afaik htmlfontify always creates a complete HTML
document, which htmlize doesn't.  Also, htmlize can format parts of a
buffer. which htmlfontify can't.

Additionally htmlfontify also requires several external tools
(according to the man page) which might not be available on all
platform Emacs and org-mode is used on:

- a copy of =E2=80=9Cfind=E2=80=9D which provides the =E2=80=9C-path=E2=80=
=9D predicate
- a copy of =E2=80=9Csed=E2=80=9D
- a copy of the =E2=80=9Cfile=E2=80=9D command

A switch to htmlfontify might end up in rewriting a good part of
htmlfontify or some very ugly hacks.


If Hrvoje Niksic has or is willing to sign the copyright assignment
documents it will be easier to put htmlize.el into Emacs.


Best regards
Robert




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 14:43:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 10:43:12 2018
Received: from localhost ([127.0.0.1]:44576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2HDb-0005iY-Oq
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 10:43:11 -0400
Received: from smtp.numethik.fr ([80.67.190.197]:40862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1g2HDZ-0005iP-7V
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 10:43:10 -0400
Message-ID: <dbc243f2281e5b97b59d543f8e29559b1ffdc38f.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1537281788; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mU8L++pvhoGjQaer9l6ulJhWLoYDz+pB4rO8dj2r994=;
 b=TVk3DXtPRZ7Lmooxghf81j+HyV+DIF/+n98aWq89uLfCRi68ZnsY8VUjIQv8ep9fEiXAi/
 ND3yTDrce4JVuA2Ldt5sc70a7fbum4oA2kbN2VBAk6qxWEDL1+7AMPJREzOHFB2LrsBikr
 J3RcyING9dzy38BfnHLnkVMv+1wUHu5ejMSI8U4c+bPmJscXzzY26cbNvQ9mqVXiz9uOpH
 nvSmgzLPibq7ZkrPzz34iAVqwguAkkflHS5ErUjktrky8V6GbOEJwwch+grvAKFDAJBkuZ
 91vzW5tCfPLDsOSswpYPbaT2S03Tf6DEkaZmBj/MCkaJ+C4zPiZOR/GZyhzgeQ==
Subject: Re: bug#32722: [O] bug#32722: 26.1; Org-publish depend on non-free
 platform ?
From: Nicolas Floquet <n@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Date: Tue, 18 Sep 2018 16:43:42 +0200
In-Reply-To: <87va73gn90.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-pW0E8T6kPaYrASdwFnoZ"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, rms@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-pW0E8T6kPaYrASdwFnoZ
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Le mardi 18 septembre 2018 =C3=A0 11:37 +0200, Nicolas Goaziou a =C3=A9crit=
 :
> I read the thread multiple times already but I do not understand
> exactly the issue risen.

Actually, it's an ethical issue. That are not always easily solved with
technical solutions, I guess=E2=80=A6

> From the OP: "Emacs quotes Github, a non-free platform." If that's
> the real problem, we can remove the location of the "htmlize" library
> from the error message and be done with it.

Indeed.

> Note that the Org manual still talks about iOS and Android, which are
> not free either.

It's true. I don't know what to think about this.


--=20
| Num=C3=A9rion                  |              Nicolas Floquet |
+----------------------------------------------------------+
| Services informatiques en logiciels libres               |
| XMPP : nflqt@HIDDEN | T=C3=A9l : 06.32.93.03.51            |
| =C4=9E1 : BjZFP7UpKjJ9hbavhT2Ep2hP58noXp6xdPY4awsX17yD        |
| PGP : 94C7 641B 719E B06A F406  7AB3 3709 C700 E548 F996 |=20
+----------------------------------------------------------+

--=-pW0E8T6kPaYrASdwFnoZ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEElMdkG3GesGr0BnqzNwnHAOVI+ZYFAluhDx4ACgkQNwnHAOVI
+ZZnvhAAoXM5EzHOu+T8/LwiAfcGFkn/C8eU5/7Dx7bAvhrqWh+npq3fKiAwnmw6
7aIdZ+W5xXIauUOTQZcYSypRmCiA2osug/OuHBnGBEY7N9Se+89Zr0xawl4/jlQb
JVaKTEaqC6ATturADzRBsbIuCGqVOJWKa3HF5Xs30bCnMz7c1gwvzfKX2oKhz5CY
QNE5puUVuwb2rJGW1aDRKL0SIl2B0H6ovHXxFi+jB9zyIjTgEn8C67kAoBk9EvUi
KTFUHiDUYPBdIzFFdADGWPn/9f7bKT/WCCgqOOQHZ1R+oo3ycazmN4VtnG2Hkoto
/sNbfVd+hPjrlzVbpo3ldMpkESQgKvh0DD9ZcM8IiWll7omD1iDPPwHU+MM0XcSj
Tk5M7JBnUPDQe6HIhUiQZaBL3O/rbqUItmy0X4r/MAE2qjQ1YfDojlrkkEG2r/nq
4MJpV86uQGACfj25vdD6Ki2Bq7P5gTQUGG1f5sTNDQw8tXvdFvc+8COpka9oZTl5
7Er/EDtYqwq3bFEFtf041VoOQvGuf70ok1jbuZ5SXfflbrUzp3N/Y4ejRch5LbD5
GlZSG5nOewCrkhNugymfKhYHK6MCDMHPDkR7pyqb7V5xbZ0I+343L2h2qAsPDbqD
u0i1n2RtH+TP23VhxLi4EkgHzOyfkCn2QI3EfSjs9yHLzRKO0TE=
=0WI4
-----END PGP SIGNATURE-----

--=-pW0E8T6kPaYrASdwFnoZ--





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 11:49:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 07:49:59 2018
Received: from localhost ([127.0.0.1]:43695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2EVz-0007NY-D7
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 07:49:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g2EVx-0007NK-KC
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 07:49:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g2EVo-0003Ev-Ch
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 07:49:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42706)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g2EVo-0003Ej-7n; Tue, 18 Sep 2018 07:49:48 -0400
Received: from [176.228.60.248] (port=1440 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g2EVf-0002Am-4m; Tue, 18 Sep 2018 07:49:42 -0400
Date: Tue, 18 Sep 2018 14:49:27 +0300
Message-Id: <83zhwff2k8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
In-reply-to: <87va73gn90.fsf@HIDDEN> (message from Nicolas Goaziou
 on Tue, 18 Sep 2018 11:37:15 +0200)
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
 <87va73gn90.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, n@HIDDEN, rms@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Goaziou <mail@HIDDEN>
> Cc: rms@HIDDEN,  kaushal.modi@HIDDEN,  n@HIDDEN,  32722 <at> debbugs.gnu.org
> Date: Tue, 18 Sep 2018 11:37:15 +0200
> 
> This is a genuine question: what /exactly/ do you want Org developers to
> solve, assuming they can? Also, if they cannot, who is willing to give
> them a hand?

From my POV, the immediate problem is to switch Org-publish from using
htmlize to htmlfontify.  Can this be done, please?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 18 Sep 2018 09:37:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 18 05:37:29 2018
Received: from localhost ([127.0.0.1]:43643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2CRl-0001oZ-MV
	for submit <at> debbugs.gnu.org; Tue, 18 Sep 2018 05:37:29 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:53809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1g2CRk-0001oR-30
 for 32722 <at> debbugs.gnu.org; Tue, 18 Sep 2018 05:37:28 -0400
X-Originating-IP: 185.131.40.67
Received: from saiph (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 0769C240008;
 Tue, 18 Sep 2018 09:37:16 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN> <83sh2ck42e.fsf@HIDDEN>
Date: Tue, 18 Sep 2018 11:37:15 +0200
In-Reply-To: <83sh2ck42e.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 14 Sep
 2018 09:04:25 +0300")
Message-ID: <87va73gn90.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org, n@HIDDEN, rms@HIDDEN, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Eli Zaretskii <eliz@HIDDEN> writes:

> This is an Org issue, so I would like to hear from Org developers
> before I make up my mind.

I read the thread multiple times already but I do not understand exactly
the issue risen.

From the OP: "Emacs quotes Github, a non-free platform." If that's the
real problem, we can remove the location of the "htmlize" library from
the error message and be done with it. Note that the Org manual still
talks about iOS and Android, which are not free either.

From Richard Stallman: "Emacs should not advise people to load anything
from outside Emacs". Org Export already advises people to load LaTeX
libraries, MathJax, optionally minted, etc. Org Babel requires external
libraries like "asy-mode.el" (ob-asymptote.el), "simple-httpd"
(ob-js.el)... This is a non-issue for us, because it is inherent to Org
and thus cannot be solved by Org.

From Glenn Morris: "Emacs already includes htmlfontify, since 23.2. Is
there some obstacle to Org using that?" This is begging for a specific
solution to a not-so-well defined problem. In any case, Kaushal Modi
answered this one. It is nice if this happens, but could we first define
correctly the problem so we can tell if this is the only possible
solution for it?

From Richard Stallman: "To motivate people to do this, I say we should
not ship another release with that reference to GitHub." The issue
pointed out here seems to be that Org developers or enthusiasts are not
motivated enough to make Org use htmlfontify instead of htmlize. Note
this is very different from the initial report. Richard Stallman then
suggests a possible fix for that issue. It may or may not work; after
all these years spent in education, "motivating people" is a topic that
mostly eludes me. Anyway, since this point contains both the question
and the answer, I don't know what Org could do about it.

This is a genuine question: what /exactly/ do you want Org developers to
solve, assuming they can? Also, if they cannot, who is willing to give
them a hand?

Regards,

-- 
Nicolas Goaziou                                                0x80A93738




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 14 Sep 2018 06:04:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 14 02:04:59 2018
Received: from localhost ([127.0.0.1]:39949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0hDv-00048o-HV
	for submit <at> debbugs.gnu.org; Fri, 14 Sep 2018 02:04:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g0hDr-00048T-3s
 for 32722 <at> debbugs.gnu.org; Fri, 14 Sep 2018 02:04:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g0hDk-0003X8-E0
 for 32722 <at> debbugs.gnu.org; Fri, 14 Sep 2018 02:04:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53632)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g0hDe-0003Ki-81; Fri, 14 Sep 2018 02:04:42 -0400
Received: from [176.228.60.248] (port=1685 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g0hDY-0000AT-5P; Fri, 14 Sep 2018 02:04:36 -0400
Date: Fri, 14 Sep 2018 09:04:25 +0300
Message-Id: <83sh2ck42e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-reply-to: <E1g0eGJ-0002Ws-Gt@HIDDEN> (message from Richard
 Stallman on Thu, 13 Sep 2018 22:55:15 -0400)
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 <E1g0eGJ-0002Ws-Gt@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Richard Stallman <rms@HIDDEN>
> Date: Thu, 13 Sep 2018 22:55:15 -0400
> Cc: n@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN
> 
>   > >From what I remember, there is not objection to use that instead; it's
>   > just that someone has to work on converting ox-html to use htmlfontify
>   > instead of htmlize.
> 
> To motivate people to do this, I say we shouild not ship another
> release with that reference to GitHub.  Eli, do you agree?

This is an Org issue, so I would like to hear from Org developers
before I make up my mind.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 14 Sep 2018 02:55:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 22:55:29 2018
Received: from localhost ([127.0.0.1]:39863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0eGX-0007U2-Aj
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 22:55:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g0eGV-0007Tn-0B
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 22:55:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g0eGO-0006SU-T9
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 22:55:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50986)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g0eGJ-0006Iz-PQ; Thu, 13 Sep 2018 22:55:15 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g0eGJ-0002Ws-Gt; Thu, 13 Sep 2018 22:55:15 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-Reply-To: <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
 (message from Kaushal Modi on Thu, 13 Sep 2018 11:36:17 -0400)
Subject: Re: bug#32722: [O] bug#32722: 26.1;
 Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
 <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
Message-Id: <E1g0eGJ-0002Ws-Gt@HIDDEN>
Date: Thu, 13 Sep 2018 22:55:15 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: rgm@HIDDEN, n@HIDDEN, 32722 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > >From what I remember, there is not objection to use that instead; it's
  > just that someone has to work on converting ox-html to use htmlfontify
  > instead of htmlize.

To motivate people to do this, I say we shouild not ship another
release with that reference to GitHub.  Eli, do you agree?


-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 13 Sep 2018 21:58:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 17:58:39 2018
Received: from localhost ([127.0.0.1]:39677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0ZdH-0006KK-FI
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 17:58:39 -0400
Received: from mail-lf1-f68.google.com ([209.85.167.68]:42685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1g0ZdF-0006K1-62
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 17:58:37 -0400
Received: by mail-lf1-f68.google.com with SMTP id z11-v6so6120488lff.9
 for <32722 <at> debbugs.gnu.org>; Thu, 13 Sep 2018 14:58:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=Iwy6wA7cH8X3qbrL3CAC6169LlhRSCMe3NXHvFH0MjY=;
 b=a2RzAJGkx+szWGOhKwjewdI/LAG+tkZIsaPqr3b7CPDByVZMMKnrmSplXWvTgJ3vIj
 iLSGEMAgC7aD4YOlWsVomqQDXbvkINMMO02qCeVh+a/0RcvXKL6mzirOR9c2IBD1GnRp
 OhNjsfkAoiiGZVrCTLHWJnY+oMG7jIS8/r89IGOKBsH7yuu/joVSEN7xIXa18EMoYJhA
 sqkrX0+voddaXIHdPHQ6HbdzaO3EccArEW1UBZcpICoTXUQTnN3eCrX4cjqBi+l+1+Pw
 RpXA/nEnGVhv8HH8XmvpECoNqWdTwpu//0W497oP9abvZXeSekM64CwvtQALPvwjY6C1
 LOKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=Iwy6wA7cH8X3qbrL3CAC6169LlhRSCMe3NXHvFH0MjY=;
 b=hqqrlLlHsrj5O7JwluQ6Kl4ITKjgoCkSQ1qwNedqu4t6KY1LjWwVL7c7mP7EUmL+T7
 tp9cPh8JnjyXUL1OfsBFkYcBeqIYw8cMuLsFIdwFsplFHi8PDCVh3SVvlD4BpfrCYpxx
 yHjC0llPORGPBnmFWU6TY0PZbn1sSv4b7ZEa5oxNgVnLp9tsUdq2a72EWd0h8gAOBRtS
 dDcHzxJiTYIgW/zCibGStuHju5JZpxXtUUCl7tXiw3RiJ5ZsbjzkXlOxFlbOrbfGc253
 g0EumKLIAlBP1552d+CNBOEmMqnWNFSxoI2FvuJ55AxPJXk4S5wASRcSbv5Rc7k4hsn2
 i1aw==
X-Gm-Message-State: APzg51ADE68mftNWhluu3WryzBzQXYmQ+VBXen3X3OLxYO0e091x2AKL
 VHDxfdb5giiLomLAm+0WOCW9uyr6W4Bx5fsynLw=
X-Google-Smtp-Source: ANB0VdaQNKQHvNCde1DzsSutoRooTVufhHULKTWcZtz+jFsoVXOTXqMpDqimZzWoQhMz66do+f/exZ+/0+DtTsJu8uI=
X-Received: by 2002:a19:5e12:: with SMTP id s18-v6mr6043501lfb.5.1536875910667; 
 Thu, 13 Sep 2018 14:58:30 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a19:d551:0:0:0:0:0 with HTTP; Thu, 13 Sep 2018 14:58:29
 -0700 (PDT)
In-Reply-To: <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
 <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Thu, 13 Sep 2018 14:58:29 -0700
Message-ID: <CAJcAo8tiTWMnmK0-mhxvQvzzZhFAmea9jtacx4ZUkUa0CNJifA@HIDDEN>
Subject: Re: [O] bug#32722: 26.1; Org-publish depend on non-free platform ?
To: Kaushal Modi <kaushal.modi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: Glenn Morris <rgm@HIDDEN>, n@HIDDEN, Richard Stallman <rms@HIDDEN>,
 emacs-org list <emacs-orgmode@HIDDEN>, 32722 <at> debbugs.gnu.org,
 Nicolas Goaziou <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(htmlize-buffer-substring-no-invisible b e)

is this function available in emacs?

if not, it would be good to extract it and put it in emacs, or write
one for emacs.


On 9/13/18, Kaushal Modi <kaushal.modi@HIDDEN> wrote:
> On Thu, Sep 13, 2018 at 11:28 AM Glenn Morris <rgm@HIDDEN> wrote:
>>
>> Emacs already includes htmlfontify, since 23.2.
>> Is there some obstacle to Org using that? (bug#7506)
>
> This has been discussed before on the Org mailing list.
>
> From what I remember, there is not objection to use that instead; it's
> just that someone has to work on converting ox-html to use htmlfontify
> instead of htmlize.
>
>


--=20
The Kafka Pandemic: <http://thekafkapandemic.blogspot.com>

The disease DOES progress. MANY people have died from it. And ANYBODY
can get it at any time.

"You=E2=80=99ve really gotta quit this and get moving, because this is murd=
er
by neglect." ---
<http://www.meaction.net/2017/02/03/pwme-people-with-me-are-being-murdered-=
by-neglect>.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 13 Sep 2018 15:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 11:37:02 2018
Received: from localhost ([127.0.0.1]:39404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0Tfx-0000Wu-Tw
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:37:02 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:35339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1g0Tfw-0000WK-Ec
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:37:00 -0400
Received: by mail-lf1-f42.google.com with SMTP id q13-v6so5220457lfc.2
 for <32722 <at> debbugs.gnu.org>; Thu, 13 Sep 2018 08:37:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Yuh9U5rASZYFUTm7aCfjPnAZe+GRTaJ4MpWXOlMaVPc=;
 b=Z3IRHlx8BxpnwIs4y9K4Ha5xFf7bnW8i/xlRBu5mZ0KcVsrpx8klXAuG6fVPytJla6
 InCVS5up4Ad5k+6RcIrh2LJ9LYxYMu4mJKmw0fNoWxcoh4UL2gVyGCrRrLw9vtuOc4cK
 F9v/uATCOLUGqI5KIJJ97h6HIoF4T+2xw3hkoZwZ55brBD7mZedlZC3axD8QC1Yti3/6
 zRgWKpfar8yiFtlDgU5hs9MER/TqKFWoStSswtsImu7rBmHQBG4Eu70Sk7TxQt4ipQls
 UoZBX3DLoB8JBNN5Mn7M9Ae77yrwT3tp8LZFjrlY49I3i6gLr5tvBQV9U4RU6aAesN8G
 dzqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Yuh9U5rASZYFUTm7aCfjPnAZe+GRTaJ4MpWXOlMaVPc=;
 b=FSw1VxLotvES9xrASj0ytQg+QFDW4L3LHcGNhyVXja/AmqB3Lqcv6f8mV20/Tobz4F
 wikwW4csT8Z2VBZX+zc0njAm+ztwwkZ5s7R7AfFcACRvbrOluoMQO1J9TxWPx7+pPehh
 FtK6bxr0v+/loLjnY7lhJ3BvuMfSQBYobDug5WqaLTGoNpe8r1hXjRu4ZYvz48Agdypt
 oQ1BGwK7FqpV10XYaswrptT0rEOoKPHDtqH6mkMaKx+J2h3M4sGkKyy2+Do7HHsVmJMT
 l1QMVfmCmhtCh1DnDJljLE1JJLmUlROjWfl0nfgc9vs2oj1u/qjL9d+SgUfIj08vibAT
 V4fg==
X-Gm-Message-State: APzg51BvAfOUkHNOghx8CWZCLV0j1x72JK+dD4OM1Hyli3nm7fQKrAky
 aY9LpnYfnZ4ebTOrEzGUINcaFK/Ky1rgSBxEFn8=
X-Google-Smtp-Source: ANB0VdbNugf7Pu+qwvi10Ka2cIc54OwH+5Uo2hUwJevRQl9K7foMhymtCRar2JpTwsoE4e6rtceZr4072bFyZXjKO8g=
X-Received: by 2002:a19:1517:: with SMTP id
 l23-v6mr5627764lfi.69.1536853014230; 
 Thu, 13 Sep 2018 08:36:54 -0700 (PDT)
MIME-Version: 1.0
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN> <tqd0thctb6.fsf@HIDDEN>
In-Reply-To: <tqd0thctb6.fsf@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Thu, 13 Sep 2018 11:36:17 -0400
Message-ID: <CAFyQvY2Z7cvRVb1fMpiGGG1NN-ynb=avyceC_k2xCGTj9_1m_w@HIDDEN>
Subject: Re: [O] bug#32722: 26.1; Org-publish depend on non-free platform ?
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
Cc: n@HIDDEN, emacs-org list <emacs-orgmode@HIDDEN>,
 Richard Stallman <rms@HIDDEN>, Nicolas Goaziou <mail@HIDDEN>,
 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Sep 13, 2018 at 11:28 AM Glenn Morris <rgm@HIDDEN> wrote:
>
> Emacs already includes htmlfontify, since 23.2.
> Is there some obstacle to Org using that? (bug#7506)

This has been discussed before on the Org mailing list.

From what I remember, there is not objection to use that instead; it's
just that someone has to work on converting ox-html to use htmlfontify
instead of htmlize.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 13 Sep 2018 15:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 11:26:33 2018
Received: from localhost ([127.0.0.1]:39395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0TVp-0006ek-Ma
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:26:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1g0TVn-0006eW-Qu
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:26:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1g0TVi-000118-2O
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:26:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37507)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1g0TVf-0000yL-8N; Thu, 13 Sep 2018 11:26:23 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1g0TVd-0000QB-D3; Thu, 13 Sep 2018 11:26:21 -0400
From: Glenn Morris <rgm@HIDDEN>
To: rms@HIDDEN
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <E1g0IPY-000465-4I@HIDDEN>
X-Spook: radar AVN Israel Scammers Wave 22nd SAS Twister initiative
X-Ran: vB_*+^,#z'oV->a^N.lVadw(loU%[Qd:P%Q.?Y),4}KjwKHY:xf!>0W-B9|`FaMkfs7LkF
X-Hue: brightwhite
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 13 Sep 2018 11:26:21 -0400
In-Reply-To: <E1g0IPY-000465-4I@HIDDEN> (Richard Stallman's message
 of "Wed, 12 Sep 2018 23:35:20 -0400")
Message-ID: <tqd0thctb6.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: Nicolas Floquet <n@HIDDEN>, 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Richard Stallman wrote:

> If htmlize is useful, we should put it into Emacs.
> Is there some obstacle to that?

Emacs already includes htmlfontify, since 23.2.
Is there some obstacle to Org using that? (bug#7506)




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 13 Sep 2018 15:13:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 11:13:42 2018
Received: from localhost ([127.0.0.1]:39365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0TJN-0006HA-Gj
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 11:13:42 -0400
Received: from smtp.numethik.fr ([80.67.190.197]:52572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1g0M7e-0000Zy-1q
 for 32722 <at> debbugs.gnu.org; Thu, 13 Sep 2018 03:33:06 -0400
Message-ID: <0f248e290a6a931135c6f8510154294209be6617.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1536823985; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TogVyUUF35TWcILmRPOBbbLibNiNLQuzzIiHHnSlgC4=;
 b=RKe75U3flJi9BKJpCiyFN/HMZRiK7t2VM96G7KuiuNFnCOopbjJ0q3xV2V2dkxMqgaoMzG
 WLXSL4V6Zo1XI+sOkKVcE2ab7htqXkAUUZbl9UdwZ9/UWDD9/aDWw2SGJ8eGDWOE18WG5E
 w+421X4eh5eZm6vH0+8SM6yokwHjC9qlJnMxQfzmKO1i/dRpEkkGtFpRPJqayFLpa1Y8wt
 FgL5ADhZ7C2VOtkfWE5n1zvIJMK0Ih/E8nJasjirjMX3PfczcKqxhQbZZFwnzpyqGRRU98
 gx9iYdYmE+1Zv3VIQtpv+b8UFOZAVqSrvGucWq2oJn+LoibseQp51eSY3UjZOQ==
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
From: Nicolas Floquet <n@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 13 Sep 2018 09:33:31 +0200
In-Reply-To: <83zhwmlnst.fsf@HIDDEN>
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
 <83zhwmlnst.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32722
X-Mailman-Approved-At: Thu, 13 Sep 2018 11:13:41 -0400
Cc: 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le mercredi 12 septembre 2018 à 18:48 +0300, Eli Zaretskii a écrit :
> Could you please report this to the Org developers? Thanks.

It's done. Thanks.

Le mercredi 12 septembre 2018 à 23:35 -0400, Richard Stallman a écrit :
> Emacs should not advise people to load anything from outside Emacs
> (counting ELPA).  So this needs to be deleted.
> 
> If htmlize is useful, we should put it into Emacs.
> Is there some obstacle to that?

Thank you rms.


-- 
| Numérion                  |              Nicolas Floquet |
+----------------------------------------------------------+
| Services informatiques en logiciels libres               |
| XMPP : nflqt@HIDDEN | Tél : 06.32.93.03.51            |
| Ğ1 : BjZFP7UpKjJ9hbavhT2Ep2hP58noXp6xdPY4awsX17yD        |
| PGP : 94C7 641B 719E B06A F406  7AB3 3709 C700 E548 F996 | 
+----------------------------------------------------------+





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 13 Sep 2018 03:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 23:35:35 2018
Received: from localhost ([127.0.0.1]:38631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0IPn-0002WY-4X
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 23:35:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1g0IPk-0002WI-VH
 for 32722 <at> debbugs.gnu.org; Wed, 12 Sep 2018 23:35:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1g0IPf-0006Ur-2L
 for 32722 <at> debbugs.gnu.org; Wed, 12 Sep 2018 23:35:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54144)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1g0IPZ-0006Na-FS; Wed, 12 Sep 2018 23:35:21 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1g0IPY-000465-4I; Wed, 12 Sep 2018 23:35:20 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Nicolas Floquet <n@HIDDEN>
In-Reply-To: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN> (message
 from Nicolas Floquet on Wed, 12 Sep 2018 16:06:05 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
Message-Id: <E1g0IPY-000465-4I@HIDDEN>
Date: Wed, 12 Sep 2018 23:35:20 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Emacs should not advise people to load anything from outside Emacs
(counting ELPA).  So this needs to be deleted.

If htmlize is useful, we should put it into Emacs.
Is there some obstacle to that?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#32722; Package emacs,org-mode. Full text available.

Message received at 32722 <at> debbugs.gnu.org:


Received: (at 32722) by debbugs.gnu.org; 12 Sep 2018 15:48:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 11:48:37 2018
Received: from localhost ([127.0.0.1]:38395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g07Nd-0001hg-NI
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 11:48:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g07Nc-0001hS-I7
 for 32722 <at> debbugs.gnu.org; Wed, 12 Sep 2018 11:48:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g07NS-0005u0-EC
 for 32722 <at> debbugs.gnu.org; Wed, 12 Sep 2018 11:48:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41765)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g07NR-0005ta-93; Wed, 12 Sep 2018 11:48:25 -0400
Received: from [176.228.60.248] (port=2629 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g07NQ-0001yk-IV; Wed, 12 Sep 2018 11:48:25 -0400
Date: Wed, 12 Sep 2018 18:48:18 +0300
Message-Id: <83zhwmlnst.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nicolas Floquet <n@HIDDEN>
In-reply-to: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN> (message
 from Nicolas Floquet on Wed, 12 Sep 2018 16:06:05 +0200)
Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?
References: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32722
Cc: 32722 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Nicolas Floquet <n@HIDDEN>
> Date: Wed, 12 Sep 2018 16:06:05 +0200
> 
> I don't understand why Emacs quote Github, a non-free platform, when I
> want to publish my org-blog :

Could you please report this to the Org developers?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32722; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Sep 2018 15:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 12 11:23:43 2018
Received: from localhost ([127.0.0.1]:38375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g06zX-00010r-9N
	for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 11:23:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <n@HIDDEN>) id 1g05ma-0005X4-Q2
 for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 10:06:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <n@HIDDEN>) id 1g05mQ-0006QG-3y
 for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 10:06:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60479)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <n@HIDDEN>) id 1g05mP-0006Pr-M9
 for submit <at> debbugs.gnu.org; Wed, 12 Sep 2018 10:06:05 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52783)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <n@HIDDEN>)
 id 1g05mF-0002ur-VE
 for bug-gnu-emacs@HIDDEN; Wed, 12 Sep 2018 10:06:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <n@HIDDEN>) id 1g05m5-0006Di-Ju
 for bug-gnu-emacs@HIDDEN; Wed, 12 Sep 2018 10:05:55 -0400
Received: from smtp.numethik.fr ([80.67.190.197]:36094)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <n@HIDDEN>) id 1g05m5-0006As-5w
 for bug-gnu-emacs@HIDDEN; Wed, 12 Sep 2018 10:05:45 -0400
Message-ID: <531a7f93882cc0d5d09700457d06ea082f47569b.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=flqt.fr; s=mail;
 t=1536761140; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type:content-transfer-encoding:in-reply-to:
 references; bh=KoraJs4bkSTZ+BudliR/AT0kgVNS3Wn3RAehxzLj0kE=;
 b=854PrVp9ausrObEKM3XfH1qfLzLS/ZmGdhnIifyXOTRBUrzogsD1VtqFu53hTgCiQYwyD8
 OzSOCACxYyCKiOIKXnrYDpLlht9u43TDcjyH/1sXNvxcxjnn9HJWPm2WvEb71oNCYUXiXU
 0veiQJfvejso4EQT4ivL7MuUs31ItE5WT/oWv83/wa7n+GbpIb0voq8TYsXlffxZmiyeu7
 mHrdWd40BKGyv27D2wQYQhPBt9gBMzFoc/RRpQKV2PV+QNyX9K/GWMU0xjlCMWvQepmFQ0
 ayROywqo8IEeuBfg++ZWlwvu0JGimJkuZ8ri6ygwt5xYuZ4vbYSgv+7kS/wPDQ==
Subject: 26.1; Org-publish depend on non-free platform ?
From: Nicolas Floquet <n@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Wed, 12 Sep 2018 16:06:05 +0200
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-YUEU/CinmcN/zKvpZNFb"
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 12 Sep 2018 11:23:42 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)


--=-YUEU/CinmcN/zKvpZNFb
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello.

I don't understand why Emacs quote Github, a non-free platform, when I
want to publish my org-blog :

M-x org-publish-all
[=E2=80=A6]
Publishing file home/nico/Documents/Travaux/.nico/www/Tutoriels/Emacs/org-m=
ode-listes-de-taches.org using =E2=80=98org-html-publish-to-html=E2=80=99
org-babel-exp process emacs-lisp at position 2237...
org-babel-exp process emacs-lisp at position 2786...
org-babel-exp process emacs-lisp at position 3397...
org-babel-exp process emacs-lisp at position 3846...
org-babel-exp process org at position 4931...
org-html-fontify-code: Please install htmlize from https://github.com/hniks=
ic/emacs-htmlize

Surely, I think I should editing my former publications to pass Emacs
25.1 to Emacs 26.1. But I also think that Emacs must not quote GitHub.


Thank you for everything done.
Et vive le Logiciel Libre ! ^^

--=20
| Num=C3=A9rion                  |              Nicolas Floquet |
+----------------------------------------------------------+
| Services informatiques en logiciels libres               |
| XMPP : nflqt@HIDDEN | T=C3=A9l : 06.32.93.03.51            |
| =C4=9E1 : BjZFP7UpKjJ9hbavhT2Ep2hP58noXp6xdPY4awsX17yD        |
| PGP : 94C7 641B 719E B06A F406  7AB3 3709 C700 E548 F996 |=20
+----------------------------------------------------------+

--=-YUEU/CinmcN/zKvpZNFb
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQI+BAABCAAoFiEElMdkG3GesGr0BnqzNwnHAOVI+ZYFAluZHU0KHG5AZmxxdC5m
cgAKCRA3CccA5Uj5lpzND/94pNaf/RzEs9GZ1mGXQRTGzKVnXdWnM4eix0qa2qGg
y3R6QqzSu9i+d7zToY+ElNfxDe6Jj4j5IcvYarYP7s1B7YjTxEvHQUfy9Ztc0aMM
NXoCIe2/CI+eRQa/b8eDsRikuotp0dJ9nvifSvtA3wGPmrmEDXMx/VjMO5nem3GY
FiAkcF+0tAi9ICMDEOho/ltZk1Rfi1/CHgBhDX3RB97cY44Ddtif/Oj6urZK26uN
SRVGjEvqSUfTJgWS58/IqFbAT36Ik/Pd80CWCiFIyNE5z2mDaeAnomHIdhwOLGUE
/ij31XFdRtrMonV04NrGxlAw1Qt7siQmz1nqUEDrOPzkAskm/imb561oKHzSDpjj
DFNU57ycHb06KosdOTmA8lpZUFAlFyTDuLpshQj5nR5Hevzxn0HHd1/1ZlmkTGOf
TZ5NMCR2e2Yuy2au3uomKCYoXGc8m+7ZE4r2p3fHdsx70pDTettpDepCEv+I24SU
u8TGji00tBW2HRtOrDANAvn28xdTLFbsFffuGqKUcux8IGE3uvS5ge6zqpOXuYqB
VY9LBWLxKT4Xr/2YRZCTQUjm6PQ3D2tN5SqtI1ZMln+UVsAlJAFjHug+aGxs1+Cp
HaXbk2ytLK97WrqeWPB4Md5d8B4yW699mUTwzYOWfBEWVdQ22TvN+YwlApiPPkSe
IQ==
=aeNz
-----END PGP SIGNATURE-----

--=-YUEU/CinmcN/zKvpZNFb--





Acknowledgement sent to Nicolas Floquet <n@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32722; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.